Namespaces

InterLinq
Namespaces
InterLINQ code documentation

InterLINQ

Normally, multi-tier functionality is not provided by LINQ technologies like LINQ to NHibernate, LINQ to SQL, etc..
InterLINQ makes local LINQ technologies multi-tier compatible.

Bird's eye view of InterLINQ

As you can see in the figure abouve, InterLINQ is based on the serialization of a query.

Anonymous types

A mayor problem are anonymous types. InterLINQ solves that problem by creating them at runtime on the server.
For further informations: InterLinq.Types.Anonymous

See Also


InterLinq Namespace

InterLinq Namespace
InterLINQ code documentation ► InterLinq

The root namespace contains the main classes used in InterLINQ.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq
Namespace InterLinq
namespace InterLinq
Types
All Types Classes Interfaces
Icon | Type | Description
 | InterLinqContext | Abstract base class holding an IQueryHandler. The usage of the InterLinqContext is comparable with DataContext.
 | InterLinqQuery<(Of <(T>)>) | Standard implementation of an InterLinqQuery.
 | InterLinqQueryBase | Base Class for InterLinq Queries.
 | InterLinqQueryHandler | Abstract implementation of an IQueryHandler. This class provides methods to get an IQueryable<(Of <(T>)>).
 | InterLinqQueryProvider | Abstract implementation of an IQueryProvider. Defines methods to create and execute queries that are described by an IQueryable object.
 | IQueryHandler | Interface providing methods to get IQueryable<(Of <(T>)>).
 | IQueryRemoteHandler | Interface providing methods to communicate with the InterLINQ service.


InterLinqContext Class

InterLinqContext Class
InterLINQ code documentation ► InterLinq ► InterLinqContext
Abstract base class holding an IQueryHandler. The usage of the InterLinqContext is comparable with DataContext.
Declaration Syntax
C# Visual Basic Visual C++
public abstract class InterLinqContext
Public MustInherit Class InterLinqContext
public ref class InterLinqContext abstract
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqContext(IQueryHandler) | Initializes this class.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryHander | Gets the IQueryHandler.
 | ToString()()() | (Inherited from Object.)
Examples
The following code illustrates a possible implementation of InterLinqContext.
CopyC#
public class CompanyContext : InterLinqContext {
   public CompanyContext( IQueryHandler queryHandler ) : base( queryHandler ) { }

    public IQueryable<Company> Companies {
        get { return QueryHander.GetTable<Company>(); }
    }

    public IQueryable<Company> Departments {
        get { return QueryHander.GetTable<Departments>(); }
    }

    public IQueryable<Company> Employees {
        get { return QueryHander.GetTable<Employee>(); }
    }
}
Inheritance Hierarchy
Object
InterLinqContext

Assembly: InterLinq (Module: InterLinq) Version: 0.2.2873.30023 (0.2)


InterLinqContext Constructor (queryHandler)

InterLinqContext Constructor (queryHandler)
InterLINQ code documentation ► InterLinq ► InterLinqContext ► InterLinqContext(IQueryHandler)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqContext(
    IQueryHandler queryHandler
)
Public Sub New ( _
    queryHandler As IQueryHandler _
)
public:
InterLinqContext(
    IQueryHandler^ queryHandler
)
Parameters
queryHandler (IQueryHandler)
IQueryHandler instance.


QueryHander Property

QueryHander Property
InterLINQ code documentation ► InterLinq ► InterLinqContext ► QueryHander
Gets the IQueryHandler.
Declaration Syntax
C# Visual Basic Visual C++
public IQueryHandler QueryHander { get; }
Public ReadOnly Property QueryHander As IQueryHandler
public:
property IQueryHandler^ QueryHander {
    IQueryHandler^ get ();
}


InterLinqQuery(T) Class

InterLinqQuery<(Of <(T>)>) Class
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>)
Standard implementation of an InterLinqQuery.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class InterLinqQuery<T> : InterLinqQueryBase, IOrderedQueryable<T>,
    IQueryable<T>, IEnumerable<T>, IOrderedQueryable, IQueryable, IEnumerable
<SerializableAttribute> _
Public Class InterLinqQuery(Of T) _
    Inherits InterLinqQueryBase _
    Implements IOrderedQueryable(Of T), IQueryable(Of T),  _
    IEnumerable(Of T), IOrderedQueryable, IQueryable, IEnumerable
[SerializableAttribute]
generic<typename T>
public ref class InterLinqQuery : public InterLinqQueryBase,
    IOrderedQueryable<T>, IQueryable<T>, IEnumerable<T>, IOrderedQueryable, IQueryable,
    IEnumerable
Generic Template Parameters
T
The type of the content of the data source.
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqQuery<(Of <(T>)>)(IQueryProvider) | Initializes this Query with the arguments.
 | InterLinqQuery<(Of <(T>)>)(IQueryProvider, Expression) | Initializes this Query with the arguments.
 | ElementInterLinqType | Gets or sets a InterLINQ Element Type of the Expression. (Inherited from InterLinqQueryBase.)
 | ElementType | Gets the type of the element(s) that are returned when the Expression tree associated with this instance of IQueryable is executed. (Overrides InterLinqQueryBase.ElementType.)
 | Equals(Object) | (Inherited from Object.)
 | Expression | Gets the Expression tree that is associated with the instance of IQueryable.
 | Finalize()()() | (Inherited from Object.)
 | GetEnumerator()()() | Returns an IEnumerator<(Of <(T>)>) that iterates through the returned result of this query.
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | m_elementInterLinqType | See InterLINQ Element Type of the Expression. (Inherited from InterLinqQueryBase.)
 | m_elementType | See Element Type of the Expression. (Inherited from InterLinqQueryBase.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Provider | Gets the IQueryProvider that is associated with this data source.
 | ToString()()() | Returns a string that represents this instance. (Overrides Object.ToString()()().)
Inheritance Hierarchy
Object
 | InterLinqQueryBase
 |  | InterLinqQuery<(Of <(T>)>)
See Also
InterLinqQueryBase


InterLinqQuery(T) Constructor

InterLinqQuery<(Of <(T>)>) Constructor
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► InterLinqQuery<(Of <(T>)>)()()()
Members
Icon | Member | Description
 | InterLinqQuery<(Of <(T>)>)(IQueryProvider) | Initializes this Query with the arguments.
 | InterLinqQuery<(Of <(T>)>)(IQueryProvider, Expression) | Initializes this Query with the arguments.


InterLinqQuery(T) Constructor (provider)

InterLinqQuery<(Of <(T>)>) Constructor (provider)
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► InterLinqQuery<(Of <(T>)>)(IQueryProvider)
Initializes this Query with the arguments.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqQuery(
    IQueryProvider provider
)
Public Sub New ( _
    provider As IQueryProvider _
)
public:
InterLinqQuery(
    IQueryProvider^ provider
)
Parameters
provider (IQueryProvider)
IQueryProvider to set.
Remarks
This constructor creates a ConstantExpression. The arguments will be checked. These exceptions will be thrown... ... when "provider" is null: ArgumentNullException


InterLinqQuery(T) Constructor (provider, expression)

InterLinqQuery<(Of <(T>)>) Constructor (provider, expression)
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► InterLinqQuery<(Of <(T>)>)(IQueryProvider, Expression)
Initializes this Query with the arguments.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqQuery(
    IQueryProvider provider,
    Expression expression
)
Public Sub New ( _
    provider As IQueryProvider, _
    expression As Expression _
)
public:
InterLinqQuery(
    IQueryProvider^ provider,
    Expression^ expression
)
Parameters
provider (IQueryProvider)
IQueryProvider to set.
expression (Expression)
Expression to set.
Remarks
The arguments will be checked. These exceptions will be thrown... ConditionThrown Exception... when "provider" is nullArgumentNullException... when "expression" is nullArgumentNullException... when "expression" is not assignable from IQueryable<(Of <(T>)>) ArgumentException


ElementType Property

ElementType Property
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► ElementType
Gets the type of the element(s) that are returned when the Expression tree associated with this instance of IQueryable is executed.
Declaration Syntax
C# Visual Basic Visual C++
public override Type ElementType { get; }
Public Overrides ReadOnly Property ElementType As Type
public:
virtual property Type^ ElementType {
    Type^ get () override;
}
Remarks
A Type that represents the type of the element(s) that are returned when the Expression tree associated with this object is executed.


Expression Property

Expression Property
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► Expression
Gets the Expression tree that is associated with the instance of IQueryable.
Declaration Syntax
C# Visual Basic Visual C++
public Expression Expression { get; }
Public ReadOnly Property Expression As Expression
public:
virtual property Expression^ Expression {
    Expression^ get () sealed;
}
Remarks
The Expression that is associated with this instance of IQueryable.


GetEnumerator Method

GetEnumerator Method
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► GetEnumerator()()()
Returns an IEnumerator<(Of <(T>)>) that iterates through the returned result of this query.
Declaration Syntax
C# Visual Basic Visual C++
public IEnumerator<T> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of T)
public:
virtual IEnumerator<T>^ GetEnumerator() sealed
Return Value
An IEnumerator<(Of <(T>)>) object that can be used to iterate through the returned result of this query.


Provider Property

Provider Property
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► Provider
Gets the IQueryProvider that is associated with this data source.
Declaration Syntax
C# Visual Basic Visual C++
public IQueryProvider Provider { get; }
Public ReadOnly Property Provider As IQueryProvider
public:
virtual property IQueryProvider^ Provider {
    IQueryProvider^ get () sealed;
}
Remarks
The IQueryProvider that is associated with this data source.


ToString Method

ToString Method
InterLINQ code documentation ► InterLinq ► InterLinqQuery<(Of <(T>)>) ► ToString()()()
Returns a string that represents this instance.
Declaration Syntax
C# Visual Basic Visual C++
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
Return Value
A string that represents this instance.
Remarks
The following string is returned: Type<GenericArgumentType>


InterLinqQueryBase Class

InterLinqQueryBase Class
InterLINQ code documentation ► InterLinq ► InterLinqQueryBase
Base Class for InterLinq Queries.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public abstract class InterLinqQueryBase
<SerializableAttribute> _
Public MustInherit Class InterLinqQueryBase
[SerializableAttribute]
public ref class InterLinqQueryBase abstract
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqQueryBase()()() |
 | ElementInterLinqType | Gets or sets a InterLINQ Element Type of the Expression.
 | ElementType | Gets or sets a Element Type of the Expression.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | m_elementInterLinqType | See InterLINQ Element Type of the Expression.
 | m_elementType | See Element Type of the Expression.
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqQueryBase
 |  | InterLinqQuery<(Of <(T>)>)


InterLinqQueryBase Constructor

InterLinqQueryBase Constructor
InterLINQ code documentation ► InterLinq ► InterLinqQueryBase ► InterLinqQueryBase()()()
Initializes a new instance of the InterLinqQueryBase class.
Declaration Syntax
C# Visual Basic Visual C++
protected InterLinqQueryBase()
Protected Sub New
protected:
InterLinqQueryBase()


ElementInterLinqType Property

ElementInterLinqType Property
InterLINQ code documentation ► InterLinq ► InterLinqQueryBase ► ElementInterLinqType
Gets or sets a InterLINQ Element Type of the Expression.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType ElementInterLinqType { get; set; }
Public Property ElementInterLinqType As InterLinqType
public:
property InterLinqType^ ElementInterLinqType {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}


ElementType Property

ElementType Property
InterLINQ code documentation ► InterLinq ► InterLinqQueryBase ► ElementType
Gets or sets a Element Type of the Expression.
Declaration Syntax
C# Visual Basic Visual C++
public abstract Type ElementType { get; }
Public MustOverride ReadOnly Property ElementType As Type
public:
virtual property Type^ ElementType {
    Type^ get () abstract;
}


m_elementInterLinqType Field

m_elementInterLinqType Field
InterLINQ code documentation ► InterLinq ► InterLinqQueryBase ► m_elementInterLinqType
See InterLINQ Element Type of the Expression.
Declaration Syntax
C# Visual Basic Visual C++
protected InterLinqType m_elementInterLinqType
Protected m_elementInterLinqType As InterLinqType
protected:
InterLinqType^ m_elementInterLinqType


m_elementType Field

m_elementType Field
InterLINQ code documentation ► InterLinq ► InterLinqQueryBase ► m_elementType
See Element Type of the Expression.
Declaration Syntax
C# Visual Basic Visual C++
[NonSerializedAttribute]
protected Type m_elementType
<NonSerializedAttribute> _
Protected m_elementType As Type
[NonSerializedAttribute]
protected:
Type^ m_elementType


InterLinqQueryHandler Class

InterLinqQueryHandler Class
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler
Abstract implementation of an IQueryHandler. This class provides methods to get an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public abstract class InterLinqQueryHandler : IQueryHandler
Public MustInherit Class InterLinqQueryHandler _
    Implements IQueryHandler
public ref class InterLinqQueryHandler abstract : IQueryHandler
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqQueryHandler()()() | Empty constructor.
 | CloseSession()()() | Tells the IQueryHandler to close the current session.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable.
 | GetType()()() | (Inherited from Object.)
 | m_queryProvider | IQueryProvider instance
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryProvider | Gets the IQueryProvider.
 | StartSession()()() | Tells the IQueryHandler to start a new the session.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqQueryHandler
 |  | ClientQueryHandler
See Also
IQueryHandler


InterLinqQueryHandler Constructor

InterLinqQueryHandler Constructor
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► InterLinqQueryHandler()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
protected InterLinqQueryHandler()
Protected Sub New
protected:
InterLinqQueryHandler()


CloseSession Method

CloseSession Method
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► CloseSession()()()
Tells the IQueryHandler to close the current session.
Declaration Syntax
C# Visual Basic Visual C++
public virtual bool CloseSession()
Public Overridable Function CloseSession As Boolean
public:
virtual bool CloseSession()
Return Value
True, if the session closing was successful. False, if not.
See Also
CloseSession()()()


GetTable Method

GetTable Method
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► GetTable()()()
Members
Icon | Member | Description
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable.


GetTable Method

GetTable<(Of <(T>)>) Method
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► GetTable<(Of <(T>)>)()()()
Returns an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public virtual IQueryable<T> GetTable<T>() where T : class
Public Overridable Function GetTable(Of T As Class) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class
virtual IQueryable<T>^ GetTable()
Generic Template Parameters
T
Type of the returned IQueryable<(Of <(T>)>).
Return Value
Returns an IQueryable<(Of <(T>)>).
See Also
GetTable(Type)


GetTable Method (type)

GetTable Method (type)
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► GetTable(Type)
Returns an IQueryable.
Declaration Syntax
C# Visual Basic Visual C++
public virtual IQueryable GetTable(
    Type type
)
Public Overridable Function GetTable ( _
    type As Type _
) As IQueryable
public:
virtual IQueryable^ GetTable(
    Type^ type
)
Parameters
type (Type)
Type contained in the returned IQueryable.
Return Value
Returns an IQueryable.
See Also
GetTable<(Of <(T>)>)()()()


m_queryProvider Field

m_queryProvider Field
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► m_queryProvider
IQueryProvider instance
Declaration Syntax
C# Visual Basic Visual C++
protected IQueryProvider m_queryProvider
Protected m_queryProvider As IQueryProvider
protected:
IQueryProvider^ m_queryProvider


QueryProvider Property

QueryProvider Property
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► QueryProvider
Gets the IQueryProvider.
Declaration Syntax
C# Visual Basic Visual C++
public abstract IQueryProvider QueryProvider { get; }
Public MustOverride ReadOnly Property QueryProvider As IQueryProvider
public:
virtual property IQueryProvider^ QueryProvider {
    IQueryProvider^ get () abstract;
}


StartSession Method

StartSession Method
InterLINQ code documentation ► InterLinq ► InterLinqQueryHandler ► StartSession()()()
Tells the IQueryHandler to start a new the session.
Declaration Syntax
C# Visual Basic Visual C++
public virtual bool StartSession()
Public Overridable Function StartSession As Boolean
public:
virtual bool StartSession()
Return Value
True, if the session creation was successful. False, if not.
See Also
StartSession()()()


InterLinqQueryProvider Class

InterLinqQueryProvider Class
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider
Abstract implementation of an IQueryProvider. Defines methods to create and execute queries that are described by an IQueryable object.
Declaration Syntax
C# Visual Basic Visual C++
public abstract class InterLinqQueryProvider : IQueryProvider
Public MustInherit Class InterLinqQueryProvider _
    Implements IQueryProvider
public ref class InterLinqQueryProvider abstract : IQueryProvider
Members
All Members | Constructors | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | InterLinqQueryProvider()()() | Empty constructor.
 | CreateQuery<(Of <(TElement>)>)(Expression) | Constructs an IQueryable<(Of <(T>)>) object that can evaluate the query represented by a specified Expression tree.
 | CreateQuery(Expression) | Constructs an IQueryable object that can evaluate the query represented by a specified Expression tree.
 | Equals(Object) | (Inherited from Object.)
 | Execute<(Of <(TResult>)>)(Expression) | Executes the strongly-typed query represented by a specified Expression tree.
 | Execute(Expression) | Executes the query represented by a specified Expression tree.
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqQueryProvider
 |  | ClientQueryProvider
See Also
IQueryProvider


InterLinqQueryProvider Constructor

InterLinqQueryProvider Constructor
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider ► InterLinqQueryProvider()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
protected InterLinqQueryProvider()
Protected Sub New
protected:
InterLinqQueryProvider()


CreateQuery Method

CreateQuery Method
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider ► CreateQuery()()()
Members
Icon | Member | Description
 | CreateQuery<(Of <(TElement>)>)(Expression) | Constructs an IQueryable<(Of <(T>)>) object that can evaluate the query represented by a specified Expression tree.
 | CreateQuery(Expression) | Constructs an IQueryable object that can evaluate the query represented by a specified Expression tree.


CreateQuery Method (expression)

CreateQuery Method (expression)
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider ► CreateQuery(Expression)
Constructs an IQueryable object that can evaluate the query represented by a specified Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public IQueryable CreateQuery(
    Expression expression
)
Public Function CreateQuery ( _
    expression As Expression _
) As IQueryable
public:
virtual IQueryable^ CreateQuery(
    Expression^ expression
) sealed
Parameters
expression (Expression)
An Expression that represents a LINQ query.
Return Value
An IQueryable that can evaluate the query represented by the specified Expression tree.
See Also
CreateQuery(Expression)


CreateQuery Method (expression)

CreateQuery<(Of <(TElement>)>) Method (expression)
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider ► CreateQuery<(Of <(TElement>)>)(Expression)
Constructs an IQueryable<(Of <(T>)>) object that can evaluate the query represented by a specified Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public IQueryable<TElement> CreateQuery<TElement>(
    Expression expression
)
Public Function CreateQuery(Of TElement) ( _
    expression As Expression _
) As IQueryable(Of TElement)
public:
generic<typename TElement>
virtual IQueryable<TElement>^ CreateQuery(
    Expression^ expression
) sealed
Generic Template Parameters
TElement
The Type of the elements of the IQueryable<(Of <(T>)>) that is returned.
Parameters
expression (Expression)
An Expression that represents a LINQ query.
Return Value
An IQueryable<(Of <(T>)>) that can evaluate the query represented by the specified Expression tree.
See Also
CreateQuery(Expression)


Execute Method

Execute Method
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider ► Execute()()()
Members
Icon | Member | Description
 | Execute<(Of <(TResult>)>)(Expression) | Executes the strongly-typed query represented by a specified Expression tree.
 | Execute(Expression) | Executes the query represented by a specified Expression tree.


Execute Method (expression)

Execute Method (expression)
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider ► Execute(Expression)
Executes the query represented by a specified Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public abstract Object Execute(
    Expression expression
)
Public MustOverride Function Execute ( _
    expression As Expression _
) As Object
public:
virtual Object^ Execute(
    Expression^ expression
) abstract
Parameters
expression (Expression)
An Expression that represents a LINQ query.
Return Value
An object that represents the result of executing the specified query.
See Also
Execute(Expression)


Execute Method (expression)

Execute<(Of <(TResult>)>) Method (expression)
InterLINQ code documentation ► InterLinq ► InterLinqQueryProvider ► Execute<(Of <(TResult>)>)(Expression)
Executes the strongly-typed query represented by a specified Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public virtual TResult Execute<TResult>(
    Expression expression
)
Public Overridable Function Execute(Of TResult) ( _
    expression As Expression _
) As TResult
public:
generic<typename TResult>
virtual TResult Execute(
    Expression^ expression
)
Generic Template Parameters
TResult
The Type of the value that is returned by the query execution.
Parameters
expression (Expression)
An Expression that represents a LINQ query.
Return Value
A value of type TResult that results from executing the specified query.
See Also
Execute(Expression)


IQueryHandler Interface

IQueryHandler Interface
InterLINQ code documentation ► InterLinq ► IQueryHandler
Interface providing methods to get IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public interface IQueryHandler
Public Interface IQueryHandler
public interface class IQueryHandler
Members
All Members | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | CloseSession()()() | Tells the IQueryHandler to close the current session.
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable<(Of <(T>)>).
 | StartSession()()() | Tells the IQueryHandler to start a new the session.


CloseSession Method

CloseSession Method
InterLINQ code documentation ► InterLinq ► IQueryHandler ► CloseSession()()()
Tells the IQueryHandler to close the current session.
Declaration Syntax
C# Visual Basic Visual C++
bool CloseSession()
Function CloseSession As Boolean
bool CloseSession()
Return Value
True, if the session closing was successful. False, if not.


GetTable Method

GetTable Method
InterLINQ code documentation ► InterLinq ► IQueryHandler ► GetTable()()()
Members
Icon | Member | Description
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable<(Of <(T>)>).


GetTable Method

GetTable<(Of <(T>)>) Method
InterLINQ code documentation ► InterLinq ► IQueryHandler ► GetTable<(Of <(T>)>)()()()
Returns an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
IQueryable<T> GetTable<T>() where T : class
Function GetTable(Of T As Class) As IQueryable(Of T)
generic<typename T>
where T : ref class
IQueryable<T>^ GetTable()
Generic Template Parameters
T
Generic Argument of the returned IQueryable<(Of <(T>)>).
Return Value
Returns an IQueryable<(Of <(T>)>).


GetTable Method (type)

GetTable Method (type)
InterLINQ code documentation ► InterLinq ► IQueryHandler ► GetTable(Type)
Returns an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
IQueryable GetTable(
    Type type
)
Function GetTable ( _
    type As Type _
) As IQueryable
IQueryable^ GetTable(
    Type^ type
)
Parameters
type (Type)
Type of the returned IQueryable<(Of <(T>)>).
Return Value
Returns an IQueryable<(Of <(T>)>).


StartSession Method

StartSession Method
InterLINQ code documentation ► InterLinq ► IQueryHandler ► StartSession()()()
Tells the IQueryHandler to start a new the session.
Declaration Syntax
C# Visual Basic Visual C++
bool StartSession()
Function StartSession As Boolean
bool StartSession()
Return Value
True, if the session creation was successful. False, if not.


IQueryRemoteHandler Interface

IQueryRemoteHandler Interface
InterLINQ code documentation ► InterLinq ► IQueryRemoteHandler
Interface providing methods to communicate with the InterLINQ service.
Declaration Syntax
C# Visual Basic Visual C++
public interface IQueryRemoteHandler
Public Interface IQueryRemoteHandler
public interface class IQueryRemoteHandler
Members
All Members | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | Retrieve(SerializableExpression) | Retrieves data from the server by an Expression tree.


Retrieve Method (expression)

Retrieve Method (expression)
InterLINQ code documentation ► InterLinq ► IQueryRemoteHandler ► Retrieve(SerializableExpression)
Retrieves data from the server by an Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
Object Retrieve(
    SerializableExpression expression
)
Function Retrieve ( _
    expression As SerializableExpression _
) As Object
Object^ Retrieve(
    SerializableExpression^ expression
)
Parameters
expression (SerializableExpression)
Expression tree containing selection and projection.
Return Value
Returns requested data.
Remarks
This method's return type depends on the submitted Expression tree. Here some examples ('T' is the requested type): MethodReturn TypeSelect(...)T[]First(...), Last(...)TCount(...)intContains(...)bool


InterLinq.Communication Namespace

InterLinq.Communication Namespace
InterLINQ code documentation ► InterLinq.Communication

This namespace contains server classes to simplify the server and client architecture.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Communication
Namespace InterLinq.Communication
namespace InterLinq.Communication
Types
All Types Classes
Icon | Type | Description
 | ClientQueryHandler | Client implementation of the InterLinqQueryHandler.
 | ClientQueryProvider | Client implementation of the InterLinqQueryProvider.
 | ServerQueryHandler | Server implementation of the IQueryRemoteHandler.


ClientQueryHandler Class

ClientQueryHandler Class
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler
Client implementation of the InterLinqQueryHandler.
Declaration Syntax
C# Visual Basic Visual C++
public class ClientQueryHandler : InterLinqQueryHandler
Public Class ClientQueryHandler _
    Inherits InterLinqQueryHandler
public ref class ClientQueryHandler : public InterLinqQueryHandler
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ClientQueryHandler()()() | Empty constructor.
 | ClientQueryHandler(IQueryRemoteHandler) | Initializes this class.
 | CloseSession()()() | Tells the IQueryHandler to close the current session. (Inherited from InterLinqQueryHandler.)
 | Connect()()() | Connects to the server.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>). (Inherited from InterLinqQueryHandler.)
 | GetTable(Type) | Returns an IQueryable. (Inherited from InterLinqQueryHandler.)
 | GetType()()() | (Inherited from Object.)
 | m_queryProvider | IQueryProvider instance (Inherited from InterLinqQueryHandler.)
 | m_queryRemoteHandler | IQueryRemoteHandler instance.
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryProvider | Gets the IQueryProvider. (Overrides InterLinqQueryHandler.QueryProvider.)
 | QueryRemoteHandler | Gets the IQueryRemoteHandler;
 | StartSession()()() | Tells the IQueryHandler to start a new the session. (Inherited from InterLinqQueryHandler.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqQueryHandler
 |  | ClientQueryHandler
 |  |  | ClientQueryWcfHandler
 |  |  | ClientQueryRemotingHandler
See Also


ClientQueryHandler Constructor

ClientQueryHandler Constructor
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► ClientQueryHandler()()()
Members
Icon | Member | Description
 | ClientQueryHandler()()() | Empty constructor.
 | ClientQueryHandler(IQueryRemoteHandler) | Initializes this class.


ClientQueryHandler Constructor

ClientQueryHandler Constructor
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► ClientQueryHandler()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public ClientQueryHandler()
Public Sub New
public:
ClientQueryHandler()


ClientQueryHandler Constructor (queryRemoteHandler)

ClientQueryHandler Constructor (queryRemoteHandler)
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► ClientQueryHandler(IQueryRemoteHandler)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ClientQueryHandler(
    IQueryRemoteHandler queryRemoteHandler
)
Public Sub New ( _
    queryRemoteHandler As IQueryRemoteHandler _
)
public:
ClientQueryHandler(
    IQueryRemoteHandler^ queryRemoteHandler
)
Parameters
queryRemoteHandler (IQueryRemoteHandler)
IQueryRemoteHandler to communicate with the server.


Connect Method

Connect Method
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► Connect()()()
Connects to the server.
Declaration Syntax
C# Visual Basic Visual C++
public virtual void Connect()
Public Overridable Sub Connect
public:
virtual void Connect()


m_queryRemoteHandler Field

m_queryRemoteHandler Field
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► m_queryRemoteHandler
IQueryRemoteHandler instance.
Declaration Syntax
C# Visual Basic Visual C++
protected IQueryRemoteHandler m_queryRemoteHandler
Protected m_queryRemoteHandler As IQueryRemoteHandler
protected:
IQueryRemoteHandler^ m_queryRemoteHandler


QueryProvider Property

QueryProvider Property
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► QueryProvider
Gets the IQueryProvider.
Declaration Syntax
C# Visual Basic Visual C++
public override IQueryProvider QueryProvider { get; }
Public Overrides ReadOnly Property QueryProvider As IQueryProvider
public:
virtual property IQueryProvider^ QueryProvider {
    IQueryProvider^ get () override;
}
See Also
QueryProvider


QueryRemoteHandler Property

QueryRemoteHandler Property
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► QueryRemoteHandler
Gets the IQueryRemoteHandler;
Declaration Syntax
C# Visual Basic Visual C++
public virtual IQueryRemoteHandler QueryRemoteHandler { get; }
Public Overridable ReadOnly Property QueryRemoteHandler As IQueryRemoteHandler
public:
virtual property IQueryRemoteHandler^ QueryRemoteHandler {
    IQueryRemoteHandler^ get ();
}


ClientQueryProvider Class

ClientQueryProvider Class
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryProvider
Client implementation of the InterLinqQueryProvider.
Declaration Syntax
C# Visual Basic Visual C++
public class ClientQueryProvider : InterLinqQueryProvider
Public Class ClientQueryProvider _
    Inherits InterLinqQueryProvider
public ref class ClientQueryProvider : public InterLinqQueryProvider
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ClientQueryProvider(IQueryRemoteHandler) | Initializes this class.
 | CreateQuery<(Of <(TElement>)>)(Expression) | Constructs an IQueryable<(Of <(T>)>) object that can evaluate the query represented by a specified Expression tree. (Inherited from InterLinqQueryProvider.)
 | Equals(Object) | (Inherited from Object.)
 | Execute<(Of <(TResult>)>)(Expression) | Executes the query and returns the requested data. (Overrides InterLinqQueryProvider.Execute<(Of <(TResult>)>)(Expression).)
 | Execute(Expression) | Executes the query and returns the requested data. (Overrides InterLinqQueryProvider.Execute<(Of <(TResult>)>)(Expression).)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | Handler | Gets the IQueryRemoteHandler;
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqQueryProvider
 |  | ClientQueryProvider
See Also


ClientQueryProvider Constructor (queryRemoteHandler)

ClientQueryProvider Constructor (queryRemoteHandler)
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryProvider ► ClientQueryProvider(IQueryRemoteHandler)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ClientQueryProvider(
    IQueryRemoteHandler queryRemoteHandler
)
Public Sub New ( _
    queryRemoteHandler As IQueryRemoteHandler _
)
public:
ClientQueryProvider(
    IQueryRemoteHandler^ queryRemoteHandler
)
Parameters
queryRemoteHandler (IQueryRemoteHandler)
IQueryRemoteHandler to communicate with the server.


Execute Method

Execute Method
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryProvider ► Execute()()()
Members
Icon | Member | Description
 | Execute<(Of <(TResult>)>)(Expression) | Executes the query and returns the requested data. (Overrides InterLinqQueryProvider.Execute<(Of <(TResult>)>)(Expression).)
 | Execute(Expression) | Executes the query and returns the requested data. (Overrides InterLinqQueryProvider.Execute<(Of <(TResult>)>)(Expression).)


Execute Method (expression)

Execute Method (expression)
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryProvider ► Execute(Expression)
Executes the query and returns the requested data.
Declaration Syntax
C# Visual Basic Visual C++
public override Object Execute(
    Expression expression
)
Public Overrides Function Execute ( _
    expression As Expression _
) As Object
public:
virtual Object^ Execute(
    Expression^ expression
) override
Parameters
expression (Expression)
Expression tree to execute.
Return Value
Returns the requested data of Type object.
See Also
Execute(Expression)


Execute Method (expression)

Execute<(Of <(TResult>)>) Method (expression)
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryProvider ► Execute<(Of <(TResult>)>)(Expression)
Executes the query and returns the requested data.
Declaration Syntax
C# Visual Basic Visual C++
public override TResult Execute<TResult>(
    Expression expression
)
Public Overrides Function Execute(Of TResult) ( _
    expression As Expression _
) As TResult
public:
generic<typename TResult>
virtual TResult Execute(
    Expression^ expression
) override
Generic Template Parameters
TResult
Type of the return value.
Parameters
expression (Expression)
Expression tree to execute.
Return Value
Returns the requested data of Type 'TResult'.
See Also
Execute(Expression)


Handler Property

Handler Property
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryProvider ► Handler
Gets the IQueryRemoteHandler;
Declaration Syntax
C# Visual Basic Visual C++
public IQueryRemoteHandler Handler { get; }
Public ReadOnly Property Handler As IQueryRemoteHandler
public:
property IQueryRemoteHandler^ Handler {
    IQueryRemoteHandler^ get ();
}


ServerQueryHandler Class

ServerQueryHandler Class
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler
Server implementation of the IQueryRemoteHandler.
Declaration Syntax
C# Visual Basic Visual C++
public class ServerQueryHandler : IQueryRemoteHandler,
    IDisposable
Public Class ServerQueryHandler _
    Implements IQueryRemoteHandler, IDisposable
public ref class ServerQueryHandler : IQueryRemoteHandler,
    IDisposable
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ServerQueryHandler(IQueryHandler) | Initializes this class.
 | Dispose()()() | Disposes the server instance.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HandleExceptionInRetrieve(Exception) | Handles an Exception occured in the Retrieve(SerializableExpression) Method.
 | m_queryHandler | A IQueryHandler instance.
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryHandler | Gets the IQueryHandler.
 | Retrieve(SerializableExpression) | Retrieves data from the server by an Expression tree.
 | RetrieveGeneric<(Of <(T>)>)(SerializableExpression) | Retrieves data from the server by an Expression tree.
 | RetrieveNonGenericObject(SerializableExpression) | Retrieves data from the server by an Expression tree.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | ServerQueryHandler
 |  | ServerQueryWcfHandler
See Also
IQueryRemoteHandler


ServerQueryHandler Constructor (queryHandler)

ServerQueryHandler Constructor (queryHandler)
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► ServerQueryHandler(IQueryHandler)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ServerQueryHandler(
    IQueryHandler queryHandler
)
Public Sub New ( _
    queryHandler As IQueryHandler _
)
public:
ServerQueryHandler(
    IQueryHandler^ queryHandler
)
Parameters
queryHandler (IQueryHandler)
IQueryHandler instance.


Dispose Method

Dispose Method
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► Dispose()()()
Disposes the server instance.
Declaration Syntax
C# Visual Basic Visual C++
public virtual void Dispose()
Public Overridable Sub Dispose
public:
virtual void Dispose()


HandleExceptionInRetrieve Method (exception)

HandleExceptionInRetrieve Method (exception)
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► HandleExceptionInRetrieve(Exception)
Handles an Exception occured in the Retrieve(SerializableExpression) Method.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual void HandleExceptionInRetrieve(
    Exception exception
)
Protected Overridable Sub HandleExceptionInRetrieve ( _
    exception As Exception _
)
protected:
virtual void HandleExceptionInRetrieve(
    Exception^ exception
)
Parameters
exception (Exception)
Thrown Exception in Retrieve(SerializableExpression) Method.


m_queryHandler Field

m_queryHandler Field
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► m_queryHandler
A IQueryHandler instance.
Declaration Syntax
C# Visual Basic Visual C++
protected IQueryHandler m_queryHandler
Protected m_queryHandler As IQueryHandler
protected:
IQueryHandler^ m_queryHandler


QueryHandler Property

QueryHandler Property
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► QueryHandler
Gets the IQueryHandler.
Declaration Syntax
C# Visual Basic Visual C++
public IQueryHandler QueryHandler { get; }
Public ReadOnly Property QueryHandler As IQueryHandler
public:
property IQueryHandler^ QueryHandler {
    IQueryHandler^ get ();
}


Retrieve Method (expression)

Retrieve Method (expression)
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► Retrieve(SerializableExpression)
Retrieves data from the server by an Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public Object Retrieve(
    SerializableExpression expression
)
Public Function Retrieve ( _
    expression As SerializableExpression _
) As Object
public:
virtual Object^ Retrieve(
    SerializableExpression^ expression
) sealed
Parameters
expression (SerializableExpression)
Expression tree containing selection and projection.
Return Value
Returns requested data.
Remarks
This method's return type depends on the submitted Expression tree. Here some examples ('T' is the requested type): MethodReturn TypeSelect(...)T[]First(...), Last(...)TCount(...)intContains(...)bool
See Also
Retrieve(SerializableExpression)


RetrieveGeneric Method (serializableExpression)

RetrieveGeneric<(Of <(T>)>) Method (serializableExpression)
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► RetrieveGeneric<(Of <(T>)>)(SerializableExpression)
Retrieves data from the server by an Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public Object RetrieveGeneric<T>(
    SerializableExpression serializableExpression
)
Public Function RetrieveGeneric(Of T) ( _
    serializableExpression As SerializableExpression _
) As Object
public:
generic<typename T>
Object^ RetrieveGeneric(
    SerializableExpression^ serializableExpression
)
Generic Template Parameters
T
Type of the IQueryable.
Parameters
serializableExpression (SerializableExpression)
Expression tree containing selection and projection.
Return Value
Returns requested data.
Remarks
This method's return type depends on the submitted Expression tree. Here some examples ('T' is the requested type): MethodReturn TypeSelect(...)T[]First(...), Last(...)TCount(...)intContains(...)bool
See Also
Retrieve(SerializableExpression)


RetrieveNonGenericObject Method (serializableExpression)

RetrieveNonGenericObject Method (serializableExpression)
InterLINQ code documentation ► InterLinq.Communication ► ServerQueryHandler ► RetrieveNonGenericObject(SerializableExpression)
Retrieves data from the server by an Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public Object RetrieveNonGenericObject(
    SerializableExpression serializableExpression
)
Public Function RetrieveNonGenericObject ( _
    serializableExpression As SerializableExpression _
) As Object
public:
Object^ RetrieveNonGenericObject(
    SerializableExpression^ serializableExpression
)
Parameters
serializableExpression (SerializableExpression)
Expression tree containing selection and projection.
Return Value
Returns requested data.
Remarks
This method's return type depends on the submitted Expression tree. Here some examples ('T' is the requested type): MethodReturn TypeSelect(...)T[]First(...), Last(...)TCount(...)intContains(...)bool
See Also
Retrieve(SerializableExpression)


InterLinq.Communication.Remoting Namespace

InterLinq.Communication.Remoting Namespace
InterLINQ code documentation ► InterLinq.Communication.Remoting

This namespace contains the classes required for the communication over .NET Remoting.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Communication.Remoting
Namespace InterLinq.Communication.Remoting
namespace InterLinq.Communication.Remoting
Types
All Types Classes
Icon | Type | Description
 | ClientQueryRemotingHandler | Client handler class managing the connection via Remoting to the InterLINQ Server.
 | RemotingConstants | Constants for the default remoting configuration.
 | ServerQueryRemotingHandler | Server handler class to retrieve information via .NET Remoting.
See Also
InterLinq.Communication


ClientQueryRemotingHandler Class

ClientQueryRemotingHandler Class
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ClientQueryRemotingHandler
Client handler class managing the connection via Remoting to the InterLINQ Server.
Declaration Syntax
C# Visual Basic Visual C++
public class ClientQueryRemotingHandler : ClientQueryHandler
Public Class ClientQueryRemotingHandler _
    Inherits ClientQueryHandler
public ref class ClientQueryRemotingHandler : public ClientQueryHandler
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ClientQueryRemotingHandler()()() | Initializes this class.
 | ClientQueryRemotingHandler(Boolean) | Initializes this class.
 | ClientQueryRemotingHandler(String) | Initializes this class.
 | CloseSession()()() | Tells the IQueryHandler to close the current session. (Inherited from InterLinqQueryHandler.)
 | Connect()()() | Connects to the server. InterLinqQueryHandler (Overrides ClientQueryHandler.Connect()()().)
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>). (Inherited from InterLinqQueryHandler.)
 | GetTable(Type) | Returns an IQueryable. (Inherited from InterLinqQueryHandler.)
 | GetType()()() | (Inherited from Object.)
 | m_queryProvider | IQueryProvider instance (Inherited from InterLinqQueryHandler.)
 | m_queryRemoteHandler | IQueryRemoteHandler instance. (Inherited from ClientQueryHandler.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryProvider | Gets the IQueryProvider. (Inherited from ClientQueryHandler.)
 | QueryRemoteHandler | Gets the IQueryRemoteHandler; (Inherited from ClientQueryHandler.)
 | StartSession()()() | Tells the IQueryHandler to start a new the session. (Inherited from InterLinqQueryHandler.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqQueryHandler
 |  | ClientQueryHandler
 |  |  | ClientQueryRemotingHandler
See Also


ClientQueryRemotingHandler Constructor

ClientQueryRemotingHandler Constructor
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ClientQueryRemotingHandler ► ClientQueryRemotingHandler()()()
Members
Icon | Member | Description
 | ClientQueryRemotingHandler()()() | Initializes this class.
 | ClientQueryRemotingHandler(Boolean) | Initializes this class.
 | ClientQueryRemotingHandler(String) | Initializes this class.


ClientQueryRemotingHandler Constructor

ClientQueryRemotingHandler Constructor
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ClientQueryRemotingHandler ► ClientQueryRemotingHandler()()()
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ClientQueryRemotingHandler()
Public Sub New
public:
ClientQueryRemotingHandler()


ClientQueryRemotingHandler Constructor (makeDefaultConnection)

ClientQueryRemotingHandler Constructor (makeDefaultConnection)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ClientQueryRemotingHandler ► ClientQueryRemotingHandler(Boolean)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ClientQueryRemotingHandler(
    bool makeDefaultConnection
)
Public Sub New ( _
    makeDefaultConnection As Boolean _
)
public:
ClientQueryRemotingHandler(
    bool makeDefaultConnection
)
Parameters
makeDefaultConnection (Boolean)
If set to true, the client will connect to tcp://localhost:7890/InterLINQ_Remoting_Server.


ClientQueryRemotingHandler Constructor (url)

ClientQueryRemotingHandler Constructor (url)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ClientQueryRemotingHandler ► ClientQueryRemotingHandler(String)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ClientQueryRemotingHandler(
    string url
)
Public Sub New ( _
    url As String _
)
public:
ClientQueryRemotingHandler(
    String^ url
)
Parameters
url (String)
URL where the Remote Objects will be published.


Connect Method

Connect Method
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ClientQueryRemotingHandler ► Connect()()()
Connects to the server. InterLinqQueryHandler
Declaration Syntax
C# Visual Basic Visual C++
public override void Connect()
Public Overrides Sub Connect
public:
virtual void Connect() override
See Also
Connect()()()


RemotingConstants Class

RemotingConstants Class
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants
Constants for the default remoting configuration.
Declaration Syntax
C# Visual Basic Visual C++
public abstract class RemotingConstants
Public MustInherit Class RemotingConstants
public ref class RemotingConstants abstract
Members
All Members | Constructors | Methods | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | RemotingConstants()()() |
 | DEFAULT_SERVER_NAME | The default server name.
 | DEFAULT_SERVER_OBJECT_NAME | The default remote object name for the factory.
 | DEFAULT_SERVICE_CHANNEL_NAME | The default service channel name for the remoting connection.
 | DEFAULT_SERVICE_PORT | The default port a for remoting connection.
 | DEFAULT_SERVICE_PROTCOL | The default service protocol for the server name
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetDefaultChannel(IDictionary) | A channel with the default name and the default port.
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
RemotingConstants


RemotingConstants Constructor

RemotingConstants Constructor
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants ► RemotingConstants()()()
Initializes a new instance of the RemotingConstants class.
Declaration Syntax
C# Visual Basic Visual C++
protected RemotingConstants()
Protected Sub New
protected:
RemotingConstants()


DEFAULT_SERVER_NAME Field

DEFAULT_SERVER_NAME Field
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants ► DEFAULT_SERVER_NAME
The default server name.
Declaration Syntax
C# Visual Basic Visual C++
public const string DEFAULT_SERVER_NAME
Public Const DEFAULT_SERVER_NAME As String
public:
literal String^ DEFAULT_SERVER_NAME


DEFAULT_SERVER_OBJECT_NAME Field

DEFAULT_SERVER_OBJECT_NAME Field
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants ► DEFAULT_SERVER_OBJECT_NAME
The default remote object name for the factory.
Declaration Syntax
C# Visual Basic Visual C++
public const string DEFAULT_SERVER_OBJECT_NAME
Public Const DEFAULT_SERVER_OBJECT_NAME As String
public:
literal String^ DEFAULT_SERVER_OBJECT_NAME


DEFAULT_SERVICE_CHANNEL_NAME Field

DEFAULT_SERVICE_CHANNEL_NAME Field
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants ► DEFAULT_SERVICE_CHANNEL_NAME
The default service channel name for the remoting connection.
Declaration Syntax
C# Visual Basic Visual C++
public const string DEFAULT_SERVICE_CHANNEL_NAME
Public Const DEFAULT_SERVICE_CHANNEL_NAME As String
public:
literal String^ DEFAULT_SERVICE_CHANNEL_NAME


DEFAULT_SERVICE_PORT Field

DEFAULT_SERVICE_PORT Field
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants ► DEFAULT_SERVICE_PORT
The default port a for remoting connection.
Declaration Syntax
C# Visual Basic Visual C++
public const int DEFAULT_SERVICE_PORT
Public Const DEFAULT_SERVICE_PORT As Integer
public:
literal int DEFAULT_SERVICE_PORT


DEFAULT_SERVICE_PROTCOL Field

DEFAULT_SERVICE_PROTCOL Field
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants ► DEFAULT_SERVICE_PROTCOL
The default service protocol for the server name
Declaration Syntax
C# Visual Basic Visual C++
public const string DEFAULT_SERVICE_PROTCOL
Public Const DEFAULT_SERVICE_PROTCOL As String
public:
literal String^ DEFAULT_SERVICE_PROTCOL


GetDefaultChannel Method (properties)

GetDefaultChannel Method (properties)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► RemotingConstants ► GetDefaultChannel(IDictionary)
A channel with the default name and the default port.
Declaration Syntax
C# Visual Basic Visual C++
public static IChannel GetDefaultChannel(
    IDictionary properties
)
Public Shared Function GetDefaultChannel ( _
    properties As IDictionary _
) As IChannel
public:
static IChannel^ GetDefaultChannel(
    IDictionary^ properties
)
Parameters
properties (IDictionary)
The properties of the channel.
Return Value
Retruns a default IChannel.


ServerQueryRemotingHandler Class

ServerQueryRemotingHandler Class
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler
Server handler class to retrieve information via .NET Remoting.
Declaration Syntax
C# Visual Basic Visual C++
public class ServerQueryRemotingHandler : MarshalByRefObject, IQueryRemoteHandler
Public Class ServerQueryRemotingHandler _
    Inherits MarshalByRefObject _
    Implements IQueryRemoteHandler
public ref class ServerQueryRemotingHandler : public MarshalByRefObject,
    IQueryRemoteHandler
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ServerQueryRemotingHandler()()() | Initializes this class.
 | ServerQueryRemotingHandler(IQueryHandler) | Initializes this class.
 | CreateObjRef(Type) | (Inherited from MarshalByRefObject.)
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetLifetimeService()()() | (Inherited from MarshalByRefObject.)
 | GetRegisteredService()()() | Returns the registered IQueryRemoteHandler.
 | GetType()()() | (Inherited from Object.)
 | InitializeLifetimeService()()() | This methods is overwritten because this class is made for a singleton service and should live until the application terminates. (Overrides MarshalByRefObject.InitializeLifetimeService()()().)
 | InnerHandler | Gets the IQueryRemoteHandler.
 | MemberwiseClone(Boolean) | (Inherited from MarshalByRefObject.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | RegisterService(IQueryRemoteHandler) | Registers the IQueryRemoteHandler as service.
 | Retrieve(SerializableExpression) | Retrieves data from the server by an Expression tree.
 | Start(Boolean) | Publishes this object for remoting.
 | Start(String, Boolean) | Publishes this object for remoting.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | MarshalByRefObject
 |  | ServerQueryRemotingHandler
See Also


ServerQueryRemotingHandler Constructor

ServerQueryRemotingHandler Constructor
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► ServerQueryRemotingHandler()()()
Members
Icon | Member | Description
 | ServerQueryRemotingHandler()()() | Initializes this class.
 | ServerQueryRemotingHandler(IQueryHandler) | Initializes this class.


ServerQueryRemotingHandler Constructor

ServerQueryRemotingHandler Constructor
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► ServerQueryRemotingHandler()()()
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
protected ServerQueryRemotingHandler()
Protected Sub New
protected:
ServerQueryRemotingHandler()


ServerQueryRemotingHandler Constructor (innerHandler)

ServerQueryRemotingHandler Constructor (innerHandler)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► ServerQueryRemotingHandler(IQueryHandler)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ServerQueryRemotingHandler(
    IQueryHandler innerHandler
)
Public Sub New ( _
    innerHandler As IQueryHandler _
)
public:
ServerQueryRemotingHandler(
    IQueryHandler^ innerHandler
)
Parameters
innerHandler (IQueryHandler)
Inner Handler of this Server.


GetRegisteredService Method

GetRegisteredService Method
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► GetRegisteredService()()()
Returns the registered IQueryRemoteHandler.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual IQueryRemoteHandler GetRegisteredService()
Protected Overridable Function GetRegisteredService As IQueryRemoteHandler
protected:
virtual IQueryRemoteHandler^ GetRegisteredService()
Return Value
Returns the registered IQueryRemoteHandler.


InitializeLifetimeService Method

InitializeLifetimeService Method
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► InitializeLifetimeService()()()
This methods is overwritten because this class is made for a singleton service and should live until the application terminates.
Declaration Syntax
C# Visual Basic Visual C++
public override Object InitializeLifetimeService()
Public Overrides Function InitializeLifetimeService As Object
public:
virtual Object^ InitializeLifetimeService() override
Return Value
This method will always return nullNothingnullptr


InnerHandler Property

InnerHandler Property
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► InnerHandler
Gets the IQueryRemoteHandler.
Declaration Syntax
C# Visual Basic Visual C++
public IQueryRemoteHandler InnerHandler { get; }
Public ReadOnly Property InnerHandler As IQueryRemoteHandler
public:
property IQueryRemoteHandler^ InnerHandler {
    IQueryRemoteHandler^ get ();
}


RegisterService Method (serviceHandler)

RegisterService Method (serviceHandler)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► RegisterService(IQueryRemoteHandler)
Registers the IQueryRemoteHandler as service.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual void RegisterService(
    IQueryRemoteHandler serviceHandler
)
Protected Overridable Sub RegisterService ( _
    serviceHandler As IQueryRemoteHandler _
)
protected:
virtual void RegisterService(
    IQueryRemoteHandler^ serviceHandler
)
Parameters
serviceHandler (IQueryRemoteHandler)
IQueryRemoteHandler to register.


Retrieve Method (expression)

Retrieve Method (expression)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► Retrieve(SerializableExpression)
Retrieves data from the server by an Expression tree.
Declaration Syntax
C# Visual Basic Visual C++
public Object Retrieve(
    SerializableExpression expression
)
Public Function Retrieve ( _
    expression As SerializableExpression _
) As Object
public:
virtual Object^ Retrieve(
    SerializableExpression^ expression
) sealed
Parameters
expression (SerializableExpression)
Expression tree containing selection and projection.
Return Value
Returns requested data.
Remarks
This method's return type depends on the submitted Expression tree. Here some examples ('T' is the requested type): MethodReturn TypeSelect(...)T[]First(...), Last(...)TCount(...)intContains(...)bool
See Also
Retrieve(SerializableExpression)


Start Method

Start Method
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► Start()()()
Members
Icon | Member | Description
 | Start(Boolean) | Publishes this object for remoting.
 | Start(String, Boolean) | Publishes this object for remoting.


Start Method (createDefaultChannels)

Start Method (createDefaultChannels)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► Start(Boolean)
Publishes this object for remoting.
Declaration Syntax
C# Visual Basic Visual C++
public void Start(
    bool createDefaultChannels
)
Public Sub Start ( _
    createDefaultChannels As Boolean _
)
public:
void Start(
    bool createDefaultChannels
)
Parameters
createDefaultChannels (Boolean)
Determinates if the default channels should be created or not. RemotingConstants


Start Method (objectUri, createDefaultChannels)

Start Method (objectUri, createDefaultChannels)
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► Start(String, Boolean)
Publishes this object for remoting.
Declaration Syntax
C# Visual Basic Visual C++
public void Start(
    string objectUri,
    bool createDefaultChannels
)
Public Sub Start ( _
    objectUri As String, _
    createDefaultChannels As Boolean _
)
public:
void Start(
    String^ objectUri,
    bool createDefaultChannels
)
Parameters
objectUri (String)
The remoting uri of the object.
createDefaultChannels (Boolean)
Determinates if the default channels should be created or not. RemotingConstants


InterLinq.Communication.Wcf Namespace

InterLinq.Communication.Wcf Namespace
InterLINQ code documentation ► InterLinq.Communication.Wcf

This namespace contains the classes required for the communication over WCF.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Communication.Wcf
Namespace InterLinq.Communication.Wcf
namespace InterLinq.Communication.Wcf
Types
All Types Classes Structures
Icon | Type | Description
 | ClientQueryWcfHandler | Client handler class managing the connection via WCF to the InterLINQ Server.
 | ServerQueryWcfHandler | Server class to retrieve information via WCF.
 | ServiceConstants | Constant class for the WCF implementation.
 | ServiceHelper | Helper class providing different methods required by WCF Clients / Servers.
See Also
InterLinq.Communication


ClientQueryWcfHandler Class

ClientQueryWcfHandler Class
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ClientQueryWcfHandler
Client handler class managing the connection via WCF to the InterLINQ Server.
Declaration Syntax
C# Visual Basic Visual C++
public class ClientQueryWcfHandler : ClientQueryHandler
Public Class ClientQueryWcfHandler _
    Inherits ClientQueryHandler
public ref class ClientQueryWcfHandler : public ClientQueryHandler
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ClientQueryWcfHandler()()() |
 | CloseSession()()() | Tells the IQueryHandler to close the current session. (Inherited from InterLinqQueryHandler.)
 | Connect()()() | Connects to the server. InterLinqQueryHandler (Overrides ClientQueryHandler.Connect()()().)
 | Connect(Binding, EndpointAddress) | Connects to the server.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>). (Inherited from InterLinqQueryHandler.)
 | GetTable(Type) | Returns an IQueryable. (Inherited from InterLinqQueryHandler.)
 | GetType()()() | (Inherited from Object.)
 | m_queryProvider | IQueryProvider instance (Inherited from InterLinqQueryHandler.)
 | m_queryRemoteHandler | IQueryRemoteHandler instance. (Inherited from ClientQueryHandler.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryProvider | Gets the IQueryProvider. (Inherited from ClientQueryHandler.)
 | QueryRemoteHandler | Gets the IQueryRemoteHandler; (Inherited from ClientQueryHandler.)
 | StartSession()()() | Tells the IQueryHandler to start a new the session. (Inherited from InterLinqQueryHandler.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqQueryHandler
 |  | ClientQueryHandler
 |  |  | ClientQueryWcfHandler
See Also


ClientQueryWcfHandler Constructor

ClientQueryWcfHandler Constructor
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ClientQueryWcfHandler ► ClientQueryWcfHandler()()()
Initializes a new instance of the ClientQueryWcfHandler class.
Declaration Syntax
C# Visual Basic Visual C++
public ClientQueryWcfHandler()
Public Sub New
public:
ClientQueryWcfHandler()


Connect Method

Connect Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ClientQueryWcfHandler ► Connect()()()
Members
Icon | Member | Description
 | Connect()()() | Connects to the server. InterLinqQueryHandler (Overrides ClientQueryHandler.Connect()()().)
 | Connect(Binding, EndpointAddress) | Connects to the server.


Connect Method

Connect Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ClientQueryWcfHandler ► Connect()()()
Connects to the server. InterLinqQueryHandler
Declaration Syntax
C# Visual Basic Visual C++
public override void Connect()
Public Overrides Sub Connect
public:
virtual void Connect() override
See Also
Connect()()()


Connect Method (binding, endpointAddress)

Connect Method (binding, endpointAddress)
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ClientQueryWcfHandler ► Connect(Binding, EndpointAddress)
Connects to the server.
Declaration Syntax
C# Visual Basic Visual C++
public void Connect(
    Binding binding,
    EndpointAddress endpointAddress
)
Public Sub Connect ( _
    binding As Binding, _
    endpointAddress As EndpointAddress _
)
public:
void Connect(
    Binding^ binding,
    EndpointAddress^ endpointAddress
)
Parameters
binding (Binding)
Predefined Binding.
endpointAddress (EndpointAddress)
EndpointAddress of the server.


ServerQueryWcfHandler Class

ServerQueryWcfHandler Class
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler
Server class to retrieve information via WCF.
Declaration Syntax
C# Visual Basic Visual C++
public class ServerQueryWcfHandler : ServerQueryHandler
Public Class ServerQueryWcfHandler _
    Inherits ServerQueryHandler
public ref class ServerQueryWcfHandler : public ServerQueryHandler
Members
All Members | Constructors | Methods | Properties | Fields
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ServerQueryWcfHandler(IQueryHandler) | Initializes this class.
 | Dispose()()() | Disposes the Service Instance. (Overrides ServerQueryHandler.Dispose()()().)
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HandleExceptionInRetrieve(Exception) | Handles an Exception occured in the Retrieve(SerializableExpression) Method. (Overrides ServerQueryHandler.HandleExceptionInRetrieve(Exception).)
 | m_queryHandler | A IQueryHandler instance. (Inherited from ServerQueryHandler.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryHandler | Gets the IQueryHandler. (Inherited from ServerQueryHandler.)
 | Retrieve(SerializableExpression) | Retrieves data from the server by an Expression tree. (Inherited from ServerQueryHandler.)
 | RetrieveGeneric<(Of <(T>)>)(SerializableExpression) | Retrieves data from the server by an Expression tree. (Inherited from ServerQueryHandler.)
 | RetrieveNonGenericObject(SerializableExpression) | Retrieves data from the server by an Expression tree. (Inherited from ServerQueryHandler.)
 | Start()()() | Starts the Service Instance.
 | Start(Binding, String) | Starts the Service Instance.
 | Stop()()() | Stops the Service Instance.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | ServerQueryHandler
 |  | ServerQueryWcfHandler
See Also


ServerQueryWcfHandler Constructor (queryHandler)

ServerQueryWcfHandler Constructor (queryHandler)
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler ► ServerQueryWcfHandler(IQueryHandler)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ServerQueryWcfHandler(
    IQueryHandler queryHandler
)
Public Sub New ( _
    queryHandler As IQueryHandler _
)
public:
ServerQueryWcfHandler(
    IQueryHandler^ queryHandler
)
Parameters
queryHandler (IQueryHandler)
IQueryHandler instance.


Dispose Method

Dispose Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler ► Dispose()()()
Disposes the Service Instance.
Declaration Syntax
C# Visual Basic Visual C++
public override void Dispose()
Public Overrides Sub Dispose
public:
virtual void Dispose() override


HandleExceptionInRetrieve Method (exception)

HandleExceptionInRetrieve Method (exception)
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler ► HandleExceptionInRetrieve(Exception)
Handles an Exception occured in the Retrieve(SerializableExpression) Method.
Declaration Syntax
C# Visual Basic Visual C++
protected override void HandleExceptionInRetrieve(
    Exception exception
)
Protected Overrides Sub HandleExceptionInRetrieve ( _
    exception As Exception _
)
protected:
virtual void HandleExceptionInRetrieve(
    Exception^ exception
) override
Parameters
exception (Exception)
Thrown Exception in Retrieve(SerializableExpression) Method.


Start Method

Start Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler ► Start()()()
Members
Icon | Member | Description
 | Start()()() | Starts the Service Instance.
 | Start(Binding, String) | Starts the Service Instance.


Start Method

Start Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler ► Start()()()
Starts the Service Instance.
Declaration Syntax
C# Visual Basic Visual C++
public void Start()
Public Sub Start
public:
void Start()


Start Method (binding, serviceUri)

Start Method (binding, serviceUri)
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler ► Start(Binding, String)
Starts the Service Instance.
Declaration Syntax
C# Visual Basic Visual C++
public void Start(
    Binding binding,
    string serviceUri
)
Public Sub Start ( _
    binding As Binding, _
    serviceUri As String _
)
public:
void Start(
    Binding^ binding,
    String^ serviceUri
)
Parameters
binding (Binding)
Predefined Binding.
serviceUri (String)
Service URI as string.


Stop Method

Stop Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServerQueryWcfHandler ► Stop()()()
Stops the Service Instance.
Declaration Syntax
C# Visual Basic Visual C++
public void Stop()
Public Sub Stop
public:
void Stop()


ServiceConstants Structure

ServiceConstants Structure
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceConstants
Constant class for the WCF implementation.
Declaration Syntax
C# Visual Basic Visual C++
public struct ServiceConstants
Public Structure ServiceConstants
public value class ServiceConstants
Members
All Members | Methods | Fields
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | Equals(Object) | (Inherited from ValueType.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from ValueType.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ServerAddress | Default WCF Server address.
 | ServerPort | Default WCF Server port.
 | ServicePath | Default WCF Service path.
 | ToString()()() | (Inherited from ValueType.)


ServerAddress Field

ServerAddress Field
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceConstants ► ServerAddress
Default WCF Server address.
Declaration Syntax
C# Visual Basic Visual C++
public const string ServerAddress
Public Const ServerAddress As String
public:
literal String^ ServerAddress


ServerPort Field

ServerPort Field
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceConstants ► ServerPort
Default WCF Server port.
Declaration Syntax
C# Visual Basic Visual C++
public const string ServerPort
Public Const ServerPort As String
public:
literal String^ ServerPort


ServicePath Field

ServicePath Field
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceConstants ► ServicePath
Default WCF Service path.
Declaration Syntax
C# Visual Basic Visual C++
public const string ServicePath
Public Const ServicePath As String
public:
literal String^ ServicePath


ServiceHelper Class

ServiceHelper Class
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper
Helper class providing different methods required by WCF Clients / Servers.
Declaration Syntax
C# Visual Basic Visual C++
public static class ServiceHelper
Public NotInheritable Class ServiceHelper
public ref class ServiceHelper abstract sealed
Members
All Members | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | GetEndpoint()()() | Returns the default Service EndpointAddress.
 | GetEndpoint(String, String, String) | Returns a Service EndpointAddress.
 | GetNetTcpBinding()()() | Returns a default NetTcpBinding.
 | GetServiceUri()()() | Returns the default Service URI as string.
 | GetServiceUri(String, String, String) | Returns a Service URI as string.
Inheritance Hierarchy
Object
ServiceHelper


GetEndpoint Method

GetEndpoint Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper ► GetEndpoint()()()
Members
Icon | Member | Description
 | GetEndpoint()()() | Returns the default Service EndpointAddress.
 | GetEndpoint(String, String, String) | Returns a Service EndpointAddress.


GetEndpoint Method

GetEndpoint Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper ► GetEndpoint()()()
Returns the default Service EndpointAddress.
Declaration Syntax
C# Visual Basic Visual C++
public static EndpointAddress GetEndpoint()
Public Shared Function GetEndpoint As EndpointAddress
public:
static EndpointAddress^ GetEndpoint()
Return Value
Returns the default Service EndpointAddress.


GetEndpoint Method (serverAddress, serverPort, servicePath)

GetEndpoint Method (serverAddress, serverPort, servicePath)
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper ► GetEndpoint(String, String, String)
Returns a Service EndpointAddress.
Declaration Syntax
C# Visual Basic Visual C++
public static EndpointAddress GetEndpoint(
    string serverAddress,
    string serverPort,
    string servicePath
)
Public Shared Function GetEndpoint ( _
    serverAddress As String, _
    serverPort As String, _
    servicePath As String _
) As EndpointAddress
public:
static EndpointAddress^ GetEndpoint(
    String^ serverAddress,
    String^ serverPort,
    String^ servicePath
)
Parameters
serverAddress (String)
Address of the Server.
serverPort (String)
Port of the Server.
servicePath (String)
Path of the WCF Service.
Return Value
Returns a Service EndpointAddress.


GetNetTcpBinding Method

GetNetTcpBinding Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper ► GetNetTcpBinding()()()
Returns a default NetTcpBinding.
Declaration Syntax
C# Visual Basic Visual C++
public static NetTcpBinding GetNetTcpBinding()
Public Shared Function GetNetTcpBinding As NetTcpBinding
public:
static NetTcpBinding^ GetNetTcpBinding()
Return Value
Returns a default NetTcpBinding.
Remarks
The NetTcpBinding looks like this: PropertyValueSecurity.Mode None MaxBufferSize MaxValue MaxReceivedMessageSize MaxValue ReaderQuotas.MaxArrayLength MaxValue OpenTimeoutnew TimeSpan( 0, 10, 0 ) = 10 MinutesCloseTimeoutnew TimeSpan( 0, 10, 0 ) = 10 MinutesSendTimeoutnew TimeSpan( 0, 10, 0 ) = 10 Minutes


GetServiceUri Method

GetServiceUri Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper ► GetServiceUri()()()
Members
Icon | Member | Description
 | GetServiceUri()()() | Returns the default Service URI as string.
 | GetServiceUri(String, String, String) | Returns a Service URI as string.


GetServiceUri Method

GetServiceUri Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper ► GetServiceUri()()()
Returns the default Service URI as string.
Declaration Syntax
C# Visual Basic Visual C++
public static string GetServiceUri()
Public Shared Function GetServiceUri As String
public:
static String^ GetServiceUri()
Return Value
Returns the default Service URI as string.


GetServiceUri Method (serverAddress, serverPort, servicePath)

GetServiceUri Method (serverAddress, serverPort, servicePath)
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ServiceHelper ► GetServiceUri(String, String, String)
Returns a Service URI as string.
Declaration Syntax
C# Visual Basic Visual C++
public static string GetServiceUri(
    string serverAddress,
    string serverPort,
    string servicePath
)
Public Shared Function GetServiceUri ( _
    serverAddress As String, _
    serverPort As String, _
    servicePath As String _
) As String
public:
static String^ GetServiceUri(
    String^ serverAddress,
    String^ serverPort,
    String^ servicePath
)
Parameters
serverAddress (String)
Address of the Server.
serverPort (String)
Port of the Server.
servicePath (String)
Path of the WCF Service.
Return Value
Returns a Service URI as string.


InterLinq.Communication.Wcf.NetDataContractSerializer Namespace

InterLinq.Communication.Wcf.NetDataContractSerializer Namespace
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer

This namespace contains the classes required to use the NetDataContractSerializer.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Communication.Wcf.NetDataContractSerializer
Namespace InterLinq.Communication.Wcf.NetDataContractSerializer
namespace InterLinq.Communication.Wcf.NetDataContractSerializer
Types
All Types Classes
Icon | Type | Description
 | NetDataContractFormat | Implements methods that can be used to extend run-time behavior for an operation in either a service or client application.
 | NetDataContractSerializerOperationBehavior | Represents the run-time behavior of the DataContractSerializer.
See Also
InterLinq.Communication


NetDataContractFormat Class

NetDataContractFormat Class
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractFormat
Implements methods that can be used to extend run-time behavior for an operation in either a service or client application.
Declaration Syntax
C# Visual Basic Visual C++
public class NetDataContractFormat : Attribute, IOperationBehavior
Public Class NetDataContractFormat _
    Inherits Attribute _
    Implements IOperationBehavior
public ref class NetDataContractFormat : public Attribute,
    IOperationBehavior
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | NetDataContractFormat()()() |
 | AddBindingParameters(OperationDescription, BindingParameterCollection) | Implement to pass data at runtime to bindings to support custom behavior.
 | ApplyClientBehavior(OperationDescription, ClientOperation) | Implements a modification or extension of the client across an operation.
 | ApplyDispatchBehavior(OperationDescription, DispatchOperation) | Implements a modification or extension of the service across an operation.
 | Equals(Object) | (Inherited from Attribute.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Attribute.)
 | GetType()()() | (Inherited from Object.)
 | IsDefaultAttribute()()() | (Inherited from Attribute.)
 | Match(Object) | (Inherited from Attribute.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
 | TypeId | (Inherited from Attribute.)
 | Validate(OperationDescription) | Implement to confirm that the operation meets some intended criteria.
Inheritance Hierarchy
Object
 | Attribute
 |  | NetDataContractFormat


NetDataContractFormat Constructor

NetDataContractFormat Constructor
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractFormat ► NetDataContractFormat()()()
Initializes a new instance of the NetDataContractFormat class.
Declaration Syntax
C# Visual Basic Visual C++
public NetDataContractFormat()
Public Sub New
public:
NetDataContractFormat()


AddBindingParameters Method (description, parameters)

AddBindingParameters Method (description, parameters)
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractFormat ► AddBindingParameters(OperationDescription, BindingParameterCollection)
Implement to pass data at runtime to bindings to support custom behavior.
Declaration Syntax
C# Visual Basic Visual C++
public void AddBindingParameters(
    OperationDescription description,
    BindingParameterCollection parameters
)
Public Sub AddBindingParameters ( _
    description As OperationDescription, _
    parameters As BindingParameterCollection _
)
public:
virtual void AddBindingParameters(
    OperationDescription^ description,
    BindingParameterCollection^ parameters
) sealed
Parameters
description (OperationDescription)
The operation being examined. Use for examination only. If the operation description is modified, the results are undefined.
parameters (BindingParameterCollection)
The collection of objects that binding elements require to support the behavior.


ApplyClientBehavior Method (description, proxy)

ApplyClientBehavior Method (description, proxy)
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractFormat ► ApplyClientBehavior(OperationDescription, ClientOperation)
Implements a modification or extension of the client across an operation.
Declaration Syntax
C# Visual Basic Visual C++
public void ApplyClientBehavior(
    OperationDescription description,
    ClientOperation proxy
)
Public Sub ApplyClientBehavior ( _
    description As OperationDescription, _
    proxy As ClientOperation _
)
public:
virtual void ApplyClientBehavior(
    OperationDescription^ description,
    ClientOperation^ proxy
) sealed
Parameters
description (OperationDescription)
The operation being examined. Use for examination only. If the operation description is modified, the results are undefined.
proxy (ClientOperation)
The run-time object that exposes customization properties for the operation described by operationDescription.


ApplyDispatchBehavior Method (description, dispatch)

ApplyDispatchBehavior Method (description, dispatch)
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractFormat ► ApplyDispatchBehavior(OperationDescription, DispatchOperation)
Implements a modification or extension of the service across an operation.
Declaration Syntax
C# Visual Basic Visual C++
public void ApplyDispatchBehavior(
    OperationDescription description,
    DispatchOperation dispatch
)
Public Sub ApplyDispatchBehavior ( _
    description As OperationDescription, _
    dispatch As DispatchOperation _
)
public:
virtual void ApplyDispatchBehavior(
    OperationDescription^ description,
    DispatchOperation^ dispatch
) sealed
Parameters
description (OperationDescription)
The operation being examined. Use for examination only. If the operation description is modified, the results are undefined.
dispatch (DispatchOperation)
The run-time object that exposes customization properties for the operation described by operationDescription.


Validate Method (description)

Validate Method (description)
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractFormat ► Validate(OperationDescription)
Implement to confirm that the operation meets some intended criteria.
Declaration Syntax
C# Visual Basic Visual C++
public void Validate(
    OperationDescription description
)
Public Sub Validate ( _
    description As OperationDescription _
)
public:
virtual void Validate(
    OperationDescription^ description
) sealed
Parameters
description (OperationDescription)
The operation being examined. Use for examination only. If the operation description is modified, the results are undefined.


NetDataContractSerializerOperationBehavior Class

NetDataContractSerializerOperationBehavior Class
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractSerializerOperationBehavior
Represents the run-time behavior of the DataContractSerializer.
Declaration Syntax
C# Visual Basic Visual C++
public class NetDataContractSerializerOperationBehavior : DataContractSerializerOperationBehavior
Public Class NetDataContractSerializerOperationBehavior _
    Inherits DataContractSerializerOperationBehavior
public ref class NetDataContractSerializerOperationBehavior : public DataContractSerializerOperationBehavior
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | NetDataContractSerializerOperationBehavior(OperationDescription) | Initializes a new instance of the DataContractSerializerOperationBehavior class with the specified operation.
 | CreateSerializer(Type, String, String, IList<(Of <(Type>)>)) | Creates an instance of a class that inherits from XmlObjectSerializer for serialization and deserialization operations. (Overrides DataContractSerializerOperationBehavior.CreateSerializer(Type, String, String, IList<(Of <(Type>)>)).)
 | CreateSerializer(Type, XmlDictionaryString, XmlDictionaryString, IList<(Of <(Type>)>)) | Creates an instance of a class that inherits from XmlObjectSerializer for serialization and deserialization operations with an XmlDictionaryString that contains the namespace. (Overrides DataContractSerializerOperationBehavior.CreateSerializer(Type, XmlDictionaryString, XmlDictionaryString, IList<(Of <(Type>)>)).)
 | DataContractFormatAttribute | (Inherited from DataContractSerializerOperationBehavior.)
 | DataContractSurrogate | (Inherited from DataContractSerializerOperationBehavior.)
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | IgnoreExtensionDataObject | (Inherited from DataContractSerializerOperationBehavior.)
 | MaxItemsInObjectGraph | (Inherited from DataContractSerializerOperationBehavior.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | DataContractSerializerOperationBehavior
 |  | NetDataContractSerializerOperationBehavior


NetDataContractSerializerOperationBehavior Constructor (operationDescription)

NetDataContractSerializerOperationBehavior Constructor (operationDescription)
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractSerializerOperationBehavior ► NetDataContractSerializerOperationBehavior(OperationDescription)
Initializes a new instance of the DataContractSerializerOperationBehavior class with the specified operation.
Declaration Syntax
C# Visual Basic Visual C++
public NetDataContractSerializerOperationBehavior(
    OperationDescription operationDescription
)
Public Sub New ( _
    operationDescription As OperationDescription _
)
public:
NetDataContractSerializerOperationBehavior(
    OperationDescription^ operationDescription
)
Parameters
operationDescription (OperationDescription)
An OperationDescription that represents the operation.


CreateSerializer Method

CreateSerializer Method
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractSerializerOperationBehavior ► CreateSerializer()()()
Members
Icon | Member | Description
 | CreateSerializer(Type, String, String, IList<(Of <(Type>)>)) | Creates an instance of a class that inherits from XmlObjectSerializer for serialization and deserialization operations. (Overrides DataContractSerializerOperationBehavior.CreateSerializer(Type, String, String, IList<(Of <(Type>)>)).)
 | CreateSerializer(Type, XmlDictionaryString, XmlDictionaryString, IList<(Of <(Type>)>)) | Creates an instance of a class that inherits from XmlObjectSerializer for serialization and deserialization operations with an XmlDictionaryString that contains the namespace. (Overrides DataContractSerializerOperationBehavior.CreateSerializer(Type, XmlDictionaryString, XmlDictionaryString, IList<(Of <(Type>)>)).)


CreateSerializer Method (type, name, ns, knownTypes)

CreateSerializer Method (type, name, ns, knownTypes)
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractSerializerOperationBehavior ► CreateSerializer(Type, String, String, IList<(Of <(Type>)>))
Creates an instance of a class that inherits from XmlObjectSerializer for serialization and deserialization operations.
Declaration Syntax
C# Visual Basic Visual C++
public override XmlObjectSerializer CreateSerializer(
    Type type,
    string name,
    string ns,
    IList<Type> knownTypes
)
Public Overrides Function CreateSerializer ( _
    type As Type, _
    name As String, _
    ns As String, _
    knownTypes As IList(Of Type) _
) As XmlObjectSerializer
public:
virtual XmlObjectSerializer^ CreateSerializer(
    Type^ type,
    String^ name,
    String^ ns,
    IList<Type^>^ knownTypes
) override
Parameters
type (Type)
The Type to create the serializer for.
name (String)
The name of the generated Type.
ns (String)
The namespace of the generated Type.
knownTypes (IList <(Of <( Type >)>))
An IList<(Of <(T>)>) of Type that contains known types.
Return Value
An instance of a class that inherits from the XmlObjectSerializer class.


CreateSerializer Method (type, name, ns, knownTypes)

CreateSerializer Method (type, name, ns, knownTypes)
InterLINQ code documentation ► InterLinq.Communication.Wcf.NetDataContractSerializer ► NetDataContractSerializerOperationBehavior ► CreateSerializer(Type, XmlDictionaryString, XmlDictionaryString, IList<(Of <(Type>)>))
Creates an instance of a class that inherits from XmlObjectSerializer for serialization and deserialization operations with an XmlDictionaryString that contains the namespace.
Declaration Syntax
C# Visual Basic Visual C++
public override XmlObjectSerializer CreateSerializer(
    Type type,
    XmlDictionaryString name,
    XmlDictionaryString ns,
    IList<Type> knownTypes
)
Public Overrides Function CreateSerializer ( _
    type As Type, _
    name As XmlDictionaryString, _
    ns As XmlDictionaryString, _
    knownTypes As IList(Of Type) _
) As XmlObjectSerializer
public:
virtual XmlObjectSerializer^ CreateSerializer(
    Type^ type,
    XmlDictionaryString^ name,
    XmlDictionaryString^ ns,
    IList<Type^>^ knownTypes
) override
Parameters
type (Type)
The Type to create the serializer for.
name (XmlDictionaryString)
The name of the generated Type.
ns (XmlDictionaryString)
An XmlDictionaryString that contains the namespace of the serialized Type.
knownTypes (IList <(Of <( Type >)>))
An IList<(Of <(T>)>) of Type that contains known types.
Return Value
An instance of a class that inherits from the XmlObjectSerializer class.


InterLinq.Expressions Namespace

InterLinq.Expressions Namespace
InterLINQ code documentation ► InterLinq.Expressions

This namespace contains a serializable expression structure like the one in System.Linq.Expressions.
Further there are some helper classes in InterLinq.Expressions.Helpers.
Most classes in this namespace extend SerializableExpression.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Expressions
Namespace InterLinq.Expressions
namespace InterLinq.Expressions
Types
All Types Classes
Icon | Type | Description
 | ExpressionConversionHelper | Static helper class providing several C# 3.0 Extension Methods.
 | SerializableBinaryExpression | A serializable version of BinaryExpression.
 | SerializableConditionalExpression | A serializable version of ConditionalExpression.
 | SerializableConstantExpression | A serializable version of ConstantExpression.
 | SerializableExpression | A serializable version of Expression.
 | SerializableExpressionTyped | A serializable version of LambdaExpression.
 | SerializableInvocationExpression | A serializable version of InvocationExpression.
 | SerializableLambdaExpression | A serializable version of LambdaExpression.
 | SerializableListInitExpression | A serializable version of ListInitExpression.
 | SerializableMemberExpression | A serializable version of MemberExpression.
 | SerializableMemberInitExpression | A serializable version of MemberInitExpression.
 | SerializableMethodCallExpression | A serializable version of MethodCallExpression.
 | SerializableNewArrayExpression | A serializable version of NewArrayExpression.
 | SerializableNewExpression | A serializable version of NewArrayExpression.
 | SerializableParameterExpression | A serializable version of ParameterExpression.
 | SerializableTypeBinaryExpression | A serializable version of TypeBinaryExpression.
 | SerializableUnaryExpression | A serializable version of UnaryExpression.
See Also
InterLinq.Expressions.SerializableTypes


ExpressionConversionHelper Class

ExpressionConversionHelper Class
InterLINQ code documentation ► InterLinq.Expressions ► ExpressionConversionHelper
Static helper class providing several C# 3.0 Extension Methods.
Declaration Syntax
C# Visual Basic Visual C++
public static class ExpressionConversionHelper
Public NotInheritable Class ExpressionConversionHelper
public ref class ExpressionConversionHelper abstract sealed
Members
All Members | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | Convert(SerializableExpression, IQueryHandler) | Extension Method for IEnumerable. Returns the result of the executed SerializableExpression.
 | MakeSerializable(Expression) | Extension Method for Expression. Converts an Expression to a SerializableExpression.
 | MakeSerializable(Expression, ExpressionConverter) | Extension Method for Expression. Converts an Expression to a SerializableExpression.
 | MakeSerializable<(Of <(T>)>)(Expression, ExpressionConverter) | Extension Method for Expression. Converts an Expression to a T.
 | MakeSerializableCollection<(Of <(T>)>)(IEnumerable, ExpressionConverter) | Extension Method for IEnumerable. Converts an IEnumerable to a ReadOnlyCollection<(Of <(T>)>).
Inheritance Hierarchy
Object
ExpressionConversionHelper
See Also


Convert Method (exp, linqHandler)

Convert Method (exp, linqHandler)
InterLINQ code documentation ► InterLinq.Expressions ► ExpressionConversionHelper ► Convert(SerializableExpression, IQueryHandler)
Extension Method for IEnumerable. Returns the result of the executed SerializableExpression.
Declaration Syntax
C# Visual Basic Visual C++
public static Object Convert(
    SerializableExpression exp,
    IQueryHandler linqHandler
)
Public Shared Function Convert ( _
    exp As SerializableExpression, _
    linqHandler As IQueryHandler _
) As Object
public:
static Object^ Convert(
    SerializableExpression^ exp,
    IQueryHandler^ linqHandler
)
Parameters
exp (SerializableExpression)
Extended class instance.
linqHandler (IQueryHandler)
IQueryHandler.
Return Value
Returns the result of the executed SerializableExpression.


MakeSerializable Method

MakeSerializable Method
InterLINQ code documentation ► InterLinq.Expressions ► ExpressionConversionHelper ► MakeSerializable()()()
Members
Icon | Member | Description
 | MakeSerializable(Expression) | Extension Method for Expression. Converts an Expression to a SerializableExpression.
 | MakeSerializable(Expression, ExpressionConverter) | Extension Method for Expression. Converts an Expression to a SerializableExpression.
 | MakeSerializable<(Of <(T>)>)(Expression, ExpressionConverter) | Extension Method for Expression. Converts an Expression to a T.


MakeSerializable Method (exp)

MakeSerializable Method (exp)
InterLINQ code documentation ► InterLinq.Expressions ► ExpressionConversionHelper ► MakeSerializable(Expression)
Extension Method for Expression. Converts an Expression to a SerializableExpression.
Declaration Syntax
C# Visual Basic Visual C++
public static SerializableExpression MakeSerializable(
    Expression exp
)
Public Shared Function MakeSerializable ( _
    exp As Expression _
) As SerializableExpression
public:
static SerializableExpression^ MakeSerializable(
    Expression^ exp
)
Parameters
exp (Expression)
Extended class instance.
Return Value
Returns the converted SerializableExpression.


MakeSerializable Method (exp, expConverter)

MakeSerializable<(Of <(T>)>) Method (exp, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► ExpressionConversionHelper ► MakeSerializable<(Of <(T>)>)(Expression, ExpressionConverter)
Extension Method for Expression. Converts an Expression to a T.
Declaration Syntax
C# Visual Basic Visual C++
public static T MakeSerializable<T>(
    Expression exp,
    ExpressionConverter expConverter
) where T : SerializableExpression
Public Shared Function MakeSerializable(Of T As SerializableExpression) ( _
    exp As Expression, _
    expConverter As ExpressionConverter _
) As T
public:
generic<typename T>
where T : SerializableExpression
static T MakeSerializable(
    Expression^ exp,
    ExpressionConverter^ expConverter
)
Generic Template Parameters
T
Return type (must be subclass of SerializableExpression.
Parameters
exp (Expression)
Extended class instance.
expConverter (ExpressionConverter)
ExpressionConverter instance.
Return Value
Returns the converted T.


MakeSerializable Method (exp, expConverter)

MakeSerializable Method (exp, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► ExpressionConversionHelper ► MakeSerializable(Expression, ExpressionConverter)
Extension Method for Expression. Converts an Expression to a SerializableExpression.
Declaration Syntax
C# Visual Basic Visual C++
public static SerializableExpression MakeSerializable(
    Expression exp,
    ExpressionConverter expConverter
)
Public Shared Function MakeSerializable ( _
    exp As Expression, _
    expConverter As ExpressionConverter _
) As SerializableExpression
public:
static SerializableExpression^ MakeSerializable(
    Expression^ exp,
    ExpressionConverter^ expConverter
)
Parameters
exp (Expression)
Extended class instance.
expConverter (ExpressionConverter)
ExpressionConverter instance.
Return Value
Returns the converted SerializableExpression.


MakeSerializableCollection Method (exp, expConverter)

MakeSerializableCollection<(Of <(T>)>) Method (exp, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► ExpressionConversionHelper ► MakeSerializableCollection<(Of <(T>)>)(IEnumerable, ExpressionConverter)
Extension Method for IEnumerable. Converts an IEnumerable to a ReadOnlyCollection<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public static ReadOnlyCollection<T> MakeSerializableCollection<T>(
    IEnumerable exp,
    ExpressionConverter expConverter
) where T : SerializableExpression
Public Shared Function MakeSerializableCollection(Of T As SerializableExpression) ( _
    exp As IEnumerable, _
    expConverter As ExpressionConverter _
) As ReadOnlyCollection(Of T)
public:
generic<typename T>
where T : SerializableExpression
static ReadOnlyCollection<T>^ MakeSerializableCollection(
    IEnumerable^ exp,
    ExpressionConverter^ expConverter
)
Generic Template Parameters
T
Return type (must be subclass of SerializableExpression.
Parameters
exp (IEnumerable)
Extended class instance.
expConverter (ExpressionConverter)
ExpressionConverter instance.
Return Value
Returns the converted ReadOnlyCollection<(Of <(T>)>).


SerializableBinaryExpression Class

SerializableBinaryExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression
A serializable version of BinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableBinaryExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableBinaryExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableBinaryExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableBinaryExpression()()() | Default constructor for serialization.
 | SerializableBinaryExpression(BinaryExpression, ExpressionConverter) | Constructor with an BinaryExpression and an ExpressionConverter.
 | Conversion | See Conversion
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | IsLiftedToNull | See IsLiftedToNull
 | Left | See Left
 | MemberwiseClone()()() | (Inherited from Object.)
 | Method | See Method
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | Right | See Right
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableBinaryExpression


SerializableBinaryExpression Constructor

SerializableBinaryExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► SerializableBinaryExpression()()()
Members
Icon | Member | Description
 | SerializableBinaryExpression()()() | Default constructor for serialization.
 | SerializableBinaryExpression(BinaryExpression, ExpressionConverter) | Constructor with an BinaryExpression and an ExpressionConverter.


SerializableBinaryExpression Constructor

SerializableBinaryExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► SerializableBinaryExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableBinaryExpression()
Public Sub New
public:
SerializableBinaryExpression()


SerializableBinaryExpression Constructor (expression, expConverter)

SerializableBinaryExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► SerializableBinaryExpression(BinaryExpression, ExpressionConverter)
Constructor with an BinaryExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableBinaryExpression(
    BinaryExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As BinaryExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableBinaryExpression(
    BinaryExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (BinaryExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Conversion Property

Conversion Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► Conversion
See Conversion
Declaration Syntax
C# Visual Basic Visual C++
public SerializableLambdaExpression Conversion { get; set; }
Public Property Conversion As SerializableLambdaExpression
public:
property SerializableLambdaExpression^ Conversion {
    SerializableLambdaExpression^ get ();
    void set (SerializableLambdaExpression^ value);
}


IsLiftedToNull Property

IsLiftedToNull Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► IsLiftedToNull
See IsLiftedToNull
Declaration Syntax
C# Visual Basic Visual C++
public bool IsLiftedToNull { get; set; }
Public Property IsLiftedToNull As Boolean
public:
property bool IsLiftedToNull {
    bool get ();
    void set (bool value);
}


Left Property

Left Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► Left
See Left
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Left { get; set; }
Public Property Left As SerializableExpression
public:
property SerializableExpression^ Left {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


Method Property

Method Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► Method
See Method
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMethodInfo Method { get; set; }
Public Property Method As InterLinqMethodInfo
public:
property InterLinqMethodInfo^ Method {
    InterLinqMethodInfo^ get ();
    void set (InterLinqMethodInfo^ value);
}


Right Property

Right Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableBinaryExpression ► Right
See Right
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Right { get; set; }
Public Property Right As SerializableExpression
public:
property SerializableExpression^ Right {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


SerializableConditionalExpression Class

SerializableConditionalExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConditionalExpression
A serializable version of ConditionalExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableConditionalExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableConditionalExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableConditionalExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableConditionalExpression()()() | Default constructor for serialization.
 | SerializableConditionalExpression(ConditionalExpression, ExpressionConverter) | Constructor with an ConditionalExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | IfFalse | See IfFalse
 | IfTrue | See IfTrue
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | Test | See Test
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableConditionalExpression


SerializableConditionalExpression Constructor

SerializableConditionalExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConditionalExpression ► SerializableConditionalExpression()()()
Members
Icon | Member | Description
 | SerializableConditionalExpression()()() | Default constructor for serialization.
 | SerializableConditionalExpression(ConditionalExpression, ExpressionConverter) | Constructor with an ConditionalExpression and an ExpressionConverter.


SerializableConditionalExpression Constructor

SerializableConditionalExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConditionalExpression ► SerializableConditionalExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableConditionalExpression()
Public Sub New
public:
SerializableConditionalExpression()


SerializableConditionalExpression Constructor (expression, expConverter)

SerializableConditionalExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConditionalExpression ► SerializableConditionalExpression(ConditionalExpression, ExpressionConverter)
Constructor with an ConditionalExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableConditionalExpression(
    ConditionalExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As ConditionalExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableConditionalExpression(
    ConditionalExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (ConditionalExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


IfFalse Property

IfFalse Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConditionalExpression ► IfFalse
See IfFalse
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression IfFalse { get; set; }
Public Property IfFalse As SerializableExpression
public:
property SerializableExpression^ IfFalse {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


IfTrue Property

IfTrue Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConditionalExpression ► IfTrue
See IfTrue
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression IfTrue { get; set; }
Public Property IfTrue As SerializableExpression
public:
property SerializableExpression^ IfTrue {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


Test Property

Test Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConditionalExpression ► Test
See Test
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Test { get; set; }
Public Property Test As SerializableExpression
public:
property SerializableExpression^ Test {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


SerializableConstantExpression Class

SerializableConstantExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConstantExpression
A serializable version of ConstantExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableConstantExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableConstantExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableConstantExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableConstantExpression()()() | Default constructor for serialization.
 | SerializableConstantExpression(ConstantExpression, ExpressionConverter) | Constructor with an ConstantExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
 | Value | See Value
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableConstantExpression


SerializableConstantExpression Constructor

SerializableConstantExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConstantExpression ► SerializableConstantExpression()()()
Members
Icon | Member | Description
 | SerializableConstantExpression()()() | Default constructor for serialization.
 | SerializableConstantExpression(ConstantExpression, ExpressionConverter) | Constructor with an ConstantExpression and an ExpressionConverter.


SerializableConstantExpression Constructor

SerializableConstantExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConstantExpression ► SerializableConstantExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableConstantExpression()
Public Sub New
public:
SerializableConstantExpression()


SerializableConstantExpression Constructor (expression, expConverter)

SerializableConstantExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConstantExpression ► SerializableConstantExpression(ConstantExpression, ExpressionConverter)
Constructor with an ConstantExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableConstantExpression(
    ConstantExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As ConstantExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableConstantExpression(
    ConstantExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (ConstantExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Value Property

Value Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableConstantExpression ► Value
See Value
Declaration Syntax
C# Visual Basic Visual C++
public Object Value { get; set; }
Public Property Value As Object
public:
property Object^ Value {
    Object^ get ();
    void set (Object^ value);
}


SerializableExpression Class

SerializableExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression
A serializable version of Expression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public abstract class SerializableExpression
<SerializableAttribute> _
Public MustInherit Class SerializableExpression
[SerializableAttribute]
public ref class SerializableExpression abstract
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableExpression()()() | Default constructor for serialization.
 | SerializableExpression(Expression, ExpressionConverter) | Constructor with an Expression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression.
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType
 | ToString()()() | Builds a string representing the Expression. (Overrides Object.ToString()()().)
 | Type | See Type
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableBinaryExpression
 |  | SerializableInvocationExpression
 |  | SerializableUnaryExpression
 |  | SerializableNewExpression
 |  | SerializableListInitExpression
 |  | SerializableMemberInitExpression
 |  | SerializableConstantExpression
 |  | SerializableParameterExpression
 |  | SerializableMethodCallExpression
 |  | SerializableMemberExpression
 |  | SerializableLambdaExpression
 |  | SerializableTypeBinaryExpression
 |  | SerializableNewArrayExpression
 |  | SerializableConditionalExpression


SerializableExpression Constructor

SerializableExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression ► SerializableExpression()()()
Members
Icon | Member | Description
 | SerializableExpression()()() | Default constructor for serialization.
 | SerializableExpression(Expression, ExpressionConverter) | Constructor with an Expression and an ExpressionConverter.


SerializableExpression Constructor

SerializableExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression ► SerializableExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression()
Public Sub New
public:
SerializableExpression()


SerializableExpression Constructor (expression, expConverter)

SerializableExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression ► SerializableExpression(Expression, ExpressionConverter)
Constructor with an Expression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression(
    Expression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As Expression, _
    expConverter As ExpressionConverter _
)
public:
SerializableExpression(
    Expression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (Expression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


HashCode Property

HashCode Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression ► HashCode
The hashcode of the original Expression.
Declaration Syntax
C# Visual Basic Visual C++
public int HashCode { get; set; }
Public Property HashCode As Integer
public:
property int HashCode {
    int get ();
    void set (int value);
}


NodeType Property

NodeType Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression ► NodeType
See NodeType
Declaration Syntax
C# Visual Basic Visual C++
public ExpressionType NodeType { get; set; }
Public Property NodeType As ExpressionType
public:
property ExpressionType NodeType {
    ExpressionType get ();
    void set (ExpressionType value);
}


ToString Method

ToString Method
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression ► ToString()()()
Builds a string representing the Expression.
Declaration Syntax
C# Visual Basic Visual C++
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
Return Value
A string representing the Expression.


Type Property

Type Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpression ► Type
See Type
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType Type { get; set; }
Public Property Type As InterLinqType
public:
property InterLinqType^ Type {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}


SerializableExpressionTyped Class

SerializableExpressionTyped Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpressionTyped
A serializable version of LambdaExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableExpressionTyped : SerializableLambdaExpression
<SerializableAttribute> _
Public Class SerializableExpressionTyped _
    Inherits SerializableLambdaExpression
[SerializableAttribute]
public ref class SerializableExpressionTyped : public SerializableLambdaExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableExpressionTyped()()() | Default constructor for serialization.
 | SerializableExpressionTyped(LambdaExpression, Type, ExpressionConverter) | Constructor with an LambdaExpression and an ExpressionConverter.
 | Body | See Body (Inherited from SerializableLambdaExpression.)
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | Parameters | See Parameters (Inherited from SerializableLambdaExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableLambdaExpression
 |  |  | SerializableExpressionTyped


SerializableExpressionTyped Constructor

SerializableExpressionTyped Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpressionTyped ► SerializableExpressionTyped()()()
Members
Icon | Member | Description
 | SerializableExpressionTyped()()() | Default constructor for serialization.
 | SerializableExpressionTyped(LambdaExpression, Type, ExpressionConverter) | Constructor with an LambdaExpression and an ExpressionConverter.


SerializableExpressionTyped Constructor

SerializableExpressionTyped Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpressionTyped ► SerializableExpressionTyped()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpressionTyped()
Public Sub New
public:
SerializableExpressionTyped()


SerializableExpressionTyped Constructor (expression, delegateType, expConverter)

SerializableExpressionTyped Constructor (expression, delegateType, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableExpressionTyped ► SerializableExpressionTyped(LambdaExpression, Type, ExpressionConverter)
Constructor with an LambdaExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpressionTyped(
    LambdaExpression expression,
    Type delegateType,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As LambdaExpression, _
    delegateType As Type, _
    expConverter As ExpressionConverter _
)
public:
SerializableExpressionTyped(
    LambdaExpression^ expression,
    Type^ delegateType,
    ExpressionConverter^ expConverter
)
Parameters
expression (LambdaExpression)
The original, not serializable Expression.
delegateType (Type)
Type of the delegate.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


SerializableInvocationExpression Class

SerializableInvocationExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableInvocationExpression
A serializable version of InvocationExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableInvocationExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableInvocationExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableInvocationExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableInvocationExpression()()() | Default constructor for serialization.
 | SerializableInvocationExpression(InvocationExpression, ExpressionConverter) | Constructor with an InvocationExpression and an ExpressionConverter.
 | Arguments | See Arguments
 | Equals(Object) | (Inherited from Object.)
 | Expression | See Expression
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableInvocationExpression


SerializableInvocationExpression Constructor

SerializableInvocationExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableInvocationExpression ► SerializableInvocationExpression()()()
Members
Icon | Member | Description
 | SerializableInvocationExpression()()() | Default constructor for serialization.
 | SerializableInvocationExpression(InvocationExpression, ExpressionConverter) | Constructor with an InvocationExpression and an ExpressionConverter.


SerializableInvocationExpression Constructor

SerializableInvocationExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableInvocationExpression ► SerializableInvocationExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableInvocationExpression()
Public Sub New
public:
SerializableInvocationExpression()


SerializableInvocationExpression Constructor (expression, expConverter)

SerializableInvocationExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableInvocationExpression ► SerializableInvocationExpression(InvocationExpression, ExpressionConverter)
Constructor with an InvocationExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableInvocationExpression(
    InvocationExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As InvocationExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableInvocationExpression(
    InvocationExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (InvocationExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Arguments Property

Arguments Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableInvocationExpression ► Arguments
See Arguments
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableExpression> Arguments { get; set; }
Public Property Arguments As ReadOnlyCollection(Of SerializableExpression)
public:
property ReadOnlyCollection<SerializableExpression^>^ Arguments {
    ReadOnlyCollection<SerializableExpression^>^ get ();
    void set (ReadOnlyCollection<SerializableExpression^>^ value);
}


Expression Property

Expression Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableInvocationExpression ► Expression
See Expression
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Expression { get; set; }
Public Property Expression As SerializableExpression
public:
property SerializableExpression^ Expression {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


SerializableLambdaExpression Class

SerializableLambdaExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableLambdaExpression
A serializable version of LambdaExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableLambdaExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableLambdaExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableLambdaExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableLambdaExpression()()() | Default constructor for serialization.
 | SerializableLambdaExpression(LambdaExpression, ExpressionConverter) | Constructor with an LambdaExpression and an ExpressionConverter.
 | Body | See Body
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | Parameters | See Parameters
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableLambdaExpression
 |  |  | SerializableExpressionTyped


SerializableLambdaExpression Constructor

SerializableLambdaExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableLambdaExpression ► SerializableLambdaExpression()()()
Members
Icon | Member | Description
 | SerializableLambdaExpression()()() | Default constructor for serialization.
 | SerializableLambdaExpression(LambdaExpression, ExpressionConverter) | Constructor with an LambdaExpression and an ExpressionConverter.


SerializableLambdaExpression Constructor

SerializableLambdaExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableLambdaExpression ► SerializableLambdaExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableLambdaExpression()
Public Sub New
public:
SerializableLambdaExpression()


SerializableLambdaExpression Constructor (expression, expConverter)

SerializableLambdaExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableLambdaExpression ► SerializableLambdaExpression(LambdaExpression, ExpressionConverter)
Constructor with an LambdaExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableLambdaExpression(
    LambdaExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As LambdaExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableLambdaExpression(
    LambdaExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (LambdaExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Body Property

Body Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableLambdaExpression ► Body
See Body
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Body { get; set; }
Public Property Body As SerializableExpression
public:
property SerializableExpression^ Body {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


Parameters Property

Parameters Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableLambdaExpression ► Parameters
See Parameters
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableParameterExpression> Parameters { get; set; }
Public Property Parameters As ReadOnlyCollection(Of SerializableParameterExpression)
public:
property ReadOnlyCollection<SerializableParameterExpression^>^ Parameters {
    ReadOnlyCollection<SerializableParameterExpression^>^ get ();
    void set (ReadOnlyCollection<SerializableParameterExpression^>^ value);
}


SerializableListInitExpression Class

SerializableListInitExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableListInitExpression
A serializable version of ListInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableListInitExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableListInitExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableListInitExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableListInitExpression()()() | Default constructor for serialization.
 | SerializableListInitExpression(ListInitExpression, ExpressionConverter) | Constructor with an ListInitExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | Initializers | See Initializers
 | MemberwiseClone()()() | (Inherited from Object.)
 | NewExpression | See NewExpression
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableListInitExpression


SerializableListInitExpression Constructor

SerializableListInitExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableListInitExpression ► SerializableListInitExpression()()()
Members
Icon | Member | Description
 | SerializableListInitExpression()()() | Default constructor for serialization.
 | SerializableListInitExpression(ListInitExpression, ExpressionConverter) | Constructor with an ListInitExpression and an ExpressionConverter.


SerializableListInitExpression Constructor

SerializableListInitExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableListInitExpression ► SerializableListInitExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableListInitExpression()
Public Sub New
public:
SerializableListInitExpression()


SerializableListInitExpression Constructor (expression, expConverter)

SerializableListInitExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableListInitExpression ► SerializableListInitExpression(ListInitExpression, ExpressionConverter)
Constructor with an ListInitExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableListInitExpression(
    ListInitExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As ListInitExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableListInitExpression(
    ListInitExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (ListInitExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Initializers Property

Initializers Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableListInitExpression ► Initializers
See Initializers
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableElementInit> Initializers { get; set; }
Public Property Initializers As ReadOnlyCollection(Of SerializableElementInit)
public:
property ReadOnlyCollection<SerializableElementInit^>^ Initializers {
    ReadOnlyCollection<SerializableElementInit^>^ get ();
    void set (ReadOnlyCollection<SerializableElementInit^>^ value);
}


NewExpression Property

NewExpression Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableListInitExpression ► NewExpression
See NewExpression
Declaration Syntax
C# Visual Basic Visual C++
public SerializableNewExpression NewExpression { get; set; }
Public Property NewExpression As SerializableNewExpression
public:
property SerializableNewExpression^ NewExpression {
    SerializableNewExpression^ get ();
    void set (SerializableNewExpression^ value);
}


SerializableMemberExpression Class

SerializableMemberExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberExpression
A serializable version of MemberExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableMemberExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableMemberExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableMemberExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableMemberExpression()()() | Default constructor for serialization.
 | SerializableMemberExpression(MemberExpression, ExpressionConverter) | Constructor with an MemberExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Expression | See Expression
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | Member | See Member
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableMemberExpression


SerializableMemberExpression Constructor

SerializableMemberExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberExpression ► SerializableMemberExpression()()()
Members
Icon | Member | Description
 | SerializableMemberExpression()()() | Default constructor for serialization.
 | SerializableMemberExpression(MemberExpression, ExpressionConverter) | Constructor with an MemberExpression and an ExpressionConverter.


SerializableMemberExpression Constructor

SerializableMemberExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberExpression ► SerializableMemberExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberExpression()
Public Sub New
public:
SerializableMemberExpression()


SerializableMemberExpression Constructor (expression, expConverter)

SerializableMemberExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberExpression ► SerializableMemberExpression(MemberExpression, ExpressionConverter)
Constructor with an MemberExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberExpression(
    MemberExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As MemberExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableMemberExpression(
    MemberExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (MemberExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Expression Property

Expression Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberExpression ► Expression
See Expression
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Expression { get; set; }
Public Property Expression As SerializableExpression
public:
property SerializableExpression^ Expression {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


Member Property

Member Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberExpression ► Member
See Member
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMemberInfo Member { get; set; }
Public Property Member As InterLinqMemberInfo
public:
property InterLinqMemberInfo^ Member {
    InterLinqMemberInfo^ get ();
    void set (InterLinqMemberInfo^ value);
}


SerializableMemberInitExpression Class

SerializableMemberInitExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberInitExpression
A serializable version of MemberInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableMemberInitExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableMemberInitExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableMemberInitExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableMemberInitExpression()()() | Default constructor for serialization.
 | SerializableMemberInitExpression(MemberInitExpression, ExpressionConverter) | Constructor with an MemberInitExpression and an ExpressionConverter.
 | Bindings | See Bindings
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | NewExpression | See NewExpression
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableMemberInitExpression


SerializableMemberInitExpression Constructor

SerializableMemberInitExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberInitExpression ► SerializableMemberInitExpression()()()
Members
Icon | Member | Description
 | SerializableMemberInitExpression()()() | Default constructor for serialization.
 | SerializableMemberInitExpression(MemberInitExpression, ExpressionConverter) | Constructor with an MemberInitExpression and an ExpressionConverter.


SerializableMemberInitExpression Constructor

SerializableMemberInitExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberInitExpression ► SerializableMemberInitExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberInitExpression()
Public Sub New
public:
SerializableMemberInitExpression()


SerializableMemberInitExpression Constructor (expression, expConverter)

SerializableMemberInitExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberInitExpression ► SerializableMemberInitExpression(MemberInitExpression, ExpressionConverter)
Constructor with an MemberInitExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberInitExpression(
    MemberInitExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As MemberInitExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableMemberInitExpression(
    MemberInitExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (MemberInitExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Bindings Property

Bindings Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberInitExpression ► Bindings
See Bindings
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableMemberBinding> Bindings { get; set; }
Public Property Bindings As ReadOnlyCollection(Of SerializableMemberBinding)
public:
property ReadOnlyCollection<SerializableMemberBinding^>^ Bindings {
    ReadOnlyCollection<SerializableMemberBinding^>^ get ();
    void set (ReadOnlyCollection<SerializableMemberBinding^>^ value);
}


NewExpression Property

NewExpression Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMemberInitExpression ► NewExpression
See NewExpression
Declaration Syntax
C# Visual Basic Visual C++
public SerializableNewExpression NewExpression { get; set; }
Public Property NewExpression As SerializableNewExpression
public:
property SerializableNewExpression^ NewExpression {
    SerializableNewExpression^ get ();
    void set (SerializableNewExpression^ value);
}


SerializableMethodCallExpression Class

SerializableMethodCallExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMethodCallExpression
A serializable version of MethodCallExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableMethodCallExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableMethodCallExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableMethodCallExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableMethodCallExpression()()() | Default constructor for serialization.
 | SerializableMethodCallExpression(MethodCallExpression, ExpressionConverter) | Constructor with an MethodCallExpression and an ExpressionConverter.
 | Arguments | See Arguments
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Method | See Method
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | Object | See Object
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableMethodCallExpression


SerializableMethodCallExpression Constructor

SerializableMethodCallExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMethodCallExpression ► SerializableMethodCallExpression()()()
Members
Icon | Member | Description
 | SerializableMethodCallExpression()()() | Default constructor for serialization.
 | SerializableMethodCallExpression(MethodCallExpression, ExpressionConverter) | Constructor with an MethodCallExpression and an ExpressionConverter.


SerializableMethodCallExpression Constructor

SerializableMethodCallExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMethodCallExpression ► SerializableMethodCallExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMethodCallExpression()
Public Sub New
public:
SerializableMethodCallExpression()


SerializableMethodCallExpression Constructor (expression, expConverter)

SerializableMethodCallExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMethodCallExpression ► SerializableMethodCallExpression(MethodCallExpression, ExpressionConverter)
Constructor with an MethodCallExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMethodCallExpression(
    MethodCallExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As MethodCallExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableMethodCallExpression(
    MethodCallExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (MethodCallExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Arguments Property

Arguments Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMethodCallExpression ► Arguments
See Arguments
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableExpression> Arguments { get; set; }
Public Property Arguments As ReadOnlyCollection(Of SerializableExpression)
public:
property ReadOnlyCollection<SerializableExpression^>^ Arguments {
    ReadOnlyCollection<SerializableExpression^>^ get ();
    void set (ReadOnlyCollection<SerializableExpression^>^ value);
}


Method Property

Method Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMethodCallExpression ► Method
See Method
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMethodInfo Method { get; set; }
Public Property Method As InterLinqMethodInfo
public:
property InterLinqMethodInfo^ Method {
    InterLinqMethodInfo^ get ();
    void set (InterLinqMethodInfo^ value);
}


Object Property

Object Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableMethodCallExpression ► Object
See Object
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Object { get; set; }
Public Property Object As SerializableExpression
public:
property SerializableExpression^ Object {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


SerializableNewArrayExpression Class

SerializableNewArrayExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewArrayExpression
A serializable version of NewArrayExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableNewArrayExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableNewArrayExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableNewArrayExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableNewArrayExpression()()() | Default constructor for serialization.
 | SerializableNewArrayExpression(NewArrayExpression, ExpressionConverter) | Constructor with an NewArrayExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Expressions | See Expressions
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableNewArrayExpression


SerializableNewArrayExpression Constructor

SerializableNewArrayExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewArrayExpression ► SerializableNewArrayExpression()()()
Members
Icon | Member | Description
 | SerializableNewArrayExpression()()() | Default constructor for serialization.
 | SerializableNewArrayExpression(NewArrayExpression, ExpressionConverter) | Constructor with an NewArrayExpression and an ExpressionConverter.


SerializableNewArrayExpression Constructor

SerializableNewArrayExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewArrayExpression ► SerializableNewArrayExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableNewArrayExpression()
Public Sub New
public:
SerializableNewArrayExpression()


SerializableNewArrayExpression Constructor (expression, expConverter)

SerializableNewArrayExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewArrayExpression ► SerializableNewArrayExpression(NewArrayExpression, ExpressionConverter)
Constructor with an NewArrayExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableNewArrayExpression(
    NewArrayExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As NewArrayExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableNewArrayExpression(
    NewArrayExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (NewArrayExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Expressions Property

Expressions Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewArrayExpression ► Expressions
See Expressions
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableExpression> Expressions { get; set; }
Public Property Expressions As ReadOnlyCollection(Of SerializableExpression)
public:
property ReadOnlyCollection<SerializableExpression^>^ Expressions {
    ReadOnlyCollection<SerializableExpression^>^ get ();
    void set (ReadOnlyCollection<SerializableExpression^>^ value);
}


SerializableNewExpression Class

SerializableNewExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewExpression
A serializable version of NewArrayExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableNewExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableNewExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableNewExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableNewExpression()()() | Default constructor for serialization.
 | SerializableNewExpression(NewExpression, ExpressionConverter) | Constructor with an NewExpression and an ExpressionConverter.
 | Arguments | See Arguments
 | Constructor | See Constructor
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | Members | See Members
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableNewExpression


SerializableNewExpression Constructor

SerializableNewExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewExpression ► SerializableNewExpression()()()
Members
Icon | Member | Description
 | SerializableNewExpression()()() | Default constructor for serialization.
 | SerializableNewExpression(NewExpression, ExpressionConverter) | Constructor with an NewExpression and an ExpressionConverter.


SerializableNewExpression Constructor

SerializableNewExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewExpression ► SerializableNewExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableNewExpression()
Public Sub New
public:
SerializableNewExpression()


SerializableNewExpression Constructor (expression, expConverter)

SerializableNewExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewExpression ► SerializableNewExpression(NewExpression, ExpressionConverter)
Constructor with an NewExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableNewExpression(
    NewExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As NewExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableNewExpression(
    NewExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (NewExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Arguments Property

Arguments Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewExpression ► Arguments
See Arguments
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableExpression> Arguments { get; set; }
Public Property Arguments As ReadOnlyCollection(Of SerializableExpression)
public:
property ReadOnlyCollection<SerializableExpression^>^ Arguments {
    ReadOnlyCollection<SerializableExpression^>^ get ();
    void set (ReadOnlyCollection<SerializableExpression^>^ value);
}


Constructor Property

Constructor Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewExpression ► Constructor
See Constructor
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqConstructorInfo Constructor { get; set; }
Public Property Constructor As InterLinqConstructorInfo
public:
property InterLinqConstructorInfo^ Constructor {
    InterLinqConstructorInfo^ get ();
    void set (InterLinqConstructorInfo^ value);
}


Members Property

Members Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableNewExpression ► Members
See Members
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<InterLinqMemberInfo> Members { get; set; }
Public Property Members As ReadOnlyCollection(Of InterLinqMemberInfo)
public:
property ReadOnlyCollection<InterLinqMemberInfo^>^ Members {
    ReadOnlyCollection<InterLinqMemberInfo^>^ get ();
    void set (ReadOnlyCollection<InterLinqMemberInfo^>^ value);
}


SerializableParameterExpression Class

SerializableParameterExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableParameterExpression
A serializable version of ParameterExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableParameterExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableParameterExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableParameterExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableParameterExpression()()() | Default constructor for serialization.
 | SerializableParameterExpression(ParameterExpression, ExpressionConverter) | Constructor with an ParameterExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | See Name
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableParameterExpression


SerializableParameterExpression Constructor

SerializableParameterExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableParameterExpression ► SerializableParameterExpression()()()
Members
Icon | Member | Description
 | SerializableParameterExpression()()() | Default constructor for serialization.
 | SerializableParameterExpression(ParameterExpression, ExpressionConverter) | Constructor with an ParameterExpression and an ExpressionConverter.


SerializableParameterExpression Constructor

SerializableParameterExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableParameterExpression ► SerializableParameterExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableParameterExpression()
Public Sub New
public:
SerializableParameterExpression()


SerializableParameterExpression Constructor (expression, expConverter)

SerializableParameterExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableParameterExpression ► SerializableParameterExpression(ParameterExpression, ExpressionConverter)
Constructor with an ParameterExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableParameterExpression(
    ParameterExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As ParameterExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableParameterExpression(
    ParameterExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (ParameterExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Name Property

Name Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableParameterExpression ► Name
See Name
Declaration Syntax
C# Visual Basic Visual C++
public string Name { get; set; }
Public Property Name As String
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}


SerializableTypeBinaryExpression Class

SerializableTypeBinaryExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableTypeBinaryExpression
A serializable version of TypeBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableTypeBinaryExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableTypeBinaryExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableTypeBinaryExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableTypeBinaryExpression()()() | Default constructor for serialization.
 | SerializableTypeBinaryExpression(TypeBinaryExpression, ExpressionConverter) | Constructor with an TypeBinaryExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Expression | See Expression
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
 | TypeOperand | See TypeOperand
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableTypeBinaryExpression


SerializableTypeBinaryExpression Constructor

SerializableTypeBinaryExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableTypeBinaryExpression ► SerializableTypeBinaryExpression()()()
Members
Icon | Member | Description
 | SerializableTypeBinaryExpression()()() | Default constructor for serialization.
 | SerializableTypeBinaryExpression(TypeBinaryExpression, ExpressionConverter) | Constructor with an TypeBinaryExpression and an ExpressionConverter.


SerializableTypeBinaryExpression Constructor

SerializableTypeBinaryExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableTypeBinaryExpression ► SerializableTypeBinaryExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableTypeBinaryExpression()
Public Sub New
public:
SerializableTypeBinaryExpression()


SerializableTypeBinaryExpression Constructor (expression, expConverter)

SerializableTypeBinaryExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableTypeBinaryExpression ► SerializableTypeBinaryExpression(TypeBinaryExpression, ExpressionConverter)
Constructor with an TypeBinaryExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableTypeBinaryExpression(
    TypeBinaryExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As TypeBinaryExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableTypeBinaryExpression(
    TypeBinaryExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (TypeBinaryExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Expression Property

Expression Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableTypeBinaryExpression ► Expression
See Expression
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Expression { get; set; }
Public Property Expression As SerializableExpression
public:
property SerializableExpression^ Expression {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


TypeOperand Property

TypeOperand Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableTypeBinaryExpression ► TypeOperand
See TypeOperand
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType TypeOperand { get; set; }
Public Property TypeOperand As InterLinqType
public:
property InterLinqType^ TypeOperand {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}


SerializableUnaryExpression Class

SerializableUnaryExpression Class
InterLINQ code documentation ► InterLinq.Expressions ► SerializableUnaryExpression
A serializable version of UnaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableUnaryExpression : SerializableExpression
<SerializableAttribute> _
Public Class SerializableUnaryExpression _
    Inherits SerializableExpression
[SerializableAttribute]
public ref class SerializableUnaryExpression : public SerializableExpression
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableUnaryExpression()()() | Default constructor for serialization.
 | SerializableUnaryExpression(UnaryExpression, ExpressionConverter) | Constructor with an UnaryExpression and an ExpressionConverter.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | HashCode | The hashcode of the original Expression. (Inherited from SerializableExpression.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Method | See Method
 | NodeType | See NodeType (Inherited from SerializableExpression.)
 | Operand | See Operand
 | ToString()()() | Builds a string representing the Expression. (Inherited from SerializableExpression.)
 | Type | See Type (Inherited from SerializableExpression.)
Inheritance Hierarchy
Object
 | SerializableExpression
 |  | SerializableUnaryExpression


SerializableUnaryExpression Constructor

SerializableUnaryExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableUnaryExpression ► SerializableUnaryExpression()()()
Members
Icon | Member | Description
 | SerializableUnaryExpression()()() | Default constructor for serialization.
 | SerializableUnaryExpression(UnaryExpression, ExpressionConverter) | Constructor with an UnaryExpression and an ExpressionConverter.


SerializableUnaryExpression Constructor

SerializableUnaryExpression Constructor
InterLINQ code documentation ► InterLinq.Expressions ► SerializableUnaryExpression ► SerializableUnaryExpression()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableUnaryExpression()
Public Sub New
public:
SerializableUnaryExpression()


SerializableUnaryExpression Constructor (expression, expConverter)

SerializableUnaryExpression Constructor (expression, expConverter)
InterLINQ code documentation ► InterLinq.Expressions ► SerializableUnaryExpression ► SerializableUnaryExpression(UnaryExpression, ExpressionConverter)
Constructor with an UnaryExpression and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableUnaryExpression(
    UnaryExpression expression,
    ExpressionConverter expConverter
)
Public Sub New ( _
    expression As UnaryExpression, _
    expConverter As ExpressionConverter _
)
public:
SerializableUnaryExpression(
    UnaryExpression^ expression,
    ExpressionConverter^ expConverter
)
Parameters
expression (UnaryExpression)
The original, not serializable Expression.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Method Property

Method Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableUnaryExpression ► Method
See Method
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMethodInfo Method { get; set; }
Public Property Method As InterLinqMethodInfo
public:
property InterLinqMethodInfo^ Method {
    InterLinqMethodInfo^ get ();
    void set (InterLinqMethodInfo^ value);
}


Operand Property

Operand Property
InterLINQ code documentation ► InterLinq.Expressions ► SerializableUnaryExpression ► Operand
See Operand
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Operand { get; set; }
Public Property Operand As SerializableExpression
public:
property SerializableExpression^ Operand {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


InterLinq.Expressions.Helpers Namespace

InterLinq.Expressions.Helpers Namespace
InterLINQ code documentation ► InterLinq.Expressions.Helpers

This namespace contains helper classes for several conversions and traversings:

  • Visitors:
    • ExpressionVisitor
    • RewriteExpressionVisitor
    • SerializableExpressionVisitor
  • Converters:
    • ExpressionConverter
    • SerializableExpressionConverter

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Expressions.Helpers
Namespace InterLinq.Expressions.Helpers
namespace InterLinq.Expressions.Helpers
Types
All Types Classes
Icon | Type | Description
 | ExpressionConverter | This class is an ExpressionVisitor implementation used to convert a Expression to a SerializableExpression.
 | ExpressionVisitor | A visitor for Expressions.
 | RewriteExpressionVisitor | This is a visitor that rewrites an expression tree during visiting. The result is the same tree like the one, given to the visitor.
 | SerializableExpressionConverter | Converter class to convert SerializableExpression's to Expression's.
 | SerializableExpressionVisitor | This is a basic visitor for serializable expressions.


ExpressionConverter Class

ExpressionConverter Class
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter
This class is an ExpressionVisitor implementation used to convert a Expression to a SerializableExpression.
Declaration Syntax
C# Visual Basic Visual C++
public class ExpressionConverter : ExpressionVisitor
Public Class ExpressionConverter _
    Inherits ExpressionVisitor
public ref class ExpressionConverter : public ExpressionVisitor
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ExpressionConverter(Expression) | Initializes this class.
 | Equals(Object) | (Inherited from Object.)
 | Expression | The Expression to visit. (Inherited from ExpressionVisitor.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
 | Visit()()() | Visit the Expression in this visitor. (Inherited from ExpressionVisitor.)
 | Visit<(Of <(T>)>)(Expression) | Visits an Expression and returns a result of the type T. (Inherited from ExpressionVisitor.)
 | VisitBinaryExpression(BinaryExpression) | Converts a BinaryExpression to a SerializableBinaryExpression. (Overrides ExpressionVisitor.VisitBinaryExpression(BinaryExpression).)
 | VisitCollection<(Of <(T>)>)(IEnumerable) | Visit a collection of expressions. (Inherited from ExpressionVisitor.)
 | VisitConditionalExpression(ConditionalExpression) | Converts a ConditionalExpression to a SerializableConditionalExpression. (Overrides ExpressionVisitor.VisitConditionalExpression(ConditionalExpression).)
 | VisitConstantExpression(ConstantExpression) | Converts a ConstantExpression to a SerializableConstantExpression. (Overrides ExpressionVisitor.VisitConstantExpression(ConstantExpression).)
 | VisitElementInit(ElementInit) | Converts a ElementInit to a SerializableElementInit. (Overrides ExpressionVisitor.VisitElementInit(ElementInit).)
 | VisitHandleNull()()() | Handle when the method Visit(Expression) is nullNothingnullptr. (Inherited from ExpressionVisitor.)
 | VisitInvocationExpression(InvocationExpression) | Converts a InvocationExpression to a SerializableInvocationExpression. (Overrides ExpressionVisitor.VisitInvocationExpression(InvocationExpression).)
 | VisitLambdaExpression(LambdaExpression) | Converts a LambdaExpression to a SerializableLambdaExpression. (Overrides ExpressionVisitor.VisitLambdaExpression(LambdaExpression).)
 | VisitListInitExpression(ListInitExpression) | Converts a ListInitExpression to a SerializableListInitExpression. (Overrides ExpressionVisitor.VisitListInitExpression(ListInitExpression).)
 | VisitMemberAssignment(MemberAssignment) | Converts a MemberAssignment to a SerializableMemberAssignment. (Overrides ExpressionVisitor.VisitMemberAssignment(MemberAssignment).)
 | VisitMemberExpression(MemberExpression) | Converts a MemberExpression to a SerializableMemberExpression. (Overrides ExpressionVisitor.VisitMemberExpression(MemberExpression).)
 | VisitMemberInitExpression(MemberInitExpression) | Converts a MemberInitExpression to a SerializableMemberInitExpression. (Overrides ExpressionVisitor.VisitMemberInitExpression(MemberInitExpression).)
 | VisitMemberListBinding(MemberListBinding) | Converts a MemberListBinding to a SerializableMemberListBinding. (Overrides ExpressionVisitor.VisitMemberListBinding(MemberListBinding).)
 | VisitMemberMemberBinding(MemberMemberBinding) | Converts a MemberMemberBinding to a SerializableMemberMemberBinding. (Overrides ExpressionVisitor.VisitMemberMemberBinding(MemberMemberBinding).)
 | VisitMethodCallExpression(MethodCallExpression) | Converts a MethodCallExpression to a SerializableMethodCallExpression. (Overrides ExpressionVisitor.VisitMethodCallExpression(MethodCallExpression).)
 | VisitNewArrayExpression(NewArrayExpression) | Converts a NewArrayExpression to a SerializableNewArrayExpression. (Overrides ExpressionVisitor.VisitNewArrayExpression(NewArrayExpression).)
 | VisitNewExpression(NewExpression) | Converts a NewExpression to a SerializableNewExpression. (Overrides ExpressionVisitor.VisitNewExpression(NewExpression).)
 | VisitObject<(Of <(T>)>)(Object) | Visits an object and returns a result of the type T. (Inherited from ExpressionVisitor.)
 | VisitObjectCollection<(Of <(T>)>)(IEnumerable) | Visit a collection of object. (Inherited from ExpressionVisitor.)
 | VisitObjectHandleNull()()() | Handle when the method VisitObject(Object) is nullNothingnullptr. (Inherited from ExpressionVisitor.)
 | VisitObjectPrecondition(Object) | Precondition of the method VisitObject(Object). (Inherited from ExpressionVisitor.)
 | VisitParameterExpression(ParameterExpression) | Converts a ParameterExpression to a SerializableParameterExpression. (Overrides ExpressionVisitor.VisitParameterExpression(ParameterExpression).)
 | VisitTypeBinaryExpression(TypeBinaryExpression) | Converts a TypeBinaryExpression to a SerializableTypeBinaryExpression. (Overrides ExpressionVisitor.VisitTypeBinaryExpression(TypeBinaryExpression).)
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Converts a Expression<(Of <(TDelegate>)>) to a SerializableExpressionTyped. (Overrides ExpressionVisitor.VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)).)
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Visit a Expression<(Of <(TDelegate>)>). (Inherited from ExpressionVisitor.)
 | VisitUnaryExpression(UnaryExpression) | Converts a UnaryExpression to a SerializableUnaryExpression. (Overrides ExpressionVisitor.VisitUnaryExpression(UnaryExpression).)
 | VisitUnknownExpression(Expression) | Handles the case, when the type of the Expression is unkonwn. (Inherited from ExpressionVisitor.)
 | VisitUnkownObject(Object) | Handles the case, when the type of the object is unkonwn. (Inherited from ExpressionVisitor.)
Inheritance Hierarchy
Object
 | ExpressionVisitor
 |  | ExpressionConverter
See Also
ExpressionVisitor


ExpressionConverter Constructor (expression)

ExpressionConverter Constructor (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► ExpressionConverter(Expression)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public ExpressionConverter(
    Expression expression
)
Public Sub New ( _
    expression As Expression _
)
public:
ExpressionConverter(
    Expression^ expression
)
Parameters
expression (Expression)
Expression to convert.


VisitBinaryExpression Method (expression)

VisitBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitBinaryExpression(BinaryExpression)
Converts a BinaryExpression to a SerializableBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitBinaryExpression(
    BinaryExpression expression
)
Protected Overrides Function VisitBinaryExpression ( _
    expression As BinaryExpression _
) As Object
protected:
virtual Object^ VisitBinaryExpression(
    BinaryExpression^ expression
) override
Parameters
expression (BinaryExpression)
BinaryExpression to convert.
Return Value
Returns the converted SerializableBinaryExpression.
See Also
VisitBinaryExpression(BinaryExpression)


VisitConditionalExpression Method (expression)

VisitConditionalExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitConditionalExpression(ConditionalExpression)
Converts a ConditionalExpression to a SerializableConditionalExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitConditionalExpression(
    ConditionalExpression expression
)
Protected Overrides Function VisitConditionalExpression ( _
    expression As ConditionalExpression _
) As Object
protected:
virtual Object^ VisitConditionalExpression(
    ConditionalExpression^ expression
) override
Parameters
expression (ConditionalExpression)
ConditionalExpression to convert.
Return Value
Returns the converted SerializableConditionalExpression.
See Also
VisitConditionalExpression(ConditionalExpression)


VisitConstantExpression Method (expression)

VisitConstantExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitConstantExpression(ConstantExpression)
Converts a ConstantExpression to a SerializableConstantExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitConstantExpression(
    ConstantExpression expression
)
Protected Overrides Function VisitConstantExpression ( _
    expression As ConstantExpression _
) As Object
protected:
virtual Object^ VisitConstantExpression(
    ConstantExpression^ expression
) override
Parameters
expression (ConstantExpression)
ConstantExpression to convert.
Return Value
Returns the converted SerializableConstantExpression.
See Also
VisitConstantExpression(ConstantExpression)


VisitElementInit Method (elementInit)

VisitElementInit Method (elementInit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitElementInit(ElementInit)
Converts a ElementInit to a SerializableElementInit.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitElementInit(
    ElementInit elementInit
)
Protected Overrides Function VisitElementInit ( _
    elementInit As ElementInit _
) As Object
protected:
virtual Object^ VisitElementInit(
    ElementInit^ elementInit
) override
Parameters
elementInit (ElementInit)
ElementInit to convert.
Return Value
Returns the converted SerializableElementInit.
See Also
VisitElementInit(ElementInit)


VisitInvocationExpression Method (expression)

VisitInvocationExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitInvocationExpression(InvocationExpression)
Converts a InvocationExpression to a SerializableInvocationExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitInvocationExpression(
    InvocationExpression expression
)
Protected Overrides Function VisitInvocationExpression ( _
    expression As InvocationExpression _
) As Object
protected:
virtual Object^ VisitInvocationExpression(
    InvocationExpression^ expression
) override
Parameters
expression (InvocationExpression)
InvocationExpression to convert.
Return Value
Returns the converted SerializableInvocationExpression.
See Also
VisitInvocationExpression(InvocationExpression)


VisitLambdaExpression Method (expression)

VisitLambdaExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitLambdaExpression(LambdaExpression)
Converts a LambdaExpression to a SerializableLambdaExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitLambdaExpression(
    LambdaExpression expression
)
Protected Overrides Function VisitLambdaExpression ( _
    expression As LambdaExpression _
) As Object
protected:
virtual Object^ VisitLambdaExpression(
    LambdaExpression^ expression
) override
Parameters
expression (LambdaExpression)
LambdaExpression to convert.
Return Value
Returns the converted SerializableLambdaExpression.
See Also
VisitLambdaExpression(LambdaExpression)


VisitListInitExpression Method (expression)

VisitListInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitListInitExpression(ListInitExpression)
Converts a ListInitExpression to a SerializableListInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitListInitExpression(
    ListInitExpression expression
)
Protected Overrides Function VisitListInitExpression ( _
    expression As ListInitExpression _
) As Object
protected:
virtual Object^ VisitListInitExpression(
    ListInitExpression^ expression
) override
Parameters
expression (ListInitExpression)
ListInitExpression to convert.
Return Value
Returns the converted SerializableListInitExpression.
See Also
VisitListInitExpression(ListInitExpression)


VisitMemberAssignment Method (memberAssignment)

VisitMemberAssignment Method (memberAssignment)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitMemberAssignment(MemberAssignment)
Converts a MemberAssignment to a SerializableMemberAssignment.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberAssignment(
    MemberAssignment memberAssignment
)
Protected Overrides Function VisitMemberAssignment ( _
    memberAssignment As MemberAssignment _
) As Object
protected:
virtual Object^ VisitMemberAssignment(
    MemberAssignment^ memberAssignment
) override
Parameters
memberAssignment (MemberAssignment)
MemberAssignment to convert.
Return Value
Returns the converted SerializableMemberAssignment.
See Also
VisitMemberAssignment(MemberAssignment)


VisitMemberExpression Method (expression)

VisitMemberExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitMemberExpression(MemberExpression)
Converts a MemberExpression to a SerializableMemberExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberExpression(
    MemberExpression expression
)
Protected Overrides Function VisitMemberExpression ( _
    expression As MemberExpression _
) As Object
protected:
virtual Object^ VisitMemberExpression(
    MemberExpression^ expression
) override
Parameters
expression (MemberExpression)
MemberExpression to convert.
Return Value
Returns the converted SerializableMemberExpression.
See Also
VisitMemberExpression(MemberExpression)


VisitMemberInitExpression Method (expression)

VisitMemberInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitMemberInitExpression(MemberInitExpression)
Converts a MemberInitExpression to a SerializableMemberInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberInitExpression(
    MemberInitExpression expression
)
Protected Overrides Function VisitMemberInitExpression ( _
    expression As MemberInitExpression _
) As Object
protected:
virtual Object^ VisitMemberInitExpression(
    MemberInitExpression^ expression
) override
Parameters
expression (MemberInitExpression)
MemberInitExpression to convert.
Return Value
Returns the converted SerializableMemberInitExpression.
See Also
VisitMemberInitExpression(MemberInitExpression)


VisitMemberListBinding Method (memberListBinding)

VisitMemberListBinding Method (memberListBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitMemberListBinding(MemberListBinding)
Converts a MemberListBinding to a SerializableMemberListBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberListBinding(
    MemberListBinding memberListBinding
)
Protected Overrides Function VisitMemberListBinding ( _
    memberListBinding As MemberListBinding _
) As Object
protected:
virtual Object^ VisitMemberListBinding(
    MemberListBinding^ memberListBinding
) override
Parameters
memberListBinding (MemberListBinding)
MemberListBinding to convert.
Return Value
Returns the converted SerializableMemberListBinding.
See Also
VisitMemberListBinding(MemberListBinding)


VisitMemberMemberBinding Method (memberMemberBinding)

VisitMemberMemberBinding Method (memberMemberBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitMemberMemberBinding(MemberMemberBinding)
Converts a MemberMemberBinding to a SerializableMemberMemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberMemberBinding(
    MemberMemberBinding memberMemberBinding
)
Protected Overrides Function VisitMemberMemberBinding ( _
    memberMemberBinding As MemberMemberBinding _
) As Object
protected:
virtual Object^ VisitMemberMemberBinding(
    MemberMemberBinding^ memberMemberBinding
) override
Parameters
memberMemberBinding (MemberMemberBinding)
MemberMemberBinding to convert.
Return Value
Returns the converted SerializableMemberMemberBinding.
See Also
VisitMemberMemberBinding(MemberMemberBinding)


VisitMethodCallExpression Method (expression)

VisitMethodCallExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitMethodCallExpression(MethodCallExpression)
Converts a MethodCallExpression to a SerializableMethodCallExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMethodCallExpression(
    MethodCallExpression expression
)
Protected Overrides Function VisitMethodCallExpression ( _
    expression As MethodCallExpression _
) As Object
protected:
virtual Object^ VisitMethodCallExpression(
    MethodCallExpression^ expression
) override
Parameters
expression (MethodCallExpression)
MethodCallExpression to convert.
Return Value
Returns the converted SerializableMethodCallExpression.
See Also
VisitMethodCallExpression(MethodCallExpression)


VisitNewArrayExpression Method (expression)

VisitNewArrayExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitNewArrayExpression(NewArrayExpression)
Converts a NewArrayExpression to a SerializableNewArrayExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitNewArrayExpression(
    NewArrayExpression expression
)
Protected Overrides Function VisitNewArrayExpression ( _
    expression As NewArrayExpression _
) As Object
protected:
virtual Object^ VisitNewArrayExpression(
    NewArrayExpression^ expression
) override
Parameters
expression (NewArrayExpression)
NewArrayExpression to convert.
Return Value
Returns the converted SerializableNewArrayExpression.
See Also
VisitNewArrayExpression(NewArrayExpression)


VisitNewExpression Method (expression)

VisitNewExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitNewExpression(NewExpression)
Converts a NewExpression to a SerializableNewExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitNewExpression(
    NewExpression expression
)
Protected Overrides Function VisitNewExpression ( _
    expression As NewExpression _
) As Object
protected:
virtual Object^ VisitNewExpression(
    NewExpression^ expression
) override
Parameters
expression (NewExpression)
NewExpression to convert.
Return Value
Returns the converted SerializableNewExpression.
See Also
VisitNewExpression(NewExpression)


VisitParameterExpression Method (expression)

VisitParameterExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitParameterExpression(ParameterExpression)
Converts a ParameterExpression to a SerializableParameterExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitParameterExpression(
    ParameterExpression expression
)
Protected Overrides Function VisitParameterExpression ( _
    expression As ParameterExpression _
) As Object
protected:
virtual Object^ VisitParameterExpression(
    ParameterExpression^ expression
) override
Parameters
expression (ParameterExpression)
ParameterExpression to convert.
Return Value
Returns the converted SerializableParameterExpression.
See Also
VisitParameterExpression(ParameterExpression)


VisitTypeBinaryExpression Method (expression)

VisitTypeBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitTypeBinaryExpression(TypeBinaryExpression)
Converts a TypeBinaryExpression to a SerializableTypeBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitTypeBinaryExpression(
    TypeBinaryExpression expression
)
Protected Overrides Function VisitTypeBinaryExpression ( _
    expression As TypeBinaryExpression _
) As Object
protected:
virtual Object^ VisitTypeBinaryExpression(
    TypeBinaryExpression^ expression
) override
Parameters
expression (TypeBinaryExpression)
TypeBinaryExpression to convert.
Return Value
Returns the converted SerializableTypeBinaryExpression.
See Also
VisitTypeBinaryExpression(TypeBinaryExpression)


VisitTypedExpression Method (expression)

VisitTypedExpression<(Of <(T>)>) Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>))
Converts a Expression<(Of <(TDelegate>)>) to a SerializableExpressionTyped.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitTypedExpression<T>(
    Expression<T> expression
)
Protected Overrides Function VisitTypedExpression(Of T) ( _
    expression As Expression(Of T) _
) As Object
protected:
generic<typename T>
virtual Object^ VisitTypedExpression(
    Expression<T>^ expression
) override
Generic Template Parameters
T
Parameters
expression (Expression <(Of <(T>)>))
Expression<(Of <(TDelegate>)>) to convert.
Return Value
Returns the converted SerializableExpressionTyped.
See Also
VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>))


VisitUnaryExpression Method (expression)

VisitUnaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitUnaryExpression(UnaryExpression)
Converts a UnaryExpression to a SerializableUnaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitUnaryExpression(
    UnaryExpression expression
)
Protected Overrides Function VisitUnaryExpression ( _
    expression As UnaryExpression _
) As Object
protected:
virtual Object^ VisitUnaryExpression(
    UnaryExpression^ expression
) override
Parameters
expression (UnaryExpression)
UnaryExpression to convert.
Return Value
Returns the converted SerializableUnaryExpression.
See Also
VisitUnaryExpression(UnaryExpression)


ExpressionVisitor Class

ExpressionVisitor Class
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor
A visitor for Expressions.
Declaration Syntax
C# Visual Basic Visual C++
public abstract class ExpressionVisitor
Public MustInherit Class ExpressionVisitor
public ref class ExpressionVisitor abstract
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ExpressionVisitor(Expression) | Creates a new ExpressionVisitor with an Expression.
 | Equals(Object) | (Inherited from Object.)
 | Expression | The Expression to visit.
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
 | Visit()()() | Visit the Expression in this visitor.
 | Visit<(Of <(T>)>)(Expression) | Visits an Expression and returns a result of the type T.
 | Visit(Expression) | Visit an Expression.
 | VisitBinaryExpression(BinaryExpression) | Visit a BinaryExpression.
 | VisitCollection<(Of <(T>)>)(IEnumerable) | Visit a collection of expressions.
 | VisitConditionalExpression(ConditionalExpression) | Visit a ConditionalExpression.
 | VisitConstantExpression(ConstantExpression) | Visit a ConstantExpression.
 | VisitElementInit(ElementInit) | Visit a ElementInit.
 | VisitHandleNull()()() | Handle when the method Visit(Expression) is nullNothingnullptr.
 | VisitInvocationExpression(InvocationExpression) | Visit a InvocationExpression.
 | VisitLambdaExpression(LambdaExpression) | Visit a LambdaExpression.
 | VisitListInitExpression(ListInitExpression) | Visit a ListInitExpression.
 | VisitMemberAssignment(MemberAssignment) | Visit a MemberAssignment.
 | VisitMemberExpression(MemberExpression) | Visit a MemberExpression.
 | VisitMemberInitExpression(MemberInitExpression) | Visit a MemberInitExpression.
 | VisitMemberListBinding(MemberListBinding) | Visit a MemberListBinding.
 | VisitMemberMemberBinding(MemberMemberBinding) | Visit a MemberMemberBinding.
 | VisitMethodCallExpression(MethodCallExpression) | Visit a MethodCallExpression.
 | VisitNewArrayExpression(NewArrayExpression) | Visit a NewArrayExpression.
 | VisitNewExpression(NewExpression) | Visit a NewExpression.
 | VisitObject<(Of <(T>)>)(Object) | Visits an object and returns a result of the type T.
 | VisitObject(Object) | Visit an object.
 | VisitObjectCollection<(Of <(T>)>)(IEnumerable) | Visit a collection of object.
 | VisitObjectHandleNull()()() | Handle when the method VisitObject(Object) is nullNothingnullptr.
 | VisitObjectPrecondition(Object) | Precondition of the method VisitObject(Object).
 | VisitParameterExpression(ParameterExpression) | Visit a ParameterExpression.
 | VisitTypeBinaryExpression(TypeBinaryExpression) | Visit a TypeBinaryExpression.
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Visit a Expression<(Of <(TDelegate>)>).
 | VisitUnaryExpression(UnaryExpression) | Visit a UnaryExpression.
 | VisitUnknownExpression(Expression) | Handles the case, when the type of the Expression is unkonwn.
 | VisitUnkownObject(Object) | Handles the case, when the type of the object is unkonwn.
Inheritance Hierarchy
Object
 | ExpressionVisitor
 |  | ExpressionConverter
 |  | RewriteExpressionVisitor


ExpressionVisitor Constructor (expression)

ExpressionVisitor Constructor (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► ExpressionVisitor(Expression)
Creates a new ExpressionVisitor with an Expression.
Declaration Syntax
C# Visual Basic Visual C++
public ExpressionVisitor(
    Expression expression
)
Public Sub New ( _
    expression As Expression _
)
public:
ExpressionVisitor(
    Expression^ expression
)
Parameters
expression (Expression)
Expression to initialize the visitor.


Expression Property

Expression Property
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► Expression
The Expression to visit.
Declaration Syntax
C# Visual Basic Visual C++
public Expression Expression { get; }
Public ReadOnly Property Expression As Expression
public:
property Expression^ Expression {
    Expression^ get ();
}


Visit Method

Visit Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► Visit()()()
Members
Icon | Member | Description
 | Visit()()() | Visit the Expression in this visitor.
 | Visit<(Of <(T>)>)(Expression) | Visits an Expression and returns a result of the type T.
 | Visit(Expression) | Visit an Expression.


Visit Method

Visit Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► Visit()()()
Visit the Expression in this visitor.
Declaration Syntax
C# Visual Basic Visual C++
public Object Visit()
Public Function Visit As Object
public:
Object^ Visit()
Return Value
Returns the result of the visit.


Visit Method (expression)

Visit<(Of <(T>)>) Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► Visit<(Of <(T>)>)(Expression)
Visits an Expression and returns a result of the type T.
Declaration Syntax
C# Visual Basic Visual C++
protected T Visit<T>(
    Expression expression
)
Protected Function Visit(Of T) ( _
    expression As Expression _
) As T
protected:
generic<typename T>
T Visit(
    Expression^ expression
)
Generic Template Parameters
T
Type of the returned value.
Parameters
expression (Expression)
Expression to visit.
Return Value
Returns a result of the type T.


Visit Method (expression)

Visit Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► Visit(Expression)
Visit an Expression.
Declaration Syntax
C# Visual Basic Visual C++
protected Object Visit(
    Expression expression
)
Protected Function Visit ( _
    expression As Expression _
) As Object
protected:
Object^ Visit(
    Expression^ expression
)
Parameters
expression (Expression)
Expression to visit.
Return Value
Returns the result of the visit.


VisitBinaryExpression Method (expression)

VisitBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitBinaryExpression(BinaryExpression)
Visit a BinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitBinaryExpression(
    BinaryExpression expression
)
Protected MustOverride Function VisitBinaryExpression ( _
    expression As BinaryExpression _
) As Object
protected:
virtual Object^ VisitBinaryExpression(
    BinaryExpression^ expression
) abstract
Parameters
expression (BinaryExpression)
BinaryExpression to visit.
Return Value
Returns the result of the visit.


VisitCollection Method (enumerable)

VisitCollection<(Of <(T>)>) Method (enumerable)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitCollection<(Of <(T>)>)(IEnumerable)
Visit a collection of expressions.
Declaration Syntax
C# Visual Basic Visual C++
protected IList<T> VisitCollection<T>(
    IEnumerable enumerable
)
Protected Function VisitCollection(Of T) ( _
    enumerable As IEnumerable _
) As IList(Of T)
protected:
generic<typename T>
IList<T>^ VisitCollection(
    IEnumerable^ enumerable
)
Generic Template Parameters
T
Type of the visit results.
Parameters
enumerable (IEnumerable)
Collection to visit.
Return Value
Returns a list of visit results.


VisitConditionalExpression Method (expression)

VisitConditionalExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitConditionalExpression(ConditionalExpression)
Visit a ConditionalExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitConditionalExpression(
    ConditionalExpression expression
)
Protected MustOverride Function VisitConditionalExpression ( _
    expression As ConditionalExpression _
) As Object
protected:
virtual Object^ VisitConditionalExpression(
    ConditionalExpression^ expression
) abstract
Parameters
expression (ConditionalExpression)
ConditionalExpression to visit.
Return Value
Returns the result of the visit.


VisitConstantExpression Method (expression)

VisitConstantExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitConstantExpression(ConstantExpression)
Visit a ConstantExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitConstantExpression(
    ConstantExpression expression
)
Protected MustOverride Function VisitConstantExpression ( _
    expression As ConstantExpression _
) As Object
protected:
virtual Object^ VisitConstantExpression(
    ConstantExpression^ expression
) abstract
Parameters
expression (ConstantExpression)
ConstantExpression to visit.
Return Value
Returns the result of the visit.


VisitElementInit Method (elementInit)

VisitElementInit Method (elementInit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitElementInit(ElementInit)
Visit a ElementInit.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitElementInit(
    ElementInit elementInit
)
Protected MustOverride Function VisitElementInit ( _
    elementInit As ElementInit _
) As Object
protected:
virtual Object^ VisitElementInit(
    ElementInit^ elementInit
) abstract
Parameters
elementInit (ElementInit)
ElementInit to visit.
Return Value
Returns the result of the visit.


VisitHandleNull Method

VisitHandleNull Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitHandleNull()()()
Handle when the method Visit(Expression) is nullNothingnullptr.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual Object VisitHandleNull()
Protected Overridable Function VisitHandleNull As Object
protected:
virtual Object^ VisitHandleNull()
Return Value
Returns the result of a nullNothingnullptr input.


VisitInvocationExpression Method (expression)

VisitInvocationExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitInvocationExpression(InvocationExpression)
Visit a InvocationExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitInvocationExpression(
    InvocationExpression expression
)
Protected MustOverride Function VisitInvocationExpression ( _
    expression As InvocationExpression _
) As Object
protected:
virtual Object^ VisitInvocationExpression(
    InvocationExpression^ expression
) abstract
Parameters
expression (InvocationExpression)
InvocationExpression to visit.
Return Value
Returns the result of the visit.


VisitLambdaExpression Method (expression)

VisitLambdaExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitLambdaExpression(LambdaExpression)
Visit a LambdaExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitLambdaExpression(
    LambdaExpression expression
)
Protected MustOverride Function VisitLambdaExpression ( _
    expression As LambdaExpression _
) As Object
protected:
virtual Object^ VisitLambdaExpression(
    LambdaExpression^ expression
) abstract
Parameters
expression (LambdaExpression)
LambdaExpression to visit.
Return Value
Returns the result of the visit.


VisitListInitExpression Method (expression)

VisitListInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitListInitExpression(ListInitExpression)
Visit a ListInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitListInitExpression(
    ListInitExpression expression
)
Protected MustOverride Function VisitListInitExpression ( _
    expression As ListInitExpression _
) As Object
protected:
virtual Object^ VisitListInitExpression(
    ListInitExpression^ expression
) abstract
Parameters
expression (ListInitExpression)
ListInitExpression to visit.
Return Value
Returns the result of the visit.


VisitMemberAssignment Method (memberAssignment)

VisitMemberAssignment Method (memberAssignment)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitMemberAssignment(MemberAssignment)
Visit a MemberAssignment.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitMemberAssignment(
    MemberAssignment memberAssignment
)
Protected MustOverride Function VisitMemberAssignment ( _
    memberAssignment As MemberAssignment _
) As Object
protected:
virtual Object^ VisitMemberAssignment(
    MemberAssignment^ memberAssignment
) abstract
Parameters
memberAssignment (MemberAssignment)
MemberAssignment to visit.
Return Value
Returns the result of the visit.


VisitMemberExpression Method (expression)

VisitMemberExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitMemberExpression(MemberExpression)
Visit a MemberExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitMemberExpression(
    MemberExpression expression
)
Protected MustOverride Function VisitMemberExpression ( _
    expression As MemberExpression _
) As Object
protected:
virtual Object^ VisitMemberExpression(
    MemberExpression^ expression
) abstract
Parameters
expression (MemberExpression)
MemberExpression to visit.
Return Value
Returns the result of the visit.


VisitMemberInitExpression Method (expression)

VisitMemberInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitMemberInitExpression(MemberInitExpression)
Visit a MemberInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitMemberInitExpression(
    MemberInitExpression expression
)
Protected MustOverride Function VisitMemberInitExpression ( _
    expression As MemberInitExpression _
) As Object
protected:
virtual Object^ VisitMemberInitExpression(
    MemberInitExpression^ expression
) abstract
Parameters
expression (MemberInitExpression)
MemberInitExpression to visit.
Return Value
Returns the result of the visit.


VisitMemberListBinding Method (memberListBinding)

VisitMemberListBinding Method (memberListBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitMemberListBinding(MemberListBinding)
Visit a MemberListBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitMemberListBinding(
    MemberListBinding memberListBinding
)
Protected MustOverride Function VisitMemberListBinding ( _
    memberListBinding As MemberListBinding _
) As Object
protected:
virtual Object^ VisitMemberListBinding(
    MemberListBinding^ memberListBinding
) abstract
Parameters
memberListBinding (MemberListBinding)
MemberListBinding to visit.
Return Value
Returns the result of the visit.


VisitMemberMemberBinding Method (memberMemberBinding)

VisitMemberMemberBinding Method (memberMemberBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitMemberMemberBinding(MemberMemberBinding)
Visit a MemberMemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitMemberMemberBinding(
    MemberMemberBinding memberMemberBinding
)
Protected MustOverride Function VisitMemberMemberBinding ( _
    memberMemberBinding As MemberMemberBinding _
) As Object
protected:
virtual Object^ VisitMemberMemberBinding(
    MemberMemberBinding^ memberMemberBinding
) abstract
Parameters
memberMemberBinding (MemberMemberBinding)
MemberMemberBinding to visit.
Return Value
Returns the result of the visit.


VisitMethodCallExpression Method (expression)

VisitMethodCallExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitMethodCallExpression(MethodCallExpression)
Visit a MethodCallExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitMethodCallExpression(
    MethodCallExpression expression
)
Protected MustOverride Function VisitMethodCallExpression ( _
    expression As MethodCallExpression _
) As Object
protected:
virtual Object^ VisitMethodCallExpression(
    MethodCallExpression^ expression
) abstract
Parameters
expression (MethodCallExpression)
MethodCallExpression to visit.
Return Value
Returns the result of the visit.


VisitNewArrayExpression Method (expression)

VisitNewArrayExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitNewArrayExpression(NewArrayExpression)
Visit a NewArrayExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitNewArrayExpression(
    NewArrayExpression expression
)
Protected MustOverride Function VisitNewArrayExpression ( _
    expression As NewArrayExpression _
) As Object
protected:
virtual Object^ VisitNewArrayExpression(
    NewArrayExpression^ expression
) abstract
Parameters
expression (NewArrayExpression)
NewArrayExpression to visit.
Return Value
Returns the result of the visit.


VisitNewExpression Method (expression)

VisitNewExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitNewExpression(NewExpression)
Visit a NewExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitNewExpression(
    NewExpression expression
)
Protected MustOverride Function VisitNewExpression ( _
    expression As NewExpression _
) As Object
protected:
virtual Object^ VisitNewExpression(
    NewExpression^ expression
) abstract
Parameters
expression (NewExpression)
NewExpression to visit.
Return Value
Returns the result of the visit.


VisitObject Method

VisitObject Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitObject()()()
Members
Icon | Member | Description
 | VisitObject<(Of <(T>)>)(Object) | Visits an object and returns a result of the type T.
 | VisitObject(Object) | Visit an object.


VisitObject Method (objectToVisit)

VisitObject Method (objectToVisit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitObject(Object)
Visit an object.
Declaration Syntax
C# Visual Basic Visual C++
protected Object VisitObject(
    Object objectToVisit
)
Protected Function VisitObject ( _
    objectToVisit As Object _
) As Object
protected:
Object^ VisitObject(
    Object^ objectToVisit
)
Parameters
objectToVisit (Object)
object to visit.
Return Value
Returns the result of the visit.


VisitObject Method (objectToVisit)

VisitObject<(Of <(T>)>) Method (objectToVisit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitObject<(Of <(T>)>)(Object)
Visits an object and returns a result of the type T.
Declaration Syntax
C# Visual Basic Visual C++
protected T VisitObject<T>(
    Object objectToVisit
)
Protected Function VisitObject(Of T) ( _
    objectToVisit As Object _
) As T
protected:
generic<typename T>
T VisitObject(
    Object^ objectToVisit
)
Generic Template Parameters
T
Type of the returned value.
Parameters
objectToVisit (Object)
object to visit.
Return Value
Returns a result of the type T.


VisitObjectCollection Method (enumerable)

VisitObjectCollection<(Of <(T>)>) Method (enumerable)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitObjectCollection<(Of <(T>)>)(IEnumerable)
Visit a collection of object.
Declaration Syntax
C# Visual Basic Visual C++
protected IList<T> VisitObjectCollection<T>(
    IEnumerable enumerable
)
Protected Function VisitObjectCollection(Of T) ( _
    enumerable As IEnumerable _
) As IList(Of T)
protected:
generic<typename T>
IList<T>^ VisitObjectCollection(
    IEnumerable^ enumerable
)
Generic Template Parameters
T
Type of the visit results.
Parameters
enumerable (IEnumerable)
Collection to visit.
Return Value
Returns a list of visit results.


VisitObjectHandleNull Method

VisitObjectHandleNull Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitObjectHandleNull()()()
Handle when the method VisitObject(Object) is nullNothingnullptr.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual Object VisitObjectHandleNull()
Protected Overridable Function VisitObjectHandleNull As Object
protected:
virtual Object^ VisitObjectHandleNull()
Return Value
Returns the result of a nullNothingnullptr input.


VisitObjectPrecondition Method (objectToVisit)

VisitObjectPrecondition Method (objectToVisit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitObjectPrecondition(Object)
Precondition of the method VisitObject(Object).
Declaration Syntax
C# Visual Basic Visual C++
protected virtual bool VisitObjectPrecondition(
    Object objectToVisit
)
Protected Overridable Function VisitObjectPrecondition ( _
    objectToVisit As Object _
) As Boolean
protected:
virtual bool VisitObjectPrecondition(
    Object^ objectToVisit
)
Parameters
objectToVisit (Object)
object to visit.
Return Value
True, if the condition is true. False, if not.


VisitParameterExpression Method (expression)

VisitParameterExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitParameterExpression(ParameterExpression)
Visit a ParameterExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitParameterExpression(
    ParameterExpression expression
)
Protected MustOverride Function VisitParameterExpression ( _
    expression As ParameterExpression _
) As Object
protected:
virtual Object^ VisitParameterExpression(
    ParameterExpression^ expression
) abstract
Parameters
expression (ParameterExpression)
ParameterExpression to visit.
Return Value
Returns the result of the visit.


VisitTypeBinaryExpression Method (expression)

VisitTypeBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitTypeBinaryExpression(TypeBinaryExpression)
Visit a TypeBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitTypeBinaryExpression(
    TypeBinaryExpression expression
)
Protected MustOverride Function VisitTypeBinaryExpression ( _
    expression As TypeBinaryExpression _
) As Object
protected:
virtual Object^ VisitTypeBinaryExpression(
    TypeBinaryExpression^ expression
) abstract
Parameters
expression (TypeBinaryExpression)
TypeBinaryExpression to visit.
Return Value
Returns the result of the visit.


VisitTypedExpression Method (expression)

VisitTypedExpression<(Of <(T>)>) Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>))
Visit a Expression<(Of <(TDelegate>)>).
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitTypedExpression<T>(
    Expression<T> expression
)
Protected MustOverride Function VisitTypedExpression(Of T) ( _
    expression As Expression(Of T) _
) As Object
protected:
generic<typename T>
virtual Object^ VisitTypedExpression(
    Expression<T>^ expression
) abstract
Generic Template Parameters
T
Parameters
expression (Expression <(Of <(T>)>))
Expression<(Of <(TDelegate>)>) to visit.
Return Value
Returns the result of the visit.


VisitUnaryExpression Method (expression)

VisitUnaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitUnaryExpression(UnaryExpression)
Visit a UnaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitUnaryExpression(
    UnaryExpression expression
)
Protected MustOverride Function VisitUnaryExpression ( _
    expression As UnaryExpression _
) As Object
protected:
virtual Object^ VisitUnaryExpression(
    UnaryExpression^ expression
) abstract
Parameters
expression (UnaryExpression)
UnaryExpression to visit.
Return Value
Returns the result of the visit.


VisitUnknownExpression Method (expression)

VisitUnknownExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitUnknownExpression(Expression)
Handles the case, when the type of the Expression is unkonwn.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual Object VisitUnknownExpression(
    Expression expression
)
Protected Overridable Function VisitUnknownExpression ( _
    expression As Expression _
) As Object
protected:
virtual Object^ VisitUnknownExpression(
    Expression^ expression
)
Parameters
expression (Expression)
The unknown Expression.
Return Value
Returns the result of a unknown Expression.


VisitUnkownObject Method (unknownObject)

VisitUnkownObject Method (unknownObject)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionVisitor ► VisitUnkownObject(Object)
Handles the case, when the type of the object is unkonwn.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual Object VisitUnkownObject(
    Object unknownObject
)
Protected Overridable Function VisitUnkownObject ( _
    unknownObject As Object _
) As Object
protected:
virtual Object^ VisitUnkownObject(
    Object^ unknownObject
)
Parameters
unknownObject (Object)
The unknown object.
Return Value
Returns the result of a unknown object.


RewriteExpressionVisitor Class

RewriteExpressionVisitor Class
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor
This is a visitor that rewrites an expression tree during visiting. The result is the same tree like the one, given to the visitor.
Declaration Syntax
C# Visual Basic Visual C++
public class RewriteExpressionVisitor : ExpressionVisitor
Public Class RewriteExpressionVisitor _
    Inherits ExpressionVisitor
public ref class RewriteExpressionVisitor : public ExpressionVisitor
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | RewriteExpressionVisitor(Expression) | Creates a new RewriteExpressionVisitor with an Expression.
 | Equals(Object) | (Inherited from Object.)
 | Expression | The Expression to visit. (Inherited from ExpressionVisitor.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
 | Visit()()() | Visit the Expression in this visitor. (Inherited from ExpressionVisitor.)
 | Visit<(Of <(T>)>)(Expression) | Visits an Expression and returns a result of the type T. (Inherited from ExpressionVisitor.)
 | VisitBinaryExpression(BinaryExpression) | Creates a BinaryExpression. (Overrides ExpressionVisitor.VisitBinaryExpression(BinaryExpression).)
 | VisitCollection<(Of <(T>)>)(IEnumerable) | Visit a collection of expressions. (Inherited from ExpressionVisitor.)
 | VisitConditionalExpression(ConditionalExpression) | Creates a ConditionalExpression. (Overrides ExpressionVisitor.VisitConditionalExpression(ConditionalExpression).)
 | VisitConstantExpression(ConstantExpression) | Creates a ConstantExpression. (Overrides ExpressionVisitor.VisitConstantExpression(ConstantExpression).)
 | VisitElementInit(ElementInit) | Creates a ElementInit. (Overrides ExpressionVisitor.VisitElementInit(ElementInit).)
 | VisitExpression(Expression) | Visit the Expression and returns an expression.
 | VisitHandleNull()()() | Handle when the method Visit(Expression) is nullNothingnullptr. (Inherited from ExpressionVisitor.)
 | VisitInvocationExpression(InvocationExpression) | Creates a InvocationExpression. (Overrides ExpressionVisitor.VisitInvocationExpression(InvocationExpression).)
 | VisitLambdaExpression(LambdaExpression) | Creates a LambdaExpression. (Overrides ExpressionVisitor.VisitLambdaExpression(LambdaExpression).)
 | VisitListInitExpression(ListInitExpression) | Creates a ListInitExpression. (Overrides ExpressionVisitor.VisitListInitExpression(ListInitExpression).)
 | VisitMemberAssignment(MemberAssignment) | Creates a MemberAssignment. (Overrides ExpressionVisitor.VisitMemberAssignment(MemberAssignment).)
 | VisitMemberExpression(MemberExpression) | Creates a MemberExpression. (Overrides ExpressionVisitor.VisitMemberExpression(MemberExpression).)
 | VisitMemberInitExpression(MemberInitExpression) | Creates a MemberInitExpression. (Overrides ExpressionVisitor.VisitMemberInitExpression(MemberInitExpression).)
 | VisitMemberListBinding(MemberListBinding) | Creates a MemberListBinding. (Overrides ExpressionVisitor.VisitMemberListBinding(MemberListBinding).)
 | VisitMemberMemberBinding(MemberMemberBinding) | Creates a MemberMemberBinding. (Overrides ExpressionVisitor.VisitMemberMemberBinding(MemberMemberBinding).)
 | VisitMethodCallExpression(MethodCallExpression) | Creates a MethodCallExpression. (Overrides ExpressionVisitor.VisitMethodCallExpression(MethodCallExpression).)
 | VisitNewArrayExpression(NewArrayExpression) | Creates a NewArrayExpression. (Overrides ExpressionVisitor.VisitNewArrayExpression(NewArrayExpression).)
 | VisitNewExpression(NewExpression) | Creates a NewExpression. (Overrides ExpressionVisitor.VisitNewExpression(NewExpression).)
 | VisitObject<(Of <(T>)>)(Object) | Visits an object and returns a result of the type T. (Inherited from ExpressionVisitor.)
 | VisitObjectCollection<(Of <(T>)>)(IEnumerable) | Visit a collection of object. (Inherited from ExpressionVisitor.)
 | VisitObjectHandleNull()()() | Handle when the method VisitObject(Object) is nullNothingnullptr. (Inherited from ExpressionVisitor.)
 | VisitObjectPrecondition(Object) | Precondition of the method VisitObject(Object). (Inherited from ExpressionVisitor.)
 | VisitParameterExpression(ParameterExpression) | Creates a ParameterExpression. (Overrides ExpressionVisitor.VisitParameterExpression(ParameterExpression).)
 | VisitTypeBinaryExpression(TypeBinaryExpression) | Creates a TypeBinaryExpression. (Overrides ExpressionVisitor.VisitTypeBinaryExpression(TypeBinaryExpression).)
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Creates a Expression<(Of <(TDelegate>)>). (Overrides ExpressionVisitor.VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)).)
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Visit a Expression<(Of <(TDelegate>)>). (Inherited from ExpressionVisitor.)
 | VisitUnaryExpression(UnaryExpression) | Creates a UnaryExpression. (Overrides ExpressionVisitor.VisitUnaryExpression(UnaryExpression).)
 | VisitUnknownExpression(Expression) | Handles the case, when the type of the Expression is unkonwn. (Inherited from ExpressionVisitor.)
 | VisitUnkownObject(Object) | Handles the case, when the type of the object is unkonwn. (Inherited from ExpressionVisitor.)
Inheritance Hierarchy
Object
 | ExpressionVisitor
 |  | RewriteExpressionVisitor
See Also
ExpressionVisitor


RewriteExpressionVisitor Constructor (expression)

RewriteExpressionVisitor Constructor (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► RewriteExpressionVisitor(Expression)
Creates a new RewriteExpressionVisitor with an Expression.
Declaration Syntax
C# Visual Basic Visual C++
public RewriteExpressionVisitor(
    Expression expression
)
Public Sub New ( _
    expression As Expression _
)
public:
RewriteExpressionVisitor(
    Expression^ expression
)
Parameters
expression (Expression)
Expression to initialize the visitor.


VisitBinaryExpression Method (expression)

VisitBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitBinaryExpression(BinaryExpression)
Creates a BinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitBinaryExpression(
    BinaryExpression expression
)
Protected Overrides Function VisitBinaryExpression ( _
    expression As BinaryExpression _
) As Object
protected:
virtual Object^ VisitBinaryExpression(
    BinaryExpression^ expression
) override
Parameters
expression (BinaryExpression)
BinaryExpression to visit.
Return Value
Returns a BinaryExpression.
See Also
VisitBinaryExpression(BinaryExpression)


VisitConditionalExpression Method (expression)

VisitConditionalExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitConditionalExpression(ConditionalExpression)
Creates a ConditionalExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitConditionalExpression(
    ConditionalExpression expression
)
Protected Overrides Function VisitConditionalExpression ( _
    expression As ConditionalExpression _
) As Object
protected:
virtual Object^ VisitConditionalExpression(
    ConditionalExpression^ expression
) override
Parameters
expression (ConditionalExpression)
ConditionalExpression to visit.
Return Value
Returns a ConditionalExpression.
See Also
VisitConditionalExpression(ConditionalExpression)


VisitConstantExpression Method (expression)

VisitConstantExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitConstantExpression(ConstantExpression)
Creates a ConstantExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitConstantExpression(
    ConstantExpression expression
)
Protected Overrides Function VisitConstantExpression ( _
    expression As ConstantExpression _
) As Object
protected:
virtual Object^ VisitConstantExpression(
    ConstantExpression^ expression
) override
Parameters
expression (ConstantExpression)
ConstantExpression to visit.
Return Value
Returns a ConstantExpression.
See Also
VisitConstantExpression(ConstantExpression)


VisitElementInit Method (elementInit)

VisitElementInit Method (elementInit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitElementInit(ElementInit)
Creates a ElementInit.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitElementInit(
    ElementInit elementInit
)
Protected Overrides Function VisitElementInit ( _
    elementInit As ElementInit _
) As Object
protected:
virtual Object^ VisitElementInit(
    ElementInit^ elementInit
) override
Parameters
elementInit (ElementInit)
ElementInit to visit.
Return Value
Returns a ElementInit.
See Also
VisitElementInit(ElementInit)


VisitExpression Method (expression)

VisitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitExpression(Expression)
Visit the Expression and returns an expression.
Declaration Syntax
C# Visual Basic Visual C++
protected Expression VisitExpression(
    Expression expression
)
Protected Function VisitExpression ( _
    expression As Expression _
) As Expression
protected:
Expression^ VisitExpression(
    Expression^ expression
)
Parameters
expression (Expression)
Expression to execute.
Return Value
Returns an Expression.


VisitInvocationExpression Method (expression)

VisitInvocationExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitInvocationExpression(InvocationExpression)
Creates a InvocationExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitInvocationExpression(
    InvocationExpression expression
)
Protected Overrides Function VisitInvocationExpression ( _
    expression As InvocationExpression _
) As Object
protected:
virtual Object^ VisitInvocationExpression(
    InvocationExpression^ expression
) override
Parameters
expression (InvocationExpression)
InvocationExpression to visit.
Return Value
Returns a InvocationExpression.
See Also
VisitInvocationExpression(InvocationExpression)


VisitLambdaExpression Method (expression)

VisitLambdaExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitLambdaExpression(LambdaExpression)
Creates a LambdaExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitLambdaExpression(
    LambdaExpression expression
)
Protected Overrides Function VisitLambdaExpression ( _
    expression As LambdaExpression _
) As Object
protected:
virtual Object^ VisitLambdaExpression(
    LambdaExpression^ expression
) override
Parameters
expression (LambdaExpression)
LambdaExpression to visit.
Return Value
Returns a LambdaExpression.
See Also
VisitLambdaExpression(LambdaExpression)


VisitListInitExpression Method (expression)

VisitListInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitListInitExpression(ListInitExpression)
Creates a ListInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitListInitExpression(
    ListInitExpression expression
)
Protected Overrides Function VisitListInitExpression ( _
    expression As ListInitExpression _
) As Object
protected:
virtual Object^ VisitListInitExpression(
    ListInitExpression^ expression
) override
Parameters
expression (ListInitExpression)
ListInitExpression to visit.
Return Value
Returns a ListInitExpression.
See Also
VisitListInitExpression(ListInitExpression)


VisitMemberAssignment Method (memberAssignment)

VisitMemberAssignment Method (memberAssignment)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitMemberAssignment(MemberAssignment)
Creates a MemberAssignment.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberAssignment(
    MemberAssignment memberAssignment
)
Protected Overrides Function VisitMemberAssignment ( _
    memberAssignment As MemberAssignment _
) As Object
protected:
virtual Object^ VisitMemberAssignment(
    MemberAssignment^ memberAssignment
) override
Parameters
memberAssignment (MemberAssignment)
MemberAssignment to visit.
Return Value
Returns a MemberAssignment.
See Also
VisitMemberAssignment(MemberAssignment)


VisitMemberExpression Method (expression)

VisitMemberExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitMemberExpression(MemberExpression)
Creates a MemberExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberExpression(
    MemberExpression expression
)
Protected Overrides Function VisitMemberExpression ( _
    expression As MemberExpression _
) As Object
protected:
virtual Object^ VisitMemberExpression(
    MemberExpression^ expression
) override
Parameters
expression (MemberExpression)
MemberExpression to visit.
Return Value
Returns a MemberExpression.
See Also
VisitMemberExpression(MemberExpression)


VisitMemberInitExpression Method (expression)

VisitMemberInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitMemberInitExpression(MemberInitExpression)
Creates a MemberInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberInitExpression(
    MemberInitExpression expression
)
Protected Overrides Function VisitMemberInitExpression ( _
    expression As MemberInitExpression _
) As Object
protected:
virtual Object^ VisitMemberInitExpression(
    MemberInitExpression^ expression
) override
Parameters
expression (MemberInitExpression)
MemberInitExpression to visit.
Return Value
Returns a MemberInitExpression.
See Also
VisitMemberInitExpression(MemberInitExpression)


VisitMemberListBinding Method (memberListBinding)

VisitMemberListBinding Method (memberListBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitMemberListBinding(MemberListBinding)
Creates a MemberListBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberListBinding(
    MemberListBinding memberListBinding
)
Protected Overrides Function VisitMemberListBinding ( _
    memberListBinding As MemberListBinding _
) As Object
protected:
virtual Object^ VisitMemberListBinding(
    MemberListBinding^ memberListBinding
) override
Parameters
memberListBinding (MemberListBinding)
MemberListBinding to visit.
Return Value
Returns a MemberListBinding.
See Also
VisitMemberListBinding(MemberListBinding)


VisitMemberMemberBinding Method (memberMemberBinding)

VisitMemberMemberBinding Method (memberMemberBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitMemberMemberBinding(MemberMemberBinding)
Creates a MemberMemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMemberMemberBinding(
    MemberMemberBinding memberMemberBinding
)
Protected Overrides Function VisitMemberMemberBinding ( _
    memberMemberBinding As MemberMemberBinding _
) As Object
protected:
virtual Object^ VisitMemberMemberBinding(
    MemberMemberBinding^ memberMemberBinding
) override
Parameters
memberMemberBinding (MemberMemberBinding)
MemberMemberBinding to visit.
Return Value
Returns a MemberMemberBinding.
See Also
VisitMemberMemberBinding(MemberMemberBinding)


VisitMethodCallExpression Method (expression)

VisitMethodCallExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitMethodCallExpression(MethodCallExpression)
Creates a MethodCallExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitMethodCallExpression(
    MethodCallExpression expression
)
Protected Overrides Function VisitMethodCallExpression ( _
    expression As MethodCallExpression _
) As Object
protected:
virtual Object^ VisitMethodCallExpression(
    MethodCallExpression^ expression
) override
Parameters
expression (MethodCallExpression)
MethodCallExpression to visit.
Return Value
Returns a MethodCallExpression.
See Also
VisitMethodCallExpression(MethodCallExpression)


VisitNewArrayExpression Method (expression)

VisitNewArrayExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitNewArrayExpression(NewArrayExpression)
Creates a NewArrayExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitNewArrayExpression(
    NewArrayExpression expression
)
Protected Overrides Function VisitNewArrayExpression ( _
    expression As NewArrayExpression _
) As Object
protected:
virtual Object^ VisitNewArrayExpression(
    NewArrayExpression^ expression
) override
Parameters
expression (NewArrayExpression)
NewArrayExpression to visit.
Return Value
Returns a NewArrayExpression.
See Also
VisitNewArrayExpression(NewArrayExpression)


VisitNewExpression Method (expression)

VisitNewExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitNewExpression(NewExpression)
Creates a NewExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitNewExpression(
    NewExpression expression
)
Protected Overrides Function VisitNewExpression ( _
    expression As NewExpression _
) As Object
protected:
virtual Object^ VisitNewExpression(
    NewExpression^ expression
) override
Parameters
expression (NewExpression)
NewExpression to visit.
Return Value
Returns a NewExpression.
See Also
VisitNewExpression(NewExpression)


VisitParameterExpression Method (expression)

VisitParameterExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitParameterExpression(ParameterExpression)
Creates a ParameterExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitParameterExpression(
    ParameterExpression expression
)
Protected Overrides Function VisitParameterExpression ( _
    expression As ParameterExpression _
) As Object
protected:
virtual Object^ VisitParameterExpression(
    ParameterExpression^ expression
) override
Parameters
expression (ParameterExpression)
ParameterExpression to visit.
Return Value
Returns a ParameterExpression.
See Also
VisitParameterExpression(ParameterExpression)


VisitTypeBinaryExpression Method (expression)

VisitTypeBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitTypeBinaryExpression(TypeBinaryExpression)
Creates a TypeBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitTypeBinaryExpression(
    TypeBinaryExpression expression
)
Protected Overrides Function VisitTypeBinaryExpression ( _
    expression As TypeBinaryExpression _
) As Object
protected:
virtual Object^ VisitTypeBinaryExpression(
    TypeBinaryExpression^ expression
) override
Parameters
expression (TypeBinaryExpression)
TypeBinaryExpression to visit.
Return Value
Returns a TypeBinaryExpression.
See Also
VisitTypeBinaryExpression(TypeBinaryExpression)


VisitTypedExpression Method (expression)

VisitTypedExpression<(Of <(T>)>) Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>))
Creates a Expression<(Of <(TDelegate>)>).
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitTypedExpression<T>(
    Expression<T> expression
)
Protected Overrides Function VisitTypedExpression(Of T) ( _
    expression As Expression(Of T) _
) As Object
protected:
generic<typename T>
virtual Object^ VisitTypedExpression(
    Expression<T>^ expression
) override
Generic Template Parameters
T
Parameters
expression (Expression <(Of <(T>)>))
Expression<(Of <(TDelegate>)>) to visit.
Return Value
Returns a Expression<(Of <(TDelegate>)>).
See Also
VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>))


VisitUnaryExpression Method (expression)

VisitUnaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitUnaryExpression(UnaryExpression)
Creates a UnaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitUnaryExpression(
    UnaryExpression expression
)
Protected Overrides Function VisitUnaryExpression ( _
    expression As UnaryExpression _
) As Object
protected:
virtual Object^ VisitUnaryExpression(
    UnaryExpression^ expression
) override
Parameters
expression (UnaryExpression)
UnaryExpression to visit.
Return Value
Returns a UnaryExpression.
See Also
VisitUnaryExpression(UnaryExpression)


SerializableExpressionConverter Class

SerializableExpressionConverter Class
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter
Converter class to convert SerializableExpression's to Expression's.
Declaration Syntax
C# Visual Basic Visual C++
public class SerializableExpressionConverter : SerializableExpressionVisitor
Public Class SerializableExpressionConverter _
    Inherits SerializableExpressionVisitor
public ref class SerializableExpressionConverter : public SerializableExpressionVisitor
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableExpressionConverter(SerializableExpression, IQueryHandler) | Initializes this class.
 | Equals(Object) | (Inherited from Object.)
 | ExpressionToConvert | Gets the ExpressionToConvert. (Inherited from SerializableExpressionVisitor.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetResultConstantExpression(SerializableConstantExpression) | Executes a SerializableConstantExpression and returns the result. (Overrides SerializableExpressionVisitor.GetResultConstantExpression(SerializableConstantExpression).)
 | GetResultMethodCallExpression(SerializableMethodCallExpression) | Executes a SerializableMethodCallExpression and returns the result. (Overrides SerializableExpressionVisitor.GetResultMethodCallExpression(SerializableMethodCallExpression).)
 | GetType()()() | (Inherited from Object.)
 | InvokeMethodCall(SerializableMethodCallExpression) | Returns the return value of the method call in ex.
 | MemberwiseClone()()() | (Inherited from Object.)
 | QueryHandler | Gets the QueryHandler.
 | ToString()()() | (Inherited from Object.)
 | Visit()()() | Visits the SerializableExpression tree to convert and returns the converted Expression. (Inherited from SerializableExpressionVisitor.)
 | Visit(SerializableExpression) | Returns an Expression by visiting and converting expression. (Inherited from SerializableExpressionVisitor.)
 | VisitCollection<(Of <(T>)>)(IEnumerable) | Returns an IEnumerable<(Of <(T>)>). Each element in enumerable will be visited by calling Visit<T>. (Inherited from SerializableExpressionVisitor.)
 | VisitObject<(Of <(T>)>)(Object) | Returns the value of the object. (Inherited from SerializableExpressionVisitor.)
 | VisitObjectCollection<(Of <(T>)>)(IEnumerable) | Returns an IEnumerable<(Of <(T>)>). Each element in enumerable will be visited by calling VisitObject<(Of <(T>)>)(Object). (Inherited from SerializableExpressionVisitor.)
 | VisitResult(SerializableExpression) | Returns the value of the Expression. (Inherited from SerializableExpressionVisitor.)
 | VisitSerializableBinaryExpression(SerializableBinaryExpression) | Visits a SerializableBinaryExpression. (Overrides SerializableExpressionVisitor.VisitSerializableBinaryExpression(SerializableBinaryExpression).)
 | VisitSerializableConditionalExpression(SerializableConditionalExpression) | Visits a SerializableConditionalExpression. (Overrides SerializableExpressionVisitor.VisitSerializableConditionalExpression(SerializableConditionalExpression).)
 | VisitSerializableConstantExpression(SerializableConstantExpression) | Visits a SerializableConstantExpression. (Overrides SerializableExpressionVisitor.VisitSerializableConstantExpression(SerializableConstantExpression).)
 | VisitSerializableElementInit(SerializableElementInit) | Visits a SerializableElementInit. (Overrides SerializableExpressionVisitor.VisitSerializableElementInit(SerializableElementInit).)
 | VisitSerializableExpressionTyped<(Of <(T>)>)(SerializableExpressionTyped) | Visits a SerializableExpressionTyped. (Overrides SerializableExpressionVisitor.VisitSerializableExpressionTyped<(Of <(T>)>)(SerializableExpressionTyped).)
 | VisitSerializableInvocationExpression(SerializableInvocationExpression) | Visits a SerializableInvocationExpression. (Overrides SerializableExpressionVisitor.VisitSerializableInvocationExpression(SerializableInvocationExpression).)
 | VisitSerializableLambdaExpression(SerializableLambdaExpression) | Visits a SerializableLambdaExpression. (Overrides SerializableExpressionVisitor.VisitSerializableLambdaExpression(SerializableLambdaExpression).)
 | VisitSerializableListInitExpression(SerializableListInitExpression) | Visits a SerializableListInitExpression. (Overrides SerializableExpressionVisitor.VisitSerializableListInitExpression(SerializableListInitExpression).)
 | VisitSerializableMemberAssignment(SerializableMemberAssignment) | Visits a SerializableMemberAssignment. (Overrides SerializableExpressionVisitor.VisitSerializableMemberAssignment(SerializableMemberAssignment).)
 | VisitSerializableMemberExpression(SerializableMemberExpression) | Visits a SerializableMemberExpression. (Overrides SerializableExpressionVisitor.VisitSerializableMemberExpression(SerializableMemberExpression).)
 | VisitSerializableMemberInitExpression(SerializableMemberInitExpression) | Visits a SerializableMemberInitExpression. (Overrides SerializableExpressionVisitor.VisitSerializableMemberInitExpression(SerializableMemberInitExpression).)
 | VisitSerializableMemberListBinding(SerializableMemberListBinding) | Visits a SerializableMemberListBinding. (Overrides SerializableExpressionVisitor.VisitSerializableMemberListBinding(SerializableMemberListBinding).)
 | VisitSerializableMemberMemberBinding(SerializableMemberMemberBinding) | Visits a SerializableMemberMemberBinding. (Overrides SerializableExpressionVisitor.VisitSerializableMemberMemberBinding(SerializableMemberMemberBinding).)
 | VisitSerializableMethodCallExpression(SerializableMethodCallExpression) | Visits a SerializableMethodCallExpression. (Overrides SerializableExpressionVisitor.VisitSerializableMethodCallExpression(SerializableMethodCallExpression).)
 | VisitSerializableNewArrayExpression(SerializableNewArrayExpression) | Visits a SerializableNewArrayExpression. (Overrides SerializableExpressionVisitor.VisitSerializableNewArrayExpression(SerializableNewArrayExpression).)
 | VisitSerializableNewExpression(SerializableNewExpression) | Visits a SerializableNewExpression. (Overrides SerializableExpressionVisitor.VisitSerializableNewExpression(SerializableNewExpression).)
 | VisitSerializableParameterExpression(SerializableParameterExpression) | Visits a SerializableParameterExpression. (Overrides SerializableExpressionVisitor.VisitSerializableParameterExpression(SerializableParameterExpression).)
 | VisitSerializableTypeBinaryExpression(SerializableTypeBinaryExpression) | Visits a SerializableTypeBinaryExpression. (Overrides SerializableExpressionVisitor.VisitSerializableTypeBinaryExpression(SerializableTypeBinaryExpression).)
 | VisitSerializableUnaryExpression(SerializableUnaryExpression) | Visits a SerializableUnaryExpression. (Overrides SerializableExpressionVisitor.VisitSerializableUnaryExpression(SerializableUnaryExpression).)
 | VisitUnknownSerializableExpression(SerializableExpression) | Visits a SerializableExpression. (Overrides SerializableExpressionVisitor.VisitUnknownSerializableExpression(SerializableExpression).)
Inheritance Hierarchy
Object
 | SerializableExpressionVisitor
 |  | SerializableExpressionConverter


SerializableExpressionConverter Constructor (expression, queryHandler)

SerializableExpressionConverter Constructor (expression, queryHandler)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► SerializableExpressionConverter(SerializableExpression, IQueryHandler)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpressionConverter(
    SerializableExpression expression,
    IQueryHandler queryHandler
)
Public Sub New ( _
    expression As SerializableExpression, _
    queryHandler As IQueryHandler _
)
public:
SerializableExpressionConverter(
    SerializableExpression^ expression,
    IQueryHandler^ queryHandler
)
Parameters
expression (SerializableExpression)
SerializableExpression to convert.
queryHandler (IQueryHandler)
IQueryHandler.


GetResultConstantExpression Method (expression)

GetResultConstantExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► GetResultConstantExpression(SerializableConstantExpression)
Executes a SerializableConstantExpression and returns the result.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object GetResultConstantExpression(
    SerializableConstantExpression expression
)
Protected Overrides Function GetResultConstantExpression ( _
    expression As SerializableConstantExpression _
) As Object
protected:
virtual Object^ GetResultConstantExpression(
    SerializableConstantExpression^ expression
) override
Parameters
expression (SerializableConstantExpression)
SerializableConstantExpression to convert.
Return Value
Returns the result of a SerializableConstantExpression.


GetResultMethodCallExpression Method (expression)

GetResultMethodCallExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► GetResultMethodCallExpression(SerializableMethodCallExpression)
Executes a SerializableMethodCallExpression and returns the result.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object GetResultMethodCallExpression(
    SerializableMethodCallExpression expression
)
Protected Overrides Function GetResultMethodCallExpression ( _
    expression As SerializableMethodCallExpression _
) As Object
protected:
virtual Object^ GetResultMethodCallExpression(
    SerializableMethodCallExpression^ expression
) override
Parameters
expression (SerializableMethodCallExpression)
SerializableMethodCallExpression to convert.
Return Value
Returns the result of a SerializableMethodCallExpression.


InvokeMethodCall Method (ex)

InvokeMethodCall Method (ex)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► InvokeMethodCall(SerializableMethodCallExpression)
Returns the return value of the method call in ex.
Declaration Syntax
C# Visual Basic Visual C++
protected Object InvokeMethodCall(
    SerializableMethodCallExpression ex
)
Protected Function InvokeMethodCall ( _
    ex As SerializableMethodCallExpression _
) As Object
protected:
Object^ InvokeMethodCall(
    SerializableMethodCallExpression^ ex
)
Parameters
ex (SerializableMethodCallExpression)
SerializableMethodCallExpression to invoke.
Return Value
Returns the return value of the method call in ex.


QueryHandler Property

QueryHandler Property
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► QueryHandler
Gets the QueryHandler.
Declaration Syntax
C# Visual Basic Visual C++
public IQueryHandler QueryHandler { get; }
Public ReadOnly Property QueryHandler As IQueryHandler
public:
property IQueryHandler^ QueryHandler {
    IQueryHandler^ get ();
}


VisitSerializableBinaryExpression Method (expression)

VisitSerializableBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableBinaryExpression(SerializableBinaryExpression)
Visits a SerializableBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableBinaryExpression(
    SerializableBinaryExpression expression
)
Protected Overrides Function VisitSerializableBinaryExpression ( _
    expression As SerializableBinaryExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableBinaryExpression(
    SerializableBinaryExpression^ expression
) override
Parameters
expression (SerializableBinaryExpression)
SerializableBinaryExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableConditionalExpression Method (expression)

VisitSerializableConditionalExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableConditionalExpression(SerializableConditionalExpression)
Visits a SerializableConditionalExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableConditionalExpression(
    SerializableConditionalExpression expression
)
Protected Overrides Function VisitSerializableConditionalExpression ( _
    expression As SerializableConditionalExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableConditionalExpression(
    SerializableConditionalExpression^ expression
) override
Parameters
expression (SerializableConditionalExpression)
SerializableConditionalExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableConstantExpression Method (expression)

VisitSerializableConstantExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableConstantExpression(SerializableConstantExpression)
Visits a SerializableConstantExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableConstantExpression(
    SerializableConstantExpression expression
)
Protected Overrides Function VisitSerializableConstantExpression ( _
    expression As SerializableConstantExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableConstantExpression(
    SerializableConstantExpression^ expression
) override
Parameters
expression (SerializableConstantExpression)
SerializableConstantExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableElementInit Method (elementInit)

VisitSerializableElementInit Method (elementInit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableElementInit(SerializableElementInit)
Visits a SerializableElementInit.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitSerializableElementInit(
    SerializableElementInit elementInit
)
Protected Overrides Function VisitSerializableElementInit ( _
    elementInit As SerializableElementInit _
) As Object
protected:
virtual Object^ VisitSerializableElementInit(
    SerializableElementInit^ elementInit
) override
Parameters
elementInit (SerializableElementInit)
SerializableElementInit to visit.
Return Value
Returns the converted object.


VisitSerializableExpressionTyped Method (expression)

VisitSerializableExpressionTyped<(Of <(T>)>) Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableExpressionTyped<(Of <(T>)>)(SerializableExpressionTyped)
Visits a SerializableExpressionTyped.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableExpressionTyped<T>(
    SerializableExpressionTyped expression
)
Protected Overrides Function VisitSerializableExpressionTyped(Of T) ( _
    expression As SerializableExpressionTyped _
) As Expression
protected:
generic<typename T>
virtual Expression^ VisitSerializableExpressionTyped(
    SerializableExpressionTyped^ expression
) override
Generic Template Parameters
T
Parameters
expression (SerializableExpressionTyped)
SerializableExpressionTyped to visit.
Return Value
Returns the converted Expression.


VisitSerializableInvocationExpression Method (expression)

VisitSerializableInvocationExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableInvocationExpression(SerializableInvocationExpression)
Visits a SerializableInvocationExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableInvocationExpression(
    SerializableInvocationExpression expression
)
Protected Overrides Function VisitSerializableInvocationExpression ( _
    expression As SerializableInvocationExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableInvocationExpression(
    SerializableInvocationExpression^ expression
) override
Parameters
expression (SerializableInvocationExpression)
SerializableInvocationExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableLambdaExpression Method (expression)

VisitSerializableLambdaExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableLambdaExpression(SerializableLambdaExpression)
Visits a SerializableLambdaExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableLambdaExpression(
    SerializableLambdaExpression expression
)
Protected Overrides Function VisitSerializableLambdaExpression ( _
    expression As SerializableLambdaExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableLambdaExpression(
    SerializableLambdaExpression^ expression
) override
Parameters
expression (SerializableLambdaExpression)
SerializableLambdaExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableListInitExpression Method (expression)

VisitSerializableListInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableListInitExpression(SerializableListInitExpression)
Visits a SerializableListInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableListInitExpression(
    SerializableListInitExpression expression
)
Protected Overrides Function VisitSerializableListInitExpression ( _
    expression As SerializableListInitExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableListInitExpression(
    SerializableListInitExpression^ expression
) override
Parameters
expression (SerializableListInitExpression)
SerializableListInitExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableMemberAssignment Method (memberAssignment)

VisitSerializableMemberAssignment Method (memberAssignment)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableMemberAssignment(SerializableMemberAssignment)
Visits a SerializableMemberAssignment.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitSerializableMemberAssignment(
    SerializableMemberAssignment memberAssignment
)
Protected Overrides Function VisitSerializableMemberAssignment ( _
    memberAssignment As SerializableMemberAssignment _
) As Object
protected:
virtual Object^ VisitSerializableMemberAssignment(
    SerializableMemberAssignment^ memberAssignment
) override
Parameters
memberAssignment (SerializableMemberAssignment)
SerializableMemberAssignment to visit.
Return Value
Returns the converted object.


VisitSerializableMemberExpression Method (expression)

VisitSerializableMemberExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableMemberExpression(SerializableMemberExpression)
Visits a SerializableMemberExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableMemberExpression(
    SerializableMemberExpression expression
)
Protected Overrides Function VisitSerializableMemberExpression ( _
    expression As SerializableMemberExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableMemberExpression(
    SerializableMemberExpression^ expression
) override
Parameters
expression (SerializableMemberExpression)
SerializableMemberExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableMemberInitExpression Method (expression)

VisitSerializableMemberInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableMemberInitExpression(SerializableMemberInitExpression)
Visits a SerializableMemberInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableMemberInitExpression(
    SerializableMemberInitExpression expression
)
Protected Overrides Function VisitSerializableMemberInitExpression ( _
    expression As SerializableMemberInitExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableMemberInitExpression(
    SerializableMemberInitExpression^ expression
) override
Parameters
expression (SerializableMemberInitExpression)
SerializableMemberInitExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableMemberListBinding Method (memberListBinding)

VisitSerializableMemberListBinding Method (memberListBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableMemberListBinding(SerializableMemberListBinding)
Visits a SerializableMemberListBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitSerializableMemberListBinding(
    SerializableMemberListBinding memberListBinding
)
Protected Overrides Function VisitSerializableMemberListBinding ( _
    memberListBinding As SerializableMemberListBinding _
) As Object
protected:
virtual Object^ VisitSerializableMemberListBinding(
    SerializableMemberListBinding^ memberListBinding
) override
Parameters
memberListBinding (SerializableMemberListBinding)
SerializableMemberListBinding to visit.
Return Value
Returns the converted object.


VisitSerializableMemberMemberBinding Method (memberMemberBinding)

VisitSerializableMemberMemberBinding Method (memberMemberBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableMemberMemberBinding(SerializableMemberMemberBinding)
Visits a SerializableMemberMemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected override Object VisitSerializableMemberMemberBinding(
    SerializableMemberMemberBinding memberMemberBinding
)
Protected Overrides Function VisitSerializableMemberMemberBinding ( _
    memberMemberBinding As SerializableMemberMemberBinding _
) As Object
protected:
virtual Object^ VisitSerializableMemberMemberBinding(
    SerializableMemberMemberBinding^ memberMemberBinding
) override
Parameters
memberMemberBinding (SerializableMemberMemberBinding)
SerializableMemberMemberBinding to visit.
Return Value
Returns the converted object.


VisitSerializableMethodCallExpression Method (expression)

VisitSerializableMethodCallExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableMethodCallExpression(SerializableMethodCallExpression)
Visits a SerializableMethodCallExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableMethodCallExpression(
    SerializableMethodCallExpression expression
)
Protected Overrides Function VisitSerializableMethodCallExpression ( _
    expression As SerializableMethodCallExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableMethodCallExpression(
    SerializableMethodCallExpression^ expression
) override
Parameters
expression (SerializableMethodCallExpression)
SerializableMethodCallExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableNewArrayExpression Method (expression)

VisitSerializableNewArrayExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableNewArrayExpression(SerializableNewArrayExpression)
Visits a SerializableNewArrayExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableNewArrayExpression(
    SerializableNewArrayExpression expression
)
Protected Overrides Function VisitSerializableNewArrayExpression ( _
    expression As SerializableNewArrayExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableNewArrayExpression(
    SerializableNewArrayExpression^ expression
) override
Parameters
expression (SerializableNewArrayExpression)
SerializableNewArrayExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableNewExpression Method (expression)

VisitSerializableNewExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableNewExpression(SerializableNewExpression)
Visits a SerializableNewExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableNewExpression(
    SerializableNewExpression expression
)
Protected Overrides Function VisitSerializableNewExpression ( _
    expression As SerializableNewExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableNewExpression(
    SerializableNewExpression^ expression
) override
Parameters
expression (SerializableNewExpression)
SerializableNewExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableParameterExpression Method (expression)

VisitSerializableParameterExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableParameterExpression(SerializableParameterExpression)
Visits a SerializableParameterExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableParameterExpression(
    SerializableParameterExpression expression
)
Protected Overrides Function VisitSerializableParameterExpression ( _
    expression As SerializableParameterExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableParameterExpression(
    SerializableParameterExpression^ expression
) override
Parameters
expression (SerializableParameterExpression)
SerializableParameterExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableTypeBinaryExpression Method (expression)

VisitSerializableTypeBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableTypeBinaryExpression(SerializableTypeBinaryExpression)
Visits a SerializableTypeBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableTypeBinaryExpression(
    SerializableTypeBinaryExpression expression
)
Protected Overrides Function VisitSerializableTypeBinaryExpression ( _
    expression As SerializableTypeBinaryExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableTypeBinaryExpression(
    SerializableTypeBinaryExpression^ expression
) override
Parameters
expression (SerializableTypeBinaryExpression)
SerializableTypeBinaryExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableUnaryExpression Method (expression)

VisitSerializableUnaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitSerializableUnaryExpression(SerializableUnaryExpression)
Visits a SerializableUnaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitSerializableUnaryExpression(
    SerializableUnaryExpression expression
)
Protected Overrides Function VisitSerializableUnaryExpression ( _
    expression As SerializableUnaryExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableUnaryExpression(
    SerializableUnaryExpression^ expression
) override
Parameters
expression (SerializableUnaryExpression)
SerializableUnaryExpression to visit.
Return Value
Returns the converted Expression.


VisitUnknownSerializableExpression Method (expression)

VisitUnknownSerializableExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► VisitUnknownSerializableExpression(SerializableExpression)
Visits a SerializableExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected override Expression VisitUnknownSerializableExpression(
    SerializableExpression expression
)
Protected Overrides Function VisitUnknownSerializableExpression ( _
    expression As SerializableExpression _
) As Expression
protected:
virtual Expression^ VisitUnknownSerializableExpression(
    SerializableExpression^ expression
) override
Parameters
expression (SerializableExpression)
SerializableExpression to visit.
Return Value
Returns the converted Expression.


SerializableExpressionVisitor Class

SerializableExpressionVisitor Class
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor
This is a basic visitor for serializable expressions.
Declaration Syntax
C# Visual Basic Visual C++
public abstract class SerializableExpressionVisitor
Public MustInherit Class SerializableExpressionVisitor
public ref class SerializableExpressionVisitor abstract
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableExpressionVisitor(SerializableExpression) | Initializes this class.
 | Equals(Object) | (Inherited from Object.)
 | ExpressionToConvert | Gets the ExpressionToConvert.
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetResultConstantExpression(SerializableConstantExpression) | Executes a SerializableConstantExpression and returns the result.
 | GetResultMethodCallExpression(SerializableMethodCallExpression) | Executes a SerializableMethodCallExpression and returns the result.
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
 | Visit()()() | Visits the SerializableExpression tree to convert and returns the converted Expression.
 | Visit(SerializableExpression) | Returns an Expression by visiting and converting expression.
 | VisitCollection<(Of <(T>)>)(IEnumerable) | Returns an IEnumerable<(Of <(T>)>). Each element in enumerable will be visited by calling Visit<T>.
 | VisitObject<(Of <(T>)>)(Object) | Returns the value of the object.
 | VisitObjectCollection<(Of <(T>)>)(IEnumerable) | Returns an IEnumerable<(Of <(T>)>). Each element in enumerable will be visited by calling VisitObject<(Of <(T>)>)(Object).
 | VisitResult(SerializableExpression) | Returns the value of the Expression.
 | VisitSerializableBinaryExpression(SerializableBinaryExpression) | Visits a SerializableBinaryExpression.
 | VisitSerializableConditionalExpression(SerializableConditionalExpression) | Visits a SerializableConditionalExpression.
 | VisitSerializableConstantExpression(SerializableConstantExpression) | Visits a SerializableConstantExpression.
 | VisitSerializableElementInit(SerializableElementInit) | Visits a SerializableElementInit.
 | VisitSerializableExpressionTyped<(Of <(T>)>)(SerializableExpressionTyped) | Visits a SerializableExpressionTyped.
 | VisitSerializableInvocationExpression(SerializableInvocationExpression) | Visits a SerializableInvocationExpression.
 | VisitSerializableLambdaExpression(SerializableLambdaExpression) | Visits a SerializableLambdaExpression.
 | VisitSerializableListInitExpression(SerializableListInitExpression) | Visits a SerializableListInitExpression.
 | VisitSerializableMemberAssignment(SerializableMemberAssignment) | Visits a SerializableMemberAssignment.
 | VisitSerializableMemberExpression(SerializableMemberExpression) | Visits a SerializableMemberExpression.
 | VisitSerializableMemberInitExpression(SerializableMemberInitExpression) | Visits a SerializableMemberInitExpression.
 | VisitSerializableMemberListBinding(SerializableMemberListBinding) | Visits a SerializableMemberListBinding.
 | VisitSerializableMemberMemberBinding(SerializableMemberMemberBinding) | Visits a SerializableMemberMemberBinding.
 | VisitSerializableMethodCallExpression(SerializableMethodCallExpression) | Visits a SerializableMethodCallExpression.
 | VisitSerializableNewArrayExpression(SerializableNewArrayExpression) | Visits a SerializableNewArrayExpression.
 | VisitSerializableNewExpression(SerializableNewExpression) | Visits a SerializableNewExpression.
 | VisitSerializableParameterExpression(SerializableParameterExpression) | Visits a SerializableParameterExpression.
 | VisitSerializableTypeBinaryExpression(SerializableTypeBinaryExpression) | Visits a SerializableTypeBinaryExpression.
 | VisitSerializableUnaryExpression(SerializableUnaryExpression) | Visits a SerializableUnaryExpression.
 | VisitUnknownSerializableExpression(SerializableExpression) | Visits a SerializableExpression.
Inheritance Hierarchy
Object
 | SerializableExpressionVisitor
 |  | SerializableExpressionConverter


SerializableExpressionVisitor Constructor (expression)

SerializableExpressionVisitor Constructor (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► SerializableExpressionVisitor(SerializableExpression)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpressionVisitor(
    SerializableExpression expression
)
Public Sub New ( _
    expression As SerializableExpression _
)
public:
SerializableExpressionVisitor(
    SerializableExpression^ expression
)
Parameters
expression (SerializableExpression)
SerializableExpression to convert.


ExpressionToConvert Property

ExpressionToConvert Property
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► ExpressionToConvert
Gets the ExpressionToConvert.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression ExpressionToConvert { get; }
Public ReadOnly Property ExpressionToConvert As SerializableExpression
public:
property SerializableExpression^ ExpressionToConvert {
    SerializableExpression^ get ();
}


GetResultConstantExpression Method (expression)

GetResultConstantExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► GetResultConstantExpression(SerializableConstantExpression)
Executes a SerializableConstantExpression and returns the result.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object GetResultConstantExpression(
    SerializableConstantExpression expression
)
Protected MustOverride Function GetResultConstantExpression ( _
    expression As SerializableConstantExpression _
) As Object
protected:
virtual Object^ GetResultConstantExpression(
    SerializableConstantExpression^ expression
) abstract
Parameters
expression (SerializableConstantExpression)
SerializableConstantExpression to convert.
Return Value
Returns the result of a SerializableConstantExpression.


GetResultMethodCallExpression Method (expression)

GetResultMethodCallExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► GetResultMethodCallExpression(SerializableMethodCallExpression)
Executes a SerializableMethodCallExpression and returns the result.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object GetResultMethodCallExpression(
    SerializableMethodCallExpression expression
)
Protected MustOverride Function GetResultMethodCallExpression ( _
    expression As SerializableMethodCallExpression _
) As Object
protected:
virtual Object^ GetResultMethodCallExpression(
    SerializableMethodCallExpression^ expression
) abstract
Parameters
expression (SerializableMethodCallExpression)
SerializableMethodCallExpression to convert.
Return Value
Returns the result of a SerializableMethodCallExpression.


Visit Method

Visit Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► Visit()()()
Members
Icon | Member | Description
 | Visit()()() | Visits the SerializableExpression tree to convert and returns the converted Expression.
 | Visit(SerializableExpression) | Returns an Expression by visiting and converting expression.


Visit Method

Visit Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► Visit()()()
Visits the SerializableExpression tree to convert and returns the converted Expression.
Declaration Syntax
C# Visual Basic Visual C++
public Object Visit()
Public Function Visit As Object
public:
Object^ Visit()
Return Value
Returns the converted Expression.


Visit Method (expression)

Visit Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► Visit(SerializableExpression)
Returns an Expression by visiting and converting expression.
Declaration Syntax
C# Visual Basic Visual C++
public Expression Visit(
    SerializableExpression expression
)
Public Function Visit ( _
    expression As SerializableExpression _
) As Expression
public:
Expression^ Visit(
    SerializableExpression^ expression
)
Parameters
expression (SerializableExpression)
SerializableExpression to visit.
Return Value
Returns an Expression by visiting and converting expression.


VisitCollection Method (enumerable)

VisitCollection<(Of <(T>)>) Method (enumerable)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitCollection<(Of <(T>)>)(IEnumerable)
Returns an IEnumerable<(Of <(T>)>). Each element in enumerable will be visited by calling Visit<T>.
Declaration Syntax
C# Visual Basic Visual C++
public IEnumerable<T> VisitCollection<T>(
    IEnumerable enumerable
) where T : Expression
Public Function VisitCollection(Of T As Expression) ( _
    enumerable As IEnumerable _
) As IEnumerable(Of T)
public:
generic<typename T>
where T : Expression
IEnumerable<T>^ VisitCollection(
    IEnumerable^ enumerable
)
Generic Template Parameters
T
Generic argument of the returned IEnumerable.
Parameters
enumerable (IEnumerable)
IEnumerable<(Of <(T>)>) to visit.
Return Value
Returns an IEnumerable<(Of <(T>)>).


VisitObject Method (otherObject)

VisitObject<(Of <(T>)>) Method (otherObject)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitObject<(Of <(T>)>)(Object)
Returns the value of the object.
Declaration Syntax
C# Visual Basic Visual C++
protected T VisitObject<T>(
    Object otherObject
) where T : class
Protected Function VisitObject(Of T As Class) ( _
    otherObject As Object _
) As T
protected:
generic<typename T>
where T : ref class
T VisitObject(
    Object^ otherObject
)
Generic Template Parameters
T
Return Type.
Parameters
otherObject (Object)
object to visit.
Return Value
Returns the value of the object.


VisitObjectCollection Method (enumerable)

VisitObjectCollection<(Of <(T>)>) Method (enumerable)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitObjectCollection<(Of <(T>)>)(IEnumerable)
Returns an IEnumerable<(Of <(T>)>). Each element in enumerable will be visited by calling VisitObject<(Of <(T>)>)(Object).
Declaration Syntax
C# Visual Basic Visual C++
protected IEnumerable<T> VisitObjectCollection<T>(
    IEnumerable enumerable
) where T : class
Protected Function VisitObjectCollection(Of T As Class) ( _
    enumerable As IEnumerable _
) As IEnumerable(Of T)
protected:
generic<typename T>
where T : ref class
IEnumerable<T>^ VisitObjectCollection(
    IEnumerable^ enumerable
)
Generic Template Parameters
T
Generic argument of the returned IEnumerable.
Parameters
enumerable (IEnumerable)
IEnumerable<(Of <(T>)>) to visit.
Return Value
Returns an IEnumerable<(Of <(T>)>).


VisitResult Method (expression)

VisitResult Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitResult(SerializableExpression)
Returns the value of the Expression.
Declaration Syntax
C# Visual Basic Visual C++
public Object VisitResult(
    SerializableExpression expression
)
Public Function VisitResult ( _
    expression As SerializableExpression _
) As Object
public:
Object^ VisitResult(
    SerializableExpression^ expression
)
Parameters
expression (SerializableExpression)
Expression to visit.
Return Value
Returns the value of the Expression.


VisitSerializableBinaryExpression Method (expression)

VisitSerializableBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableBinaryExpression(SerializableBinaryExpression)
Visits a SerializableBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableBinaryExpression(
    SerializableBinaryExpression expression
)
Protected MustOverride Function VisitSerializableBinaryExpression ( _
    expression As SerializableBinaryExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableBinaryExpression(
    SerializableBinaryExpression^ expression
) abstract
Parameters
expression (SerializableBinaryExpression)
SerializableBinaryExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableConditionalExpression Method (expression)

VisitSerializableConditionalExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableConditionalExpression(SerializableConditionalExpression)
Visits a SerializableConditionalExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableConditionalExpression(
    SerializableConditionalExpression expression
)
Protected MustOverride Function VisitSerializableConditionalExpression ( _
    expression As SerializableConditionalExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableConditionalExpression(
    SerializableConditionalExpression^ expression
) abstract
Parameters
expression (SerializableConditionalExpression)
SerializableConditionalExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableConstantExpression Method (expression)

VisitSerializableConstantExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableConstantExpression(SerializableConstantExpression)
Visits a SerializableConstantExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableConstantExpression(
    SerializableConstantExpression expression
)
Protected MustOverride Function VisitSerializableConstantExpression ( _
    expression As SerializableConstantExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableConstantExpression(
    SerializableConstantExpression^ expression
) abstract
Parameters
expression (SerializableConstantExpression)
SerializableConstantExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableElementInit Method (elementInit)

VisitSerializableElementInit Method (elementInit)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableElementInit(SerializableElementInit)
Visits a SerializableElementInit.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitSerializableElementInit(
    SerializableElementInit elementInit
)
Protected MustOverride Function VisitSerializableElementInit ( _
    elementInit As SerializableElementInit _
) As Object
protected:
virtual Object^ VisitSerializableElementInit(
    SerializableElementInit^ elementInit
) abstract
Parameters
elementInit (SerializableElementInit)
SerializableElementInit to visit.
Return Value
Returns the converted object.


VisitSerializableExpressionTyped Method (expression)

VisitSerializableExpressionTyped<(Of <(T>)>) Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableExpressionTyped<(Of <(T>)>)(SerializableExpressionTyped)
Visits a SerializableExpressionTyped.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableExpressionTyped<T>(
    SerializableExpressionTyped expression
)
Protected MustOverride Function VisitSerializableExpressionTyped(Of T) ( _
    expression As SerializableExpressionTyped _
) As Expression
protected:
generic<typename T>
virtual Expression^ VisitSerializableExpressionTyped(
    SerializableExpressionTyped^ expression
) abstract
Generic Template Parameters
T
Parameters
expression (SerializableExpressionTyped)
SerializableExpressionTyped to visit.
Return Value
Returns the converted Expression.


VisitSerializableInvocationExpression Method (expression)

VisitSerializableInvocationExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableInvocationExpression(SerializableInvocationExpression)
Visits a SerializableInvocationExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableInvocationExpression(
    SerializableInvocationExpression expression
)
Protected MustOverride Function VisitSerializableInvocationExpression ( _
    expression As SerializableInvocationExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableInvocationExpression(
    SerializableInvocationExpression^ expression
) abstract
Parameters
expression (SerializableInvocationExpression)
SerializableInvocationExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableLambdaExpression Method (expression)

VisitSerializableLambdaExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableLambdaExpression(SerializableLambdaExpression)
Visits a SerializableLambdaExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableLambdaExpression(
    SerializableLambdaExpression expression
)
Protected MustOverride Function VisitSerializableLambdaExpression ( _
    expression As SerializableLambdaExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableLambdaExpression(
    SerializableLambdaExpression^ expression
) abstract
Parameters
expression (SerializableLambdaExpression)
SerializableLambdaExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableListInitExpression Method (expression)

VisitSerializableListInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableListInitExpression(SerializableListInitExpression)
Visits a SerializableListInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableListInitExpression(
    SerializableListInitExpression expression
)
Protected MustOverride Function VisitSerializableListInitExpression ( _
    expression As SerializableListInitExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableListInitExpression(
    SerializableListInitExpression^ expression
) abstract
Parameters
expression (SerializableListInitExpression)
SerializableListInitExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableMemberAssignment Method (memberAssignment)

VisitSerializableMemberAssignment Method (memberAssignment)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableMemberAssignment(SerializableMemberAssignment)
Visits a SerializableMemberAssignment.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitSerializableMemberAssignment(
    SerializableMemberAssignment memberAssignment
)
Protected MustOverride Function VisitSerializableMemberAssignment ( _
    memberAssignment As SerializableMemberAssignment _
) As Object
protected:
virtual Object^ VisitSerializableMemberAssignment(
    SerializableMemberAssignment^ memberAssignment
) abstract
Parameters
memberAssignment (SerializableMemberAssignment)
SerializableMemberAssignment to visit.
Return Value
Returns the converted object.


VisitSerializableMemberExpression Method (expression)

VisitSerializableMemberExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableMemberExpression(SerializableMemberExpression)
Visits a SerializableMemberExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableMemberExpression(
    SerializableMemberExpression expression
)
Protected MustOverride Function VisitSerializableMemberExpression ( _
    expression As SerializableMemberExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableMemberExpression(
    SerializableMemberExpression^ expression
) abstract
Parameters
expression (SerializableMemberExpression)
SerializableMemberExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableMemberInitExpression Method (expression)

VisitSerializableMemberInitExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableMemberInitExpression(SerializableMemberInitExpression)
Visits a SerializableMemberInitExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableMemberInitExpression(
    SerializableMemberInitExpression expression
)
Protected MustOverride Function VisitSerializableMemberInitExpression ( _
    expression As SerializableMemberInitExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableMemberInitExpression(
    SerializableMemberInitExpression^ expression
) abstract
Parameters
expression (SerializableMemberInitExpression)
SerializableMemberInitExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableMemberListBinding Method (memberListBinding)

VisitSerializableMemberListBinding Method (memberListBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableMemberListBinding(SerializableMemberListBinding)
Visits a SerializableMemberListBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitSerializableMemberListBinding(
    SerializableMemberListBinding memberListBinding
)
Protected MustOverride Function VisitSerializableMemberListBinding ( _
    memberListBinding As SerializableMemberListBinding _
) As Object
protected:
virtual Object^ VisitSerializableMemberListBinding(
    SerializableMemberListBinding^ memberListBinding
) abstract
Parameters
memberListBinding (SerializableMemberListBinding)
SerializableMemberListBinding to visit.
Return Value
Returns the converted object.


VisitSerializableMemberMemberBinding Method (memberMemberBinding)

VisitSerializableMemberMemberBinding Method (memberMemberBinding)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableMemberMemberBinding(SerializableMemberMemberBinding)
Visits a SerializableMemberMemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Object VisitSerializableMemberMemberBinding(
    SerializableMemberMemberBinding memberMemberBinding
)
Protected MustOverride Function VisitSerializableMemberMemberBinding ( _
    memberMemberBinding As SerializableMemberMemberBinding _
) As Object
protected:
virtual Object^ VisitSerializableMemberMemberBinding(
    SerializableMemberMemberBinding^ memberMemberBinding
) abstract
Parameters
memberMemberBinding (SerializableMemberMemberBinding)
SerializableMemberMemberBinding to visit.
Return Value
Returns the converted object.


VisitSerializableMethodCallExpression Method (expression)

VisitSerializableMethodCallExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableMethodCallExpression(SerializableMethodCallExpression)
Visits a SerializableMethodCallExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableMethodCallExpression(
    SerializableMethodCallExpression expression
)
Protected MustOverride Function VisitSerializableMethodCallExpression ( _
    expression As SerializableMethodCallExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableMethodCallExpression(
    SerializableMethodCallExpression^ expression
) abstract
Parameters
expression (SerializableMethodCallExpression)
SerializableMethodCallExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableNewArrayExpression Method (expression)

VisitSerializableNewArrayExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableNewArrayExpression(SerializableNewArrayExpression)
Visits a SerializableNewArrayExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableNewArrayExpression(
    SerializableNewArrayExpression expression
)
Protected MustOverride Function VisitSerializableNewArrayExpression ( _
    expression As SerializableNewArrayExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableNewArrayExpression(
    SerializableNewArrayExpression^ expression
) abstract
Parameters
expression (SerializableNewArrayExpression)
SerializableNewArrayExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableNewExpression Method (expression)

VisitSerializableNewExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableNewExpression(SerializableNewExpression)
Visits a SerializableNewExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableNewExpression(
    SerializableNewExpression expression
)
Protected MustOverride Function VisitSerializableNewExpression ( _
    expression As SerializableNewExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableNewExpression(
    SerializableNewExpression^ expression
) abstract
Parameters
expression (SerializableNewExpression)
SerializableNewExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableParameterExpression Method (expression)

VisitSerializableParameterExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableParameterExpression(SerializableParameterExpression)
Visits a SerializableParameterExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableParameterExpression(
    SerializableParameterExpression expression
)
Protected MustOverride Function VisitSerializableParameterExpression ( _
    expression As SerializableParameterExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableParameterExpression(
    SerializableParameterExpression^ expression
) abstract
Parameters
expression (SerializableParameterExpression)
SerializableParameterExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableTypeBinaryExpression Method (expression)

VisitSerializableTypeBinaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableTypeBinaryExpression(SerializableTypeBinaryExpression)
Visits a SerializableTypeBinaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableTypeBinaryExpression(
    SerializableTypeBinaryExpression expression
)
Protected MustOverride Function VisitSerializableTypeBinaryExpression ( _
    expression As SerializableTypeBinaryExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableTypeBinaryExpression(
    SerializableTypeBinaryExpression^ expression
) abstract
Parameters
expression (SerializableTypeBinaryExpression)
SerializableTypeBinaryExpression to visit.
Return Value
Returns the converted Expression.


VisitSerializableUnaryExpression Method (expression)

VisitSerializableUnaryExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitSerializableUnaryExpression(SerializableUnaryExpression)
Visits a SerializableUnaryExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitSerializableUnaryExpression(
    SerializableUnaryExpression expression
)
Protected MustOverride Function VisitSerializableUnaryExpression ( _
    expression As SerializableUnaryExpression _
) As Expression
protected:
virtual Expression^ VisitSerializableUnaryExpression(
    SerializableUnaryExpression^ expression
) abstract
Parameters
expression (SerializableUnaryExpression)
SerializableUnaryExpression to visit.
Return Value
Returns the converted Expression.


VisitUnknownSerializableExpression Method (expression)

VisitUnknownSerializableExpression Method (expression)
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionVisitor ► VisitUnknownSerializableExpression(SerializableExpression)
Visits a SerializableExpression.
Declaration Syntax
C# Visual Basic Visual C++
protected abstract Expression VisitUnknownSerializableExpression(
    SerializableExpression expression
)
Protected MustOverride Function VisitUnknownSerializableExpression ( _
    expression As SerializableExpression _
) As Expression
protected:
virtual Expression^ VisitUnknownSerializableExpression(
    SerializableExpression^ expression
) abstract
Parameters
expression (SerializableExpression)
SerializableExpression to visit.
Return Value
Returns the converted Expression.


InterLinq.Expressions.SerializableTypes Namespace

InterLinq.Expressions.SerializableTypes Namespace
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes

This namespace contains a few serializable classes used by serializable expressions.
The main difference between this classes and these in InterLinq.Expressions is that this classes do not extend SerializableExpression.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Expressions.SerializableTypes
Namespace InterLinq.Expressions.SerializableTypes
namespace InterLinq.Expressions.SerializableTypes
Types
All Types Classes
Icon | Type | Description
 | SerializableElementInit | A serializable version of ElementInit.
 | SerializableMemberAssignment | A serializable version of MemberAssignment.
 | SerializableMemberBinding | A serializable version of MemberBinding.
 | SerializableMemberListBinding | A serializable version of MemberListBinding.
 | SerializableMemberMemberBinding | A serializable version of MemberMemberBinding.


SerializableElementInit Class

SerializableElementInit Class
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableElementInit
A serializable version of ElementInit.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableElementInit
<SerializableAttribute> _
Public Class SerializableElementInit
[SerializableAttribute]
public ref class SerializableElementInit
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableElementInit()()() | Default constructor for serialization.
 | SerializableElementInit(ElementInit, ExpressionConverter) | Constructor with an ElementInit and an ExpressionConverter.
 | AddMethod | See AddMethod
 | Arguments | See Arguments
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | Returns a string representing the ElementInit. (Overrides Object.ToString()()().)
Inheritance Hierarchy
Object
SerializableElementInit


SerializableElementInit Constructor

SerializableElementInit Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableElementInit ► SerializableElementInit()()()
Members
Icon | Member | Description
 | SerializableElementInit()()() | Default constructor for serialization.
 | SerializableElementInit(ElementInit, ExpressionConverter) | Constructor with an ElementInit and an ExpressionConverter.


SerializableElementInit Constructor

SerializableElementInit Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableElementInit ► SerializableElementInit()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableElementInit()
Public Sub New
public:
SerializableElementInit()


SerializableElementInit Constructor (elementInit, expConverter)

SerializableElementInit Constructor (elementInit, expConverter)
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableElementInit ► SerializableElementInit(ElementInit, ExpressionConverter)
Constructor with an ElementInit and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableElementInit(
    ElementInit elementInit,
    ExpressionConverter expConverter
)
Public Sub New ( _
    elementInit As ElementInit, _
    expConverter As ExpressionConverter _
)
public:
SerializableElementInit(
    ElementInit^ elementInit,
    ExpressionConverter^ expConverter
)
Parameters
elementInit (ElementInit)
The original, not serializable ElementInit.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


AddMethod Property

AddMethod Property
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableElementInit ► AddMethod
See AddMethod
Declaration Syntax
C# Visual Basic Visual C++
public MethodInfo AddMethod { get; set; }
Public Property AddMethod As MethodInfo
public:
property MethodInfo^ AddMethod {
    MethodInfo^ get ();
    void set (MethodInfo^ value);
}


Arguments Property

Arguments Property
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableElementInit ► Arguments
See Arguments
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableExpression> Arguments { get; set; }
Public Property Arguments As ReadOnlyCollection(Of SerializableExpression)
public:
property ReadOnlyCollection<SerializableExpression^>^ Arguments {
    ReadOnlyCollection<SerializableExpression^>^ get ();
    void set (ReadOnlyCollection<SerializableExpression^>^ value);
}


ToString Method

ToString Method
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableElementInit ► ToString()()()
Returns a string representing the ElementInit.
Declaration Syntax
C# Visual Basic Visual C++
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
Return Value
Returns a string representing this object.


SerializableMemberAssignment Class

SerializableMemberAssignment Class
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberAssignment
A serializable version of MemberAssignment.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableMemberAssignment : SerializableMemberBinding
<SerializableAttribute> _
Public Class SerializableMemberAssignment _
    Inherits SerializableMemberBinding
[SerializableAttribute]
public ref class SerializableMemberAssignment : public SerializableMemberBinding
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableMemberAssignment()()() | Default constructor for serialization.
 | SerializableMemberAssignment(MemberAssignment, ExpressionConverter) | Constructor with an MemberAssignment and an ExpressionConverter.
 | BindingType | See BindingType (Inherited from SerializableMemberBinding.)
 | Equals(Object) | (Inherited from Object.)
 | Expression | See Expression
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | Member | See Member (Inherited from SerializableMemberBinding.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | Returns a string representing the MemberBinding. (Inherited from SerializableMemberBinding.)
Inheritance Hierarchy
Object
 | SerializableMemberBinding
 |  | SerializableMemberAssignment


SerializableMemberAssignment Constructor

SerializableMemberAssignment Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberAssignment ► SerializableMemberAssignment()()()
Members
Icon | Member | Description
 | SerializableMemberAssignment()()() | Default constructor for serialization.
 | SerializableMemberAssignment(MemberAssignment, ExpressionConverter) | Constructor with an MemberAssignment and an ExpressionConverter.


SerializableMemberAssignment Constructor

SerializableMemberAssignment Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberAssignment ► SerializableMemberAssignment()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberAssignment()
Public Sub New
public:
SerializableMemberAssignment()


SerializableMemberAssignment Constructor (memberAssignment, expConverter)

SerializableMemberAssignment Constructor (memberAssignment, expConverter)
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberAssignment ► SerializableMemberAssignment(MemberAssignment, ExpressionConverter)
Constructor with an MemberAssignment and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberAssignment(
    MemberAssignment memberAssignment,
    ExpressionConverter expConverter
)
Public Sub New ( _
    memberAssignment As MemberAssignment, _
    expConverter As ExpressionConverter _
)
public:
SerializableMemberAssignment(
    MemberAssignment^ memberAssignment,
    ExpressionConverter^ expConverter
)
Parameters
memberAssignment (MemberAssignment)
The original, not serializable MemberBinding.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Expression Property

Expression Property
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberAssignment ► Expression
See Expression
Declaration Syntax
C# Visual Basic Visual C++
public SerializableExpression Expression { get; set; }
Public Property Expression As SerializableExpression
public:
property SerializableExpression^ Expression {
    SerializableExpression^ get ();
    void set (SerializableExpression^ value);
}


SerializableMemberBinding Class

SerializableMemberBinding Class
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberBinding
A serializable version of MemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public abstract class SerializableMemberBinding
<SerializableAttribute> _
Public MustInherit Class SerializableMemberBinding
[SerializableAttribute]
public ref class SerializableMemberBinding abstract
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableMemberBinding()()() | Default constructor for serialization.
 | SerializableMemberBinding(MemberBinding, ExpressionConverter) | Constructor with an MemberBinding and an ExpressionConverter.
 | BindingType | See BindingType
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | Member | See Member
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | Returns a string representing the MemberBinding. (Overrides Object.ToString()()().)
Inheritance Hierarchy
Object
 | SerializableMemberBinding
 |  | SerializableMemberMemberBinding
 |  | SerializableMemberAssignment
 |  | SerializableMemberListBinding


SerializableMemberBinding Constructor

SerializableMemberBinding Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberBinding ► SerializableMemberBinding()()()
Members
Icon | Member | Description
 | SerializableMemberBinding()()() | Default constructor for serialization.
 | SerializableMemberBinding(MemberBinding, ExpressionConverter) | Constructor with an MemberBinding and an ExpressionConverter.


SerializableMemberBinding Constructor

SerializableMemberBinding Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberBinding ► SerializableMemberBinding()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberBinding()
Public Sub New
public:
SerializableMemberBinding()


SerializableMemberBinding Constructor (memberBinding, expConverter)

SerializableMemberBinding Constructor (memberBinding, expConverter)
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberBinding ► SerializableMemberBinding(MemberBinding, ExpressionConverter)
Constructor with an MemberBinding and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberBinding(
    MemberBinding memberBinding,
    ExpressionConverter expConverter
)
Public Sub New ( _
    memberBinding As MemberBinding, _
    expConverter As ExpressionConverter _
)
public:
SerializableMemberBinding(
    MemberBinding^ memberBinding,
    ExpressionConverter^ expConverter
)
Parameters
memberBinding (MemberBinding)
The original, not serializable MemberBinding.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


BindingType Property

BindingType Property
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberBinding ► BindingType
See BindingType
Declaration Syntax
C# Visual Basic Visual C++
public MemberBindingType BindingType { get; set; }
Public Property BindingType As MemberBindingType
public:
property MemberBindingType BindingType {
    MemberBindingType get ();
    void set (MemberBindingType value);
}


Member Property

Member Property
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberBinding ► Member
See Member
Declaration Syntax
C# Visual Basic Visual C++
public MemberInfo Member { get; set; }
Public Property Member As MemberInfo
public:
property MemberInfo^ Member {
    MemberInfo^ get ();
    void set (MemberInfo^ value);
}


ToString Method

ToString Method
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberBinding ► ToString()()()
Returns a string representing the MemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
Return Value
Returns a string representing the MemberBinding.


SerializableMemberListBinding Class

SerializableMemberListBinding Class
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberListBinding
A serializable version of MemberListBinding.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableMemberListBinding : SerializableMemberBinding
<SerializableAttribute> _
Public Class SerializableMemberListBinding _
    Inherits SerializableMemberBinding
[SerializableAttribute]
public ref class SerializableMemberListBinding : public SerializableMemberBinding
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableMemberListBinding()()() | Default constructor for serialization.
 | SerializableMemberListBinding(MemberListBinding, ExpressionConverter) | Constructor with an MemberListBinding and an ExpressionConverter.
 | BindingType | See BindingType (Inherited from SerializableMemberBinding.)
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | Initializers | See Initializers
 | Member | See Member (Inherited from SerializableMemberBinding.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | Returns a string representing the MemberBinding. (Inherited from SerializableMemberBinding.)
Inheritance Hierarchy
Object
 | SerializableMemberBinding
 |  | SerializableMemberListBinding


SerializableMemberListBinding Constructor

SerializableMemberListBinding Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberListBinding ► SerializableMemberListBinding()()()
Members
Icon | Member | Description
 | SerializableMemberListBinding()()() | Default constructor for serialization.
 | SerializableMemberListBinding(MemberListBinding, ExpressionConverter) | Constructor with an MemberListBinding and an ExpressionConverter.


SerializableMemberListBinding Constructor

SerializableMemberListBinding Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberListBinding ► SerializableMemberListBinding()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberListBinding()
Public Sub New
public:
SerializableMemberListBinding()


SerializableMemberListBinding Constructor (memberListBinding, expConverter)

SerializableMemberListBinding Constructor (memberListBinding, expConverter)
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberListBinding ► SerializableMemberListBinding(MemberListBinding, ExpressionConverter)
Constructor with an MemberListBinding and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberListBinding(
    MemberListBinding memberListBinding,
    ExpressionConverter expConverter
)
Public Sub New ( _
    memberListBinding As MemberListBinding, _
    expConverter As ExpressionConverter _
)
public:
SerializableMemberListBinding(
    MemberListBinding^ memberListBinding,
    ExpressionConverter^ expConverter
)
Parameters
memberListBinding (MemberListBinding)
The original, not serializable MemberBinding.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Initializers Property

Initializers Property
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberListBinding ► Initializers
See Initializers
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableElementInit> Initializers { get; set; }
Public Property Initializers As ReadOnlyCollection(Of SerializableElementInit)
public:
property ReadOnlyCollection<SerializableElementInit^>^ Initializers {
    ReadOnlyCollection<SerializableElementInit^>^ get ();
    void set (ReadOnlyCollection<SerializableElementInit^>^ value);
}


SerializableMemberMemberBinding Class

SerializableMemberMemberBinding Class
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberMemberBinding
A serializable version of MemberMemberBinding.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class SerializableMemberMemberBinding : SerializableMemberBinding
<SerializableAttribute> _
Public Class SerializableMemberMemberBinding _
    Inherits SerializableMemberBinding
[SerializableAttribute]
public ref class SerializableMemberMemberBinding : public SerializableMemberBinding
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SerializableMemberMemberBinding()()() | Default constructor for serialization.
 | SerializableMemberMemberBinding(MemberMemberBinding, ExpressionConverter) | Constructor with an MemberMemberBinding and an ExpressionConverter.
 | Bindings | See Bindings
 | BindingType | See BindingType (Inherited from SerializableMemberBinding.)
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | Member | See Member (Inherited from SerializableMemberBinding.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | Returns a string representing the MemberBinding. (Inherited from SerializableMemberBinding.)
Inheritance Hierarchy
Object
 | SerializableMemberBinding
 |  | SerializableMemberMemberBinding


SerializableMemberMemberBinding Constructor

SerializableMemberMemberBinding Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberMemberBinding ► SerializableMemberMemberBinding()()()
Members
Icon | Member | Description
 | SerializableMemberMemberBinding()()() | Default constructor for serialization.
 | SerializableMemberMemberBinding(MemberMemberBinding, ExpressionConverter) | Constructor with an MemberMemberBinding and an ExpressionConverter.


SerializableMemberMemberBinding Constructor

SerializableMemberMemberBinding Constructor
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberMemberBinding ► SerializableMemberMemberBinding()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberMemberBinding()
Public Sub New
public:
SerializableMemberMemberBinding()


SerializableMemberMemberBinding Constructor (memberMemberBinding, expConverter)

SerializableMemberMemberBinding Constructor (memberMemberBinding, expConverter)
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberMemberBinding ► SerializableMemberMemberBinding(MemberMemberBinding, ExpressionConverter)
Constructor with an MemberMemberBinding and an ExpressionConverter.
Declaration Syntax
C# Visual Basic Visual C++
public SerializableMemberMemberBinding(
    MemberMemberBinding memberMemberBinding,
    ExpressionConverter expConverter
)
Public Sub New ( _
    memberMemberBinding As MemberMemberBinding, _
    expConverter As ExpressionConverter _
)
public:
SerializableMemberMemberBinding(
    MemberMemberBinding^ memberMemberBinding,
    ExpressionConverter^ expConverter
)
Parameters
memberMemberBinding (MemberMemberBinding)
The original, not serializable MemberBinding.
expConverter (ExpressionConverter)
The ExpressionConverter to convert contained Expressions.


Bindings Property

Bindings Property
InterLINQ code documentation ► InterLinq.Expressions.SerializableTypes ► SerializableMemberMemberBinding ► Bindings
See Bindings
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<SerializableMemberBinding> Bindings { get; set; }
Public Property Bindings As ReadOnlyCollection(Of SerializableMemberBinding)
public:
property ReadOnlyCollection<SerializableMemberBinding^>^ Bindings {
    ReadOnlyCollection<SerializableMemberBinding^>^ get ();
    void set (ReadOnlyCollection<SerializableMemberBinding^>^ value);
}


InterLinq.NHibernate Namespace

InterLinq.NHibernate Namespace
InterLINQ code documentation ► InterLinq.NHibernate

This namespace contains the NHibernate specific implementations.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.NHibernate
Namespace InterLinq.NHibernate
namespace InterLinq.NHibernate
Types
All Types Classes
Icon | Type | Description
 | NHibernateQueryHandler | LINQ for NHibernate specific implementation of the InterLinqQueryHandler.


NHibernateQueryHandler Class

NHibernateQueryHandler Class
InterLINQ code documentation ► InterLinq.NHibernate ► NHibernateQueryHandler
LINQ for NHibernate specific implementation of the InterLinqQueryHandler.
Declaration Syntax
C# Visual Basic Visual C++
public class NHibernateQueryHandler : IQueryHandler
Public Class NHibernateQueryHandler _
    Implements IQueryHandler
public ref class NHibernateQueryHandler : IQueryHandler
Members
All Members | Constructors | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | NHibernateQueryHandler(ISessionFactory) | Initializes this class.
 | CloseSession()()() | Tells the IQueryHandler to close the current session.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable<(Of <(T>)>).
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | StartSession()()() | Tells the IQueryHandler to start a new the session.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
NHibernateQueryHandler
See Also

Assembly: InterLinq.NHibernate (Module: InterLinq.NHibernate) Version: 0.2.2873.30023 (0.2)


NHibernateQueryHandler Constructor (sessionFactory)

NHibernateQueryHandler Constructor (sessionFactory)
InterLINQ code documentation ► InterLinq.NHibernate ► NHibernateQueryHandler ► NHibernateQueryHandler(ISessionFactory)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public NHibernateQueryHandler(
    ISessionFactory sessionFactory
)
Public Sub New ( _
    sessionFactory As ISessionFactory _
)
public:
NHibernateQueryHandler(
    ISessionFactory^ sessionFactory
)
Parameters
sessionFactory (ISessionFactory)
ISessionFactory used for session initialization / disposal.

Assembly: InterLinq.NHibernate (Module: InterLinq.NHibernate) Version: 0.2.2873.30023 (0.2)


CloseSession Method

CloseSession Method
InterLINQ code documentation ► InterLinq.NHibernate ► NHibernateQueryHandler ► CloseSession()()()
Tells the IQueryHandler to close the current session.
Declaration Syntax
C# Visual Basic Visual C++
public bool CloseSession()
Public Function CloseSession As Boolean
public:
virtual bool CloseSession() sealed
Return Value
True, if the session closing was successful. False, if not.
See Also
CloseSession()()()

Assembly: InterLinq.NHibernate (Module: InterLinq.NHibernate) Version: 0.2.2873.30023 (0.2)


GetTable Method

GetTable Method
InterLINQ code documentation ► InterLinq.NHibernate ► NHibernateQueryHandler ► GetTable()()()
Members
Icon | Member | Description
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable<(Of <(T>)>).

Assembly: InterLinq.NHibernate (Module: InterLinq.NHibernate) Version: 0.2.2873.30023 (0.2)


GetTable Method

GetTable<(Of <(T>)>) Method
InterLINQ code documentation ► InterLinq.NHibernate ► NHibernateQueryHandler ► GetTable<(Of <(T>)>)()()()
Returns an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public IQueryable<T> GetTable<T>() where T : class
Public Function GetTable(Of T As Class) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class
virtual IQueryable<T>^ GetTable() sealed
Generic Template Parameters
T
Generic Argument of the returned IQueryable<(Of <(T>)>).
Return Value
Returns an IQueryable<(Of <(T>)>).
See Also
GetTable<(Of <(T>)>)()()()

Assembly: InterLinq.NHibernate (Module: InterLinq.NHibernate) Version: 0.2.2873.30023 (0.2)


GetTable Method (type)

GetTable Method (type)
InterLINQ code documentation ► InterLinq.NHibernate ► NHibernateQueryHandler ► GetTable(Type)
Returns an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public IQueryable GetTable(
    Type type
)
Public Function GetTable ( _
    type As Type _
) As IQueryable
public:
virtual IQueryable^ GetTable(
    Type^ type
) sealed
Parameters
type (Type)
Type of the returned IQueryable<(Of <(T>)>).
Return Value
Returns an IQueryable<(Of <(T>)>).
See Also
GetTable(Type)

Assembly: InterLinq.NHibernate (Module: InterLinq.NHibernate) Version: 0.2.2873.30023 (0.2)


StartSession Method

StartSession Method
InterLINQ code documentation ► InterLinq.NHibernate ► NHibernateQueryHandler ► StartSession()()()
Tells the IQueryHandler to start a new the session.
Declaration Syntax
C# Visual Basic Visual C++
public bool StartSession()
Public Function StartSession As Boolean
public:
virtual bool StartSession() sealed
Return Value
True, if the session creation was successful. False, if not.
See Also
StartSession()()()

Assembly: InterLinq.NHibernate (Module: InterLinq.NHibernate) Version: 0.2.2873.30023 (0.2)


InterLinq.Sql Namespace

InterLinq.Sql Namespace
InterLINQ code documentation ► InterLinq.Sql

This namespace contains the LINQ to Sql specific implementations.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Sql
Namespace InterLinq.Sql
namespace InterLinq.Sql
Types
All Types Classes
Icon | Type | Description
 | SqlQueryHandler | LINQ to SQL specific implementation of the InterLinqQueryHandler.


SqlQueryHandler Class

SqlQueryHandler Class
InterLINQ code documentation ► InterLinq.Sql ► SqlQueryHandler
LINQ to SQL specific implementation of the InterLinqQueryHandler.
Declaration Syntax
C# Visual Basic Visual C++
public class SqlQueryHandler : IQueryHandler
Public Class SqlQueryHandler _
    Implements IQueryHandler
public ref class SqlQueryHandler : IQueryHandler
Members
All Members | Constructors | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | SqlQueryHandler(DataContext) | Initializes this class.
 | CloseSession()()() | Tells the IQueryHandler to close the current session.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable<(Of <(T>)>).
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | StartSession()()() | Tells the IQueryHandler to start a new the session.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
SqlQueryHandler
See Also
IQueryHandler

Assembly: InterLinq.Sql (Module: InterLinq.Sql) Version: 0.2.2873.30024 (0.2)


SqlQueryHandler Constructor (dataContext)

SqlQueryHandler Constructor (dataContext)
InterLINQ code documentation ► InterLinq.Sql ► SqlQueryHandler ► SqlQueryHandler(DataContext)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public SqlQueryHandler(
    DataContext dataContext
)
Public Sub New ( _
    dataContext As DataContext _
)
public:
SqlQueryHandler(
    DataContext^ dataContext
)
Parameters
dataContext (DataContext)
DataContext used for database operations.

Assembly: InterLinq.Sql (Module: InterLinq.Sql) Version: 0.2.2873.30024 (0.2)


CloseSession Method

CloseSession Method
InterLINQ code documentation ► InterLinq.Sql ► SqlQueryHandler ► CloseSession()()()
Tells the IQueryHandler to close the current session.
Declaration Syntax
C# Visual Basic Visual C++
public bool CloseSession()
Public Function CloseSession As Boolean
public:
virtual bool CloseSession() sealed
Return Value
True, if the session closing was successful. False, if not.
See Also
CloseSession()()()

Assembly: InterLinq.Sql (Module: InterLinq.Sql) Version: 0.2.2873.30024 (0.2)


GetTable Method

GetTable Method
InterLINQ code documentation ► InterLinq.Sql ► SqlQueryHandler ► GetTable()()()
Members
Icon | Member | Description
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable<(Of <(T>)>).

Assembly: InterLinq.Sql (Module: InterLinq.Sql) Version: 0.2.2873.30024 (0.2)


GetTable Method

GetTable<(Of <(T>)>) Method
InterLINQ code documentation ► InterLinq.Sql ► SqlQueryHandler ► GetTable<(Of <(T>)>)()()()
Returns an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public IQueryable<T> GetTable<T>() where T : class
Public Function GetTable(Of T As Class) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class
virtual IQueryable<T>^ GetTable() sealed
Generic Template Parameters
T
Generic Argument of the returned IQueryable<(Of <(T>)>).
Return Value
Returns an IQueryable<(Of <(T>)>).
See Also
GetTable<(Of <(T>)>)()()()

Assembly: InterLinq.Sql (Module: InterLinq.Sql) Version: 0.2.2873.30024 (0.2)


GetTable Method (type)

GetTable Method (type)
InterLINQ code documentation ► InterLinq.Sql ► SqlQueryHandler ► GetTable(Type)
Returns an IQueryable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public IQueryable GetTable(
    Type type
)
Public Function GetTable ( _
    type As Type _
) As IQueryable
public:
virtual IQueryable^ GetTable(
    Type^ type
) sealed
Parameters
type (Type)
Type of the returned IQueryable<(Of <(T>)>).
Return Value
Returns an IQueryable<(Of <(T>)>).
See Also
GetTable(Type)

Assembly: InterLinq.Sql (Module: InterLinq.Sql) Version: 0.2.2873.30024 (0.2)


StartSession Method

StartSession Method
InterLINQ code documentation ► InterLinq.Sql ► SqlQueryHandler ► StartSession()()()
Tells the IQueryHandler to start a new the session.
Declaration Syntax
C# Visual Basic Visual C++
public bool StartSession()
Public Function StartSession As Boolean
public:
virtual bool StartSession() sealed
Return Value
True, if the session creation was successful. False, if not.
See Also
StartSession()()()

Assembly: InterLinq.Sql (Module: InterLinq.Sql) Version: 0.2.2873.30024 (0.2)


InterLinq.Types Namespace

InterLinq.Types Namespace
InterLINQ code documentation ► InterLinq.Types

Because of the anonymous type problem, normal types can not be transmitted. InterLINQ abstracts the .NET type system in a descriptive way.

Here the mappings between CLR types and the InterLINQ equivalent.
InterLINQ type | CLR type | Description
InterLinqMemberInfo | MemberInfo | Base of all type information.
InterLinqType | Type | Abstraction of type.
InterLinqPropertyInfo | PropertyInfo | Description of a property.
InterLinqMethodBase | MethodBase | Description of a method base.
InterLinqConstructorInfo | ConstructorInfo | Description of a constructor.
InterLinqMethodInfo | MethodInfo | Description of a method.
InterLinqFieldInfo | FieldInfo | Description of a field.

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Types
Namespace InterLinq.Types
namespace InterLinq.Types
Types
All Types Classes
Icon | Type | Description
 | InterLinqConstructorInfo | InterLINQ representation of ConstructorInfo.
 | InterLinqFieldInfo | InterLINQ representation of FieldInfo.
 | InterLinqMemberInfo | InterLINQ representation of MemberInfo.
 | InterLinqMethodBase | InterLINQ representation of MethodBase.
 | InterLinqMethodInfo | InterLINQ representation of MethodInfo.
 | InterLinqPropertyInfo | InterLINQ representation of PropertyInfo.
 | InterLinqType | InterLINQ representation of Type.
 | InterLinqTypeSystem | Singleton class for the InterLinqTypeSystem.
 | TypeConverter | The TypeConverter is a helper class providing several static methods to convert AnonymousObject to C# Anonymous Types and back.


InterLinqConstructorInfo Class

InterLinqConstructorInfo Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqConstructorInfo
InterLINQ representation of ConstructorInfo.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class InterLinqConstructorInfo : InterLinqMethodBase
<SerializableAttribute> _
Public Class InterLinqConstructorInfo _
    Inherits InterLinqMethodBase
[SerializableAttribute]
public ref class InterLinqConstructorInfo : public InterLinqMethodBase
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqConstructorInfo()()() | Empty constructor.
 | InterLinqConstructorInfo(ConstructorInfo) | Initializes this class.
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | Equals(Object) | Compares obj to this instance. (Inherited from InterLinqMethodBase.)
 | Finalize()()() | (Inherited from Object.)
 | GetClrVersion()()() | Returns the CLR MemberInfo. (Overrides InterLinqMemberInfo.GetClrVersion()()().)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Inherited from InterLinqMethodBase.)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes this class. (Overrides InterLinqMethodBase.Initialize(MemberInfo).)
 | MemberType | Gets the MemberType. (Overrides InterLinqMemberInfo.MemberType.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | Gets or sets the name of this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | ParameterTypes | Gets or sets the ParameterTypes. (Inherited from InterLinqMethodBase.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqMethodBase
 |  |  | InterLinqConstructorInfo
See Also


InterLinqConstructorInfo Constructor

InterLinqConstructorInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqConstructorInfo ► InterLinqConstructorInfo()()()
Members
Icon | Member | Description
 | InterLinqConstructorInfo()()() | Empty constructor.
 | InterLinqConstructorInfo(ConstructorInfo) | Initializes this class.


InterLinqConstructorInfo Constructor

InterLinqConstructorInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqConstructorInfo ► InterLinqConstructorInfo()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqConstructorInfo()
Public Sub New
public:
InterLinqConstructorInfo()


InterLinqConstructorInfo Constructor (constrcutorInfo)

InterLinqConstructorInfo Constructor (constrcutorInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqConstructorInfo ► InterLinqConstructorInfo(ConstructorInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqConstructorInfo(
    ConstructorInfo constrcutorInfo
)
Public Sub New ( _
    constrcutorInfo As ConstructorInfo _
)
public:
InterLinqConstructorInfo(
    ConstructorInfo^ constrcutorInfo
)
Parameters
constrcutorInfo (ConstructorInfo)
Represented CLR ConstructorInfo.


GetClrVersion Method

GetClrVersion Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqConstructorInfo ► GetClrVersion()()()
Returns the CLR MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberInfo GetClrVersion()
Public Overrides Function GetClrVersion As MemberInfo
public:
virtual MemberInfo^ GetClrVersion() override
Return Value
Returns the CLR MemberInfo.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqConstructorInfo ► Initialize(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public override void Initialize(
    MemberInfo memberInfo
)
Public Overrides Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
) override
Parameters
memberInfo (MemberInfo)
Represented MemberInfo
See Also
Initialize(MemberInfo)


MemberType Property

MemberType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqConstructorInfo ► MemberType
Gets the MemberType.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberTypes MemberType { get; }
Public Overrides ReadOnly Property MemberType As MemberTypes
public:
virtual property MemberTypes MemberType {
    MemberTypes get () override;
}
See Also


InterLinqFieldInfo Class

InterLinqFieldInfo Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo
InterLINQ representation of FieldInfo.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class InterLinqFieldInfo : InterLinqMemberInfo
<SerializableAttribute> _
Public Class InterLinqFieldInfo _
    Inherits InterLinqMemberInfo
[SerializableAttribute]
public ref class InterLinqFieldInfo : public InterLinqMemberInfo
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqFieldInfo()()() | Empty constructor.
 | InterLinqFieldInfo(FieldInfo) | Initializes this class.
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | Equals(Object) | Compares obj to this instance. (Overrides InterLinqMemberInfo.Equals(Object).)
 | FieldType | Gets or sets the InterLinqType of this field.
 | Finalize()()() | (Inherited from Object.)
 | GetClrVersion()()() | Returns the CLR MemberInfo. (Overrides InterLinqMemberInfo.GetClrVersion()()().)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides InterLinqMemberInfo.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes this class. (Overrides InterLinqMemberInfo.Initialize(MemberInfo).)
 | MemberType | Gets the MemberType. (Overrides InterLinqMemberInfo.MemberType.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | Gets or sets the name of this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqFieldInfo
See Also


InterLinqFieldInfo Constructor

InterLinqFieldInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► InterLinqFieldInfo()()()
Members
Icon | Member | Description
 | InterLinqFieldInfo()()() | Empty constructor.
 | InterLinqFieldInfo(FieldInfo) | Initializes this class.


InterLinqFieldInfo Constructor

InterLinqFieldInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► InterLinqFieldInfo()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqFieldInfo()
Public Sub New
public:
InterLinqFieldInfo()


InterLinqFieldInfo Constructor (fieldInfo)

InterLinqFieldInfo Constructor (fieldInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► InterLinqFieldInfo(FieldInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqFieldInfo(
    FieldInfo fieldInfo
)
Public Sub New ( _
    fieldInfo As FieldInfo _
)
public:
InterLinqFieldInfo(
    FieldInfo^ fieldInfo
)
Parameters
fieldInfo (FieldInfo)
Represented CLR FieldInfo.


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► Equals(Object)
Compares obj to this instance.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
object to compare.
Return Value
True if equal, false if not.


FieldType Property

FieldType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► FieldType
Gets or sets the InterLinqType of this field.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType FieldType { get; set; }
Public Property FieldType As InterLinqType
public:
property InterLinqType^ FieldType {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}
See Also
FieldType


GetClrVersion Method

GetClrVersion Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► GetClrVersion()()()
Returns the CLR MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberInfo GetClrVersion()
Public Overrides Function GetClrVersion As MemberInfo
public:
virtual MemberInfo^ GetClrVersion() override
Return Value
Returns the CLR MemberInfo.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► Initialize(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public override void Initialize(
    MemberInfo memberInfo
)
Public Overrides Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
) override
Parameters
memberInfo (MemberInfo)
Represented MemberInfo
See Also
Initialize(MemberInfo)


MemberType Property

MemberType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqFieldInfo ► MemberType
Gets the MemberType.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberTypes MemberType { get; }
Public Overrides ReadOnly Property MemberType As MemberTypes
public:
virtual property MemberTypes MemberType {
    MemberTypes get () override;
}
See Also
MemberType


InterLinqMemberInfo Class

InterLinqMemberInfo Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo
InterLINQ representation of MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public abstract class InterLinqMemberInfo
<SerializableAttribute> _
Public MustInherit Class InterLinqMemberInfo
[SerializableAttribute]
public ref class InterLinqMemberInfo abstract
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqMemberInfo()()() | Empty constructor.
 | InterLinqMemberInfo(MemberInfo) | Initializes this class.
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo.
 | Equals(Object) | Compares obj to this instance. (Overrides Object.Equals(Object).)
 | Finalize()()() | (Inherited from Object.)
 | GetClrVersion()()() | Returns the CLR MemberInfo.
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides Object.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes this class.
 | MemberType | Gets the MemberType.
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | Gets or sets the name of this InterLinqMemberInfo.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqMethodBase
 |  | InterLinqFieldInfo
 |  | InterLinqPropertyInfo
 |  | InterLinqType
See Also
MemberInfo


InterLinqMemberInfo Constructor

InterLinqMemberInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► InterLinqMemberInfo()()()
Members
Icon | Member | Description
 | InterLinqMemberInfo()()() | Empty constructor.
 | InterLinqMemberInfo(MemberInfo) | Initializes this class.


InterLinqMemberInfo Constructor

InterLinqMemberInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► InterLinqMemberInfo()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMemberInfo()
Public Sub New
public:
InterLinqMemberInfo()


InterLinqMemberInfo Constructor (memberInfo)

InterLinqMemberInfo Constructor (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► InterLinqMemberInfo(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMemberInfo(
    MemberInfo memberInfo
)
Public Sub New ( _
    memberInfo As MemberInfo _
)
public:
InterLinqMemberInfo(
    MemberInfo^ memberInfo
)
Parameters
memberInfo (MemberInfo)
Represented CLR MemberInfo.


DeclaringType Property

DeclaringType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► DeclaringType
Gets or sets the class that declares this InterLinqMemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType DeclaringType { get; set; }
Public Property DeclaringType As InterLinqType
public:
property InterLinqType^ DeclaringType {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}
See Also
DeclaringType


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► Equals(Object)
Compares obj to this instance.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
object to compare.
Return Value
True if equal, false if not.


GetClrVersion Method

GetClrVersion Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► GetClrVersion()()()
Returns the CLR MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public abstract MemberInfo GetClrVersion()
Public MustOverride Function GetClrVersion As MemberInfo
public:
virtual MemberInfo^ GetClrVersion() abstract
Return Value
Returns the CLR MemberInfo.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► Initialize(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public virtual void Initialize(
    MemberInfo memberInfo
)
Public Overridable Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
)
Parameters
memberInfo (MemberInfo)
Represented MemberInfo


MemberType Property

MemberType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► MemberType
Gets the MemberType.
Declaration Syntax
C# Visual Basic Visual C++
public abstract MemberTypes MemberType { get; }
Public MustOverride ReadOnly Property MemberType As MemberTypes
public:
virtual property MemberTypes MemberType {
    MemberTypes get () abstract;
}
See Also
MemberType


Name Property

Name Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMemberInfo ► Name
Gets or sets the name of this InterLinqMemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public string Name { get; set; }
Public Property Name As String
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
See Also
Name


InterLinqMethodBase Class

InterLinqMethodBase Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase
InterLINQ representation of MethodBase.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public abstract class InterLinqMethodBase : InterLinqMemberInfo
<SerializableAttribute> _
Public MustInherit Class InterLinqMethodBase _
    Inherits InterLinqMemberInfo
[SerializableAttribute]
public ref class InterLinqMethodBase abstract : public InterLinqMemberInfo
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqMethodBase()()() | Empty constructor.
 | InterLinqMethodBase(MethodBase) | Initializes this class.
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | Equals(Object) | Compares obj to this instance. (Overrides InterLinqMemberInfo.Equals(Object).)
 | Finalize()()() | (Inherited from Object.)
 | GetClrVersion()()() | Returns the CLR MemberInfo. (Inherited from InterLinqMemberInfo.)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides InterLinqMemberInfo.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes this class. (Overrides InterLinqMemberInfo.Initialize(MemberInfo).)
 | MemberType | Gets the MemberType. (Inherited from InterLinqMemberInfo.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | Gets or sets the name of this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | ParameterTypes | Gets or sets the ParameterTypes.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqMethodBase
 |  |  | InterLinqMethodInfo
 |  |  | InterLinqConstructorInfo
See Also


InterLinqMethodBase Constructor

InterLinqMethodBase Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase ► InterLinqMethodBase()()()
Members
Icon | Member | Description
 | InterLinqMethodBase()()() | Empty constructor.
 | InterLinqMethodBase(MethodBase) | Initializes this class.


InterLinqMethodBase Constructor

InterLinqMethodBase Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase ► InterLinqMethodBase()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMethodBase()
Public Sub New
public:
InterLinqMethodBase()


InterLinqMethodBase Constructor (methodBase)

InterLinqMethodBase Constructor (methodBase)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase ► InterLinqMethodBase(MethodBase)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMethodBase(
    MethodBase methodBase
)
Public Sub New ( _
    methodBase As MethodBase _
)
public:
InterLinqMethodBase(
    MethodBase^ methodBase
)
Parameters
methodBase (MethodBase)
Represented CLR MethodBase.


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase ► Equals(Object)
Compares obj to this instance.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
object to compare.
Return Value
True if equal, false if not.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase ► Initialize(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public override void Initialize(
    MemberInfo memberInfo
)
Public Overrides Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
) override
Parameters
memberInfo (MemberInfo)
Represented MemberInfo
See Also
Initialize(MemberInfo)


ParameterTypes Property

ParameterTypes Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodBase ► ParameterTypes
Gets or sets the ParameterTypes.
Declaration Syntax
C# Visual Basic Visual C++
public List<InterLinqType> ParameterTypes { get; set; }
Public Property ParameterTypes As List(Of InterLinqType)
public:
property List<InterLinqType^>^ ParameterTypes {
    List<InterLinqType^>^ get ();
    void set (List<InterLinqType^>^ value);
}


InterLinqMethodInfo Class

InterLinqMethodInfo Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo
InterLINQ representation of MethodInfo.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class InterLinqMethodInfo : InterLinqMethodBase
<SerializableAttribute> _
Public Class InterLinqMethodInfo _
    Inherits InterLinqMethodBase
[SerializableAttribute]
public ref class InterLinqMethodInfo : public InterLinqMethodBase
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqMethodInfo()()() | Empty constructor.
 | InterLinqMethodInfo(MethodInfo) | Initializes this class.
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | Equals(Object) | Compares obj to this instance. (Overrides InterLinqMethodBase.Equals(Object).)
 | Finalize()()() | (Inherited from Object.)
 | GenericArguments | Gets or sets the generic arguments.
 | GetClrVersion()()() | Returns the CLR MemberInfo. (Overrides InterLinqMemberInfo.GetClrVersion()()().)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides InterLinqMethodBase.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes this class. (Overrides InterLinqMethodBase.Initialize(MemberInfo).)
 | IsGeneric | Returns true if the InterLinqMethodInfo is generic.
 | MemberType | Gets the MemberType. (Overrides InterLinqMemberInfo.MemberType.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | Gets or sets the name of this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | ParameterTypes | Gets or sets the ParameterTypes. (Inherited from InterLinqMethodBase.)
 | ReturnType | Gets or sets the ReturnType.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqMethodBase
 |  |  | InterLinqMethodInfo
See Also


InterLinqMethodInfo Constructor

InterLinqMethodInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► InterLinqMethodInfo()()()
Members
Icon | Member | Description
 | InterLinqMethodInfo()()() | Empty constructor.
 | InterLinqMethodInfo(MethodInfo) | Initializes this class.


InterLinqMethodInfo Constructor

InterLinqMethodInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► InterLinqMethodInfo()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMethodInfo()
Public Sub New
public:
InterLinqMethodInfo()


InterLinqMethodInfo Constructor (methodInfo)

InterLinqMethodInfo Constructor (methodInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► InterLinqMethodInfo(MethodInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMethodInfo(
    MethodInfo methodInfo
)
Public Sub New ( _
    methodInfo As MethodInfo _
)
public:
InterLinqMethodInfo(
    MethodInfo^ methodInfo
)
Parameters
methodInfo (MethodInfo)
Represented CLR MethodInfo.


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► Equals(Object)
Compares obj to this instance.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
object to compare.
Return Value
True if equal, false if not.


GenericArguments Property

GenericArguments Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► GenericArguments
Gets or sets the generic arguments.
Declaration Syntax
C# Visual Basic Visual C++
public List<InterLinqType> GenericArguments { get; set; }
Public Property GenericArguments As List(Of InterLinqType)
public:
property List<InterLinqType^>^ GenericArguments {
    List<InterLinqType^>^ get ();
    void set (List<InterLinqType^>^ value);
}
See Also
GetGenericArguments()()()


GetClrVersion Method

GetClrVersion Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► GetClrVersion()()()
Returns the CLR MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberInfo GetClrVersion()
Public Overrides Function GetClrVersion As MemberInfo
public:
virtual MemberInfo^ GetClrVersion() override
Return Value
Returns the CLR MemberInfo.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► Initialize(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public override void Initialize(
    MemberInfo memberInfo
)
Public Overrides Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
) override
Parameters
memberInfo (MemberInfo)
Represented MemberInfo
See Also
Initialize(MemberInfo)


IsGeneric Property

IsGeneric Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► IsGeneric
Returns true if the InterLinqMethodInfo is generic.
Declaration Syntax
C# Visual Basic Visual C++
public bool IsGeneric { get; }
Public ReadOnly Property IsGeneric As Boolean
public:
property bool IsGeneric {
    bool get ();
}
See Also
IsGenericMethod


MemberType Property

MemberType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► MemberType
Gets the MemberType.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberTypes MemberType { get; }
Public Overrides ReadOnly Property MemberType As MemberTypes
public:
virtual property MemberTypes MemberType {
    MemberTypes get () override;
}
See Also


ReturnType Property

ReturnType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqMethodInfo ► ReturnType
Gets or sets the ReturnType.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType ReturnType { get; set; }
Public Property ReturnType As InterLinqType
public:
property InterLinqType^ ReturnType {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}
See Also
ReturnType


InterLinqPropertyInfo Class

InterLinqPropertyInfo Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo
InterLINQ representation of PropertyInfo.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class InterLinqPropertyInfo : InterLinqMemberInfo
<SerializableAttribute> _
Public Class InterLinqPropertyInfo _
    Inherits InterLinqMemberInfo
[SerializableAttribute]
public ref class InterLinqPropertyInfo : public InterLinqMemberInfo
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqPropertyInfo()()() | Empty constructor.
 | InterLinqPropertyInfo(PropertyInfo) | Initializes this class.
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | Equals(Object) | Compares obj to this instance. (Overrides InterLinqMemberInfo.Equals(Object).)
 | Finalize()()() | (Inherited from Object.)
 | GetClrVersion()()() | Returns the CLR MemberInfo. (Overrides InterLinqMemberInfo.GetClrVersion()()().)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides InterLinqMemberInfo.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes this class. (Overrides InterLinqMemberInfo.Initialize(MemberInfo).)
 | MemberType | Gets the MemberType. (Overrides InterLinqMemberInfo.MemberType.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | Gets or sets the name of this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | PropertyType | Gets or sets the InterLinqType of this property.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqPropertyInfo
See Also


InterLinqPropertyInfo Constructor

InterLinqPropertyInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► InterLinqPropertyInfo()()()
Members
Icon | Member | Description
 | InterLinqPropertyInfo()()() | Empty constructor.
 | InterLinqPropertyInfo(PropertyInfo) | Initializes this class.


InterLinqPropertyInfo Constructor

InterLinqPropertyInfo Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► InterLinqPropertyInfo()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqPropertyInfo()
Public Sub New
public:
InterLinqPropertyInfo()


InterLinqPropertyInfo Constructor (fieldInfo)

InterLinqPropertyInfo Constructor (fieldInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► InterLinqPropertyInfo(PropertyInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqPropertyInfo(
    PropertyInfo fieldInfo
)
Public Sub New ( _
    fieldInfo As PropertyInfo _
)
public:
InterLinqPropertyInfo(
    PropertyInfo^ fieldInfo
)
Parameters
fieldInfo (PropertyInfo)
Represented CLR PropertyInfo.


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► Equals(Object)
Compares obj to this instance.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
object to compare.
Return Value
True if equal, false if not.


GetClrVersion Method

GetClrVersion Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► GetClrVersion()()()
Returns the CLR MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberInfo GetClrVersion()
Public Overrides Function GetClrVersion As MemberInfo
public:
virtual MemberInfo^ GetClrVersion() override
Return Value
Returns the CLR MemberInfo.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► Initialize(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public override void Initialize(
    MemberInfo memberInfo
)
Public Overrides Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
) override
Parameters
memberInfo (MemberInfo)
Represented MemberInfo
See Also
Initialize(MemberInfo)


MemberType Property

MemberType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► MemberType
Gets the MemberType.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberTypes MemberType { get; }
Public Overrides ReadOnly Property MemberType As MemberTypes
public:
virtual property MemberTypes MemberType {
    MemberTypes get () override;
}
See Also


PropertyType Property

PropertyType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqPropertyInfo ► PropertyType
Gets or sets the InterLinqType of this property.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType PropertyType { get; set; }
Public Property PropertyType As InterLinqType
public:
property InterLinqType^ PropertyType {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}
See Also
PropertyType


InterLinqType Class

InterLinqType Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqType
InterLINQ representation of Type.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class InterLinqType : InterLinqMemberInfo
<SerializableAttribute> _
Public Class InterLinqType _
    Inherits InterLinqMemberInfo
[SerializableAttribute]
public ref class InterLinqType : public InterLinqMemberInfo
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqType()()() | Empty constructor.
 | InterLinqType(Type) | Initializes this class.
 | CreateClrType()()() | Creates and returns the CLR Type.
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | Equals(Object) | Compares obj to this instance. (Overrides InterLinqMemberInfo.Equals(Object).)
 | Finalize()()() | (Inherited from Object.)
 | GenericArguments | Gets or sets the generic Arguments.
 | GetClrVersion()()() | Returns the CLR MemberInfo. (Overrides InterLinqMemberInfo.GetClrVersion()()().)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides InterLinqMemberInfo.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes this class. (Overrides InterLinqMemberInfo.Initialize(MemberInfo).)
 | IsGeneric | Gets or sets if this is a generic Type.
 | MemberType | Gets the MemberType. (Overrides InterLinqMemberInfo.MemberType.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | Gets or sets the name of this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | RepresentedType | Gets or sets the represented Type.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqType
 |  |  | AnonymousMetaType
See Also


InterLinqType Constructor

InterLinqType Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► InterLinqType()()()
Members
Icon | Member | Description
 | InterLinqType()()() | Empty constructor.
 | InterLinqType(Type) | Initializes this class.


InterLinqType Constructor

InterLinqType Constructor
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► InterLinqType()()()
Empty constructor.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType()
Public Sub New
public:
InterLinqType()


InterLinqType Constructor (representedType)

InterLinqType Constructor (representedType)
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► InterLinqType(Type)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType(
    Type representedType
)
Public Sub New ( _
    representedType As Type _
)
public:
InterLinqType(
    Type^ representedType
)
Parameters
representedType (Type)
Represented CLR Type.


CreateClrType Method

CreateClrType Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► CreateClrType()()()
Creates and returns the CLR Type.
Declaration Syntax
C# Visual Basic Visual C++
protected virtual Type CreateClrType()
Protected Overridable Function CreateClrType As Type
protected:
virtual Type^ CreateClrType()
Return Value
Creates and returns the CLR Type.


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► Equals(Object)
Compares obj to this instance.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
object to compare.
Return Value
True if equal, false if not.


GenericArguments Property

GenericArguments Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► GenericArguments
Gets or sets the generic Arguments.
Declaration Syntax
C# Visual Basic Visual C++
public List<InterLinqType> GenericArguments { get; set; }
Public Property GenericArguments As List(Of InterLinqType)
public:
property List<InterLinqType^>^ GenericArguments {
    List<InterLinqType^>^ get ();
    void set (List<InterLinqType^>^ value);
}
See Also
GetGenericArguments()()()


GetClrVersion Method

GetClrVersion Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► GetClrVersion()()()
Returns the CLR MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberInfo GetClrVersion()
Public Overrides Function GetClrVersion As MemberInfo
public:
virtual MemberInfo^ GetClrVersion() override
Return Value
Returns the CLR MemberInfo.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► Initialize(MemberInfo)
Initializes this class.
Declaration Syntax
C# Visual Basic Visual C++
public override void Initialize(
    MemberInfo memberInfo
)
Public Overrides Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
) override
Parameters
memberInfo (MemberInfo)
Represented MemberInfo
See Also
Initialize(MemberInfo)


IsGeneric Property

IsGeneric Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► IsGeneric
Gets or sets if this is a generic Type.
Declaration Syntax
C# Visual Basic Visual C++
public virtual bool IsGeneric { get; set; }
Public Overridable Property IsGeneric As Boolean
public:
virtual property bool IsGeneric {
    bool get ();
    void set (bool value);
}
See Also
IsGenericType


MemberType Property

MemberType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► MemberType
Gets the MemberType.
Declaration Syntax
C# Visual Basic Visual C++
public override MemberTypes MemberType { get; }
Public Overrides ReadOnly Property MemberType As MemberTypes
public:
virtual property MemberTypes MemberType {
    MemberTypes get () override;
}
See Also
MemberType


RepresentedType Property

RepresentedType Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqType ► RepresentedType
Gets or sets the represented Type.
Declaration Syntax
C# Visual Basic Visual C++
public Type RepresentedType { get; set; }
Public Property RepresentedType As Type
public:
property Type^ RepresentedType {
    Type^ get ();
    void set (Type^ value);
}


InterLinqTypeSystem Class

InterLinqTypeSystem Class
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem
Singleton class for the InterLinqTypeSystem.
Declaration Syntax
C# Visual Basic Visual C++
public class InterLinqTypeSystem
Public Class InterLinqTypeSystem
public ref class InterLinqTypeSystem
Members
All Members | Methods | Properties
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | FindIEnumerable(Type) | Finds an IEnumerable in seqType.
 | GetClrVersion<(Of <(T>)>)(InterLinqMemberInfo) | Returns the C# MemberInfo for a InterLinqMemberInfo.
 | GetCollectionOf<(Of <(T>)>)(IEnumerable) | Returns a ReadOnlyCollection<(Of <(T>)>) with each element in memberInfos. The elements in memberInfos will be converted to T.
 | GetHashCode()()() | (Inherited from Object.)
 | GetInterLinqMemberInfo(MemberInfo) | Returns the InterLinqMemberInfo for a C# MemberInfo.
 | GetInterLinqVersionOf<(Of <(T>)>)(MemberInfo) | Returns the InterLinqMemberInfo for a C# MemberInfo.
 | GetType()()() | (Inherited from Object.)
 | Instance | Gets an instance of the InterLinqTypeSystem.
 | IsInterLinqMemberInfoRegistered(InterLinqMemberInfo) | Returns true if the InterLinqMemberInfo was already constructed.
 | MemberwiseClone()()() | (Inherited from Object.)
 | SetClrVersion(InterLinqMemberInfo, MemberInfo) | Stores the InterLinqMemberInfo-MemberInfo mapping locally.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
InterLinqTypeSystem


FindIEnumerable Method (seqType)

FindIEnumerable Method (seqType)
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► FindIEnumerable(Type)
Finds an IEnumerable in seqType.
Declaration Syntax
C# Visual Basic Visual C++
public static Type FindIEnumerable(
    Type seqType
)
Public Shared Function FindIEnumerable ( _
    seqType As Type _
) As Type
public:
static Type^ FindIEnumerable(
    Type^ seqType
)
Parameters
seqType (Type)
Type to search in.
Return Value
Returns an IEnumerable.


GetClrVersion Method (memberInfo)

GetClrVersion<(Of <(T>)>) Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► GetClrVersion<(Of <(T>)>)(InterLinqMemberInfo)
Returns the C# MemberInfo for a InterLinqMemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public T GetClrVersion<T>(
    InterLinqMemberInfo memberInfo
) where T : MemberInfo
Public Function GetClrVersion(Of T As MemberInfo) ( _
    memberInfo As InterLinqMemberInfo _
) As T
public:
generic<typename T>
where T : MemberInfo
T GetClrVersion(
    InterLinqMemberInfo^ memberInfo
)
Generic Template Parameters
T
Type of the requested MemberInfo
Parameters
memberInfo (InterLinqMemberInfo)
InterLinqMemberInfo.
Return Value
Returns the C# MemberInfo for a InterLinqMemberInfo.


GetCollectionOf Method (memberInfos)

GetCollectionOf<(Of <(T>)>) Method (memberInfos)
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► GetCollectionOf<(Of <(T>)>)(IEnumerable)
Returns a ReadOnlyCollection<(Of <(T>)>) with each element in memberInfos. The elements in memberInfos will be converted to T.
Declaration Syntax
C# Visual Basic Visual C++
public ReadOnlyCollection<T> GetCollectionOf<T>(
    IEnumerable memberInfos
) where T : InterLinqMemberInfo
Public Function GetCollectionOf(Of T As InterLinqMemberInfo) ( _
    memberInfos As IEnumerable _
) As ReadOnlyCollection(Of T)
public:
generic<typename T>
where T : InterLinqMemberInfo
ReadOnlyCollection<T>^ GetCollectionOf(
    IEnumerable^ memberInfos
)
Generic Template Parameters
T
Element Types in the returned ReadOnlyColelction.
Parameters
memberInfos (IEnumerable)
IEnumerable of MemberInfo's.
Return Value
Returns a ReadOnlyCollection<(Of <(T>)>) with each element in memberInfos.


GetInterLinqMemberInfo Method (memberInfo)

GetInterLinqMemberInfo Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► GetInterLinqMemberInfo(MemberInfo)
Returns the InterLinqMemberInfo for a C# MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqMemberInfo GetInterLinqMemberInfo(
    MemberInfo memberInfo
)
Public Function GetInterLinqMemberInfo ( _
    memberInfo As MemberInfo _
) As InterLinqMemberInfo
public:
InterLinqMemberInfo^ GetInterLinqMemberInfo(
    MemberInfo^ memberInfo
)
Parameters
memberInfo (MemberInfo)
MemberInfo.
Return Value
Returns the InterLinqMemberInfo for a C# MemberInfo.


GetInterLinqVersionOf Method (memberInfo)

GetInterLinqVersionOf<(Of <(T>)>) Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► GetInterLinqVersionOf<(Of <(T>)>)(MemberInfo)
Returns the InterLinqMemberInfo for a C# MemberInfo.
Declaration Syntax
C# Visual Basic Visual C++
public T GetInterLinqVersionOf<T>(
    MemberInfo memberInfo
) where T : InterLinqMemberInfo
Public Function GetInterLinqVersionOf(Of T As InterLinqMemberInfo) ( _
    memberInfo As MemberInfo _
) As T
public:
generic<typename T>
where T : InterLinqMemberInfo
T GetInterLinqVersionOf(
    MemberInfo^ memberInfo
)
Generic Template Parameters
T
Type of the requested InterLinqMemberInfo
Parameters
memberInfo (MemberInfo)
MemberInfo.
Return Value
Returns the InterLinqMemberInfo for a C# MemberInfo.


Instance Property

Instance Property
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► Instance
Gets an instance of the InterLinqTypeSystem.
Declaration Syntax
C# Visual Basic Visual C++
public static InterLinqTypeSystem Instance { get; }
Public Shared ReadOnly Property Instance As InterLinqTypeSystem
public:
static property InterLinqTypeSystem^ Instance {
    InterLinqTypeSystem^ get ();
}


IsInterLinqMemberInfoRegistered Method (memberInfo)

IsInterLinqMemberInfoRegistered Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► IsInterLinqMemberInfoRegistered(InterLinqMemberInfo)
Returns true if the InterLinqMemberInfo was already constructed.
Declaration Syntax
C# Visual Basic Visual C++
public bool IsInterLinqMemberInfoRegistered(
    InterLinqMemberInfo memberInfo
)
Public Function IsInterLinqMemberInfoRegistered ( _
    memberInfo As InterLinqMemberInfo _
) As Boolean
public:
bool IsInterLinqMemberInfoRegistered(
    InterLinqMemberInfo^ memberInfo
)
Parameters
memberInfo (InterLinqMemberInfo)
InterLinqMemberInfo.
Return Value
Returns true if the InterLinqMemberInfo was already constructed.


SetClrVersion Method (memberInfo, clrMeberInfo)

SetClrVersion Method (memberInfo, clrMeberInfo)
InterLINQ code documentation ► InterLinq.Types ► InterLinqTypeSystem ► SetClrVersion(InterLinqMemberInfo, MemberInfo)
Stores the InterLinqMemberInfo-MemberInfo mapping locally.
Declaration Syntax
C# Visual Basic Visual C++
public void SetClrVersion(
    InterLinqMemberInfo memberInfo,
    MemberInfo clrMeberInfo
)
Public Sub SetClrVersion ( _
    memberInfo As InterLinqMemberInfo, _
    clrMeberInfo As MemberInfo _
)
public:
void SetClrVersion(
    InterLinqMemberInfo^ memberInfo,
    MemberInfo^ clrMeberInfo
)
Parameters
memberInfo (InterLinqMemberInfo)
InterLinqMemberInfo.
clrMeberInfo (MemberInfo)
MemberInfo.


TypeConverter Class

TypeConverter Class
InterLINQ code documentation ► InterLinq.Types ► TypeConverter
The TypeConverter is a helper class providing several static methods to convert AnonymousObject to C# Anonymous Types and back.
Declaration Syntax
C# Visual Basic Visual C++
public class TypeConverter
Public Class TypeConverter
public ref class TypeConverter
Members
All Members | Constructors | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | TypeConverter()()() |
 | ConvertFromSerializable(Type, Object) | Converts an object into a target Type.
 | ConvertToSerializable(Object) | Converts an object to an AnonymousObject or an IEnumerable<(Of <(T>)>).
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
TypeConverter


TypeConverter Constructor

TypeConverter Constructor
InterLINQ code documentation ► InterLinq.Types ► TypeConverter ► TypeConverter()()()
Initializes a new instance of the TypeConverter class.
Declaration Syntax
C# Visual Basic Visual C++
public TypeConverter()
Public Sub New
public:
TypeConverter()


ConvertFromSerializable Method (wantedType, objectToConvert)

ConvertFromSerializable Method (wantedType, objectToConvert)
InterLINQ code documentation ► InterLinq.Types ► TypeConverter ► ConvertFromSerializable(Type, Object)
Converts an object into a target Type.
Declaration Syntax
C# Visual Basic Visual C++
public static Object ConvertFromSerializable(
    Type wantedType,
    Object objectToConvert
)
Public Shared Function ConvertFromSerializable ( _
    wantedType As Type, _
    objectToConvert As Object _
) As Object
public:
static Object^ ConvertFromSerializable(
    Type^ wantedType,
    Object^ objectToConvert
)
Parameters
wantedType (Type)
Target Type.
objectToConvert (Object)
object to convert.
Return Value
Returns the converted object.


ConvertToSerializable Method (objectToConvert)

ConvertToSerializable Method (objectToConvert)
InterLINQ code documentation ► InterLinq.Types ► TypeConverter ► ConvertToSerializable(Object)
Converts an object to an AnonymousObject or an IEnumerable<(Of <(T>)>).
Declaration Syntax
C# Visual Basic Visual C++
public static Object ConvertToSerializable(
    Object objectToConvert
)
Public Shared Function ConvertToSerializable ( _
    objectToConvert As Object _
) As Object
public:
static Object^ ConvertToSerializable(
    Object^ objectToConvert
)
Parameters
objectToConvert (Object)
object to convert.
Return Value
Returns the converted object.


InterLinq.Types.Anonymous Namespace

InterLinq.Types.Anonymous Namespace
InterLINQ code documentation ► InterLinq.Types.Anonymous

Handling of anonymous types

Anonymous types can not be serialized. To serialize them anyway, InterLINQ transmits them in a descriptive way called AnonymousObject.
As anonymous types are internal types stored in the client assembly, the server does not now them. InterLINQ sends a description (AnonymousMetaType) of the anonymous types to server who is now able to recreate the anonymous type.

The figure below shows the main conept of handling anonymous types.

Handling of anonymous types

Further, the class diagram:

Declaration Syntax
C# Visual Basic Visual C++
namespace InterLinq.Types.Anonymous
Namespace InterLinq.Types.Anonymous
namespace InterLinq.Types.Anonymous
Types
All Types Classes
Icon | Type | Description
 | AnonymousMetaProperty | Class that represents a property of an anonymous type.
 | AnonymousMetaType | A class representing an anonymous type. InterLinqType
 | AnonymousObject | Represents an instance of an AnonymousMetaType.
 | AnonymousProperty | Represents an instance of an AnonymousMetaProperty.
 | DynamicAssemblyHolder | A class that holds a dynamic assembly.
 | InterLinqGrouping<(Of <(TKey, TElement>)>) | Serializable abstraction of LINQ's IGrouping<(Of <(TKey, TElement>)>).
 | InterLinqGroupingBase | Serializable abstraction of LINQ's IGrouping<(Of <(TKey, TElement>)>).
See Also
InterLinq.Types


AnonymousMetaProperty Class

AnonymousMetaProperty Class
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty
Class that represents a property of an anonymous type.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class AnonymousMetaProperty
<SerializableAttribute> _
Public Class AnonymousMetaProperty
[SerializableAttribute]
public ref class AnonymousMetaProperty
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | AnonymousMetaProperty()()() | Default constructor for serialization
 | AnonymousMetaProperty(PropertyInfo) | Instance an instance of the class AnonymousMetaProperty with a PropertyInfo.
 | Equals(Object) | Overrides the equality check. (Overrides Object.Equals(Object).)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides Object.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | The name of the property.
 | PropertyType | The InterLinqType of the property.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
AnonymousMetaProperty


AnonymousMetaProperty Constructor

AnonymousMetaProperty Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty ► AnonymousMetaProperty()()()
Members
Icon | Member | Description
 | AnonymousMetaProperty()()() | Default constructor for serialization
 | AnonymousMetaProperty(PropertyInfo) | Instance an instance of the class AnonymousMetaProperty with a PropertyInfo.


AnonymousMetaProperty Constructor

AnonymousMetaProperty Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty ► AnonymousMetaProperty()()()
Default constructor for serialization
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousMetaProperty()
Public Sub New
public:
AnonymousMetaProperty()


AnonymousMetaProperty Constructor (property)

AnonymousMetaProperty Constructor (property)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty ► AnonymousMetaProperty(PropertyInfo)
Instance an instance of the class AnonymousMetaProperty with a PropertyInfo.
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousMetaProperty(
    PropertyInfo property
)
Public Sub New ( _
    property As PropertyInfo _
)
public:
AnonymousMetaProperty(
    PropertyInfo^ property
)
Parameters
property (PropertyInfo)
PropertyInfo to create a AnonymousMetaProperty from.


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty ► Equals(Object)
Overrides the equality check.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
Object to compare with.
Return Value
True, if the other object is equal to this. False, if not.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Name Property

Name Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty ► Name
The name of the property.
Declaration Syntax
C# Visual Basic Visual C++
public string Name { get; set; }
Public Property Name As String
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}


PropertyType Property

PropertyType Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaProperty ► PropertyType
The InterLinqType of the property.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqType PropertyType { get; set; }
Public Property PropertyType As InterLinqType
public:
property InterLinqType^ PropertyType {
    InterLinqType^ get ();
    void set (InterLinqType^ value);
}


AnonymousMetaType Class

AnonymousMetaType Class
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType
A class representing an anonymous type. InterLinqType
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class AnonymousMetaType : InterLinqType
<SerializableAttribute> _
Public Class AnonymousMetaType _
    Inherits InterLinqType
[SerializableAttribute]
public ref class AnonymousMetaType : public InterLinqType
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | AnonymousMetaType()()() | Default constructor for serialization or to create an uninitialized AnonymousMetaType.
 | AnonymousMetaType(Type) | Instance an instance of the class AnonymousMetaType
 | CreateClrType()()() | Generate the a clr type at runtime. (Overrides InterLinqType.CreateClrType()()().)
 | DeclaringType | Gets or sets the class that declares this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | Equals(Object) | Overrides the equality comparision. (Overrides InterLinqType.Equals(Object).)
 | Finalize()()() | (Inherited from Object.)
 | GenericArguments | Gets or sets the generic Arguments. (Inherited from InterLinqType.)
 | GetClrVersion()()() | Returns the CLR MemberInfo. (Inherited from InterLinqType.)
 | GetHashCode()()() | Serves as a hash function for a particular type. (Overrides InterLinqType.GetHashCode()()().)
 | GetType()()() | (Inherited from Object.)
 | Initialize(MemberInfo) | Initializes the AnonymousMetaType. (Overrides InterLinqType.Initialize(MemberInfo).)
 | IsGeneric | Is allways trueTruetrue. IsGeneric (Overrides InterLinqType.IsGeneric.)
 | MemberType | Gets the MemberType. (Inherited from InterLinqType.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | MetaProperties | A List<(Of <(T>)>) with the properties of the type.
 | Name | Gets or sets the name of this InterLinqMemberInfo. (Inherited from InterLinqMemberInfo.)
 | RepresentedType | Gets or sets the represented Type. (Inherited from InterLinqType.)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqMemberInfo
 |  | InterLinqType
 |  |  | AnonymousMetaType
See Also
InterLinqType


AnonymousMetaType Constructor

AnonymousMetaType Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► AnonymousMetaType()()()
Members
Icon | Member | Description
 | AnonymousMetaType()()() | Default constructor for serialization or to create an uninitialized AnonymousMetaType.
 | AnonymousMetaType(Type) | Instance an instance of the class AnonymousMetaType


AnonymousMetaType Constructor

AnonymousMetaType Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► AnonymousMetaType()()()
Default constructor for serialization or to create an uninitialized AnonymousMetaType.
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousMetaType()
Public Sub New
public:
AnonymousMetaType()


AnonymousMetaType Constructor (anonymousType)

AnonymousMetaType Constructor (anonymousType)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► AnonymousMetaType(Type)
Instance an instance of the class AnonymousMetaType
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousMetaType(
    Type anonymousType
)
Public Sub New ( _
    anonymousType As Type _
)
public:
AnonymousMetaType(
    Type^ anonymousType
)
Parameters
anonymousType (Type)
The Type to generate the AnonymousMetaType from.


CreateClrType Method

CreateClrType Method
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► CreateClrType()()()
Generate the a clr type at runtime.
Declaration Syntax
C# Visual Basic Visual C++
protected override Type CreateClrType()
Protected Overrides Function CreateClrType As Type
protected:
virtual Type^ CreateClrType() override
Return Value
Returns the generated Type.


Equals Method (obj)

Equals Method (obj)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► Equals(Object)
Overrides the equality comparision.
Declaration Syntax
C# Visual Basic Visual C++
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj (Object)
Other object to compare with.
Return Value
True, if the other object is equal to this. False, if not.


GetHashCode Method

GetHashCode Method
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► GetHashCode()()()
Serves as a hash function for a particular type.
Declaration Syntax
C# Visual Basic Visual C++
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
Return Value
A hash code for the current object.


Initialize Method (memberInfo)

Initialize Method (memberInfo)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► Initialize(MemberInfo)
Initializes the AnonymousMetaType.
Declaration Syntax
C# Visual Basic Visual C++
public override void Initialize(
    MemberInfo memberInfo
)
Public Overrides Sub Initialize ( _
    memberInfo As MemberInfo _
)
public:
virtual void Initialize(
    MemberInfo^ memberInfo
) override
Parameters
memberInfo (MemberInfo)
The Type to generate the AnonymousMetaType from.


IsGeneric Property

IsGeneric Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► IsGeneric
Is allways trueTruetrue. IsGeneric
Declaration Syntax
C# Visual Basic Visual C++
public override bool IsGeneric { get; set; }
Public Overrides Property IsGeneric As Boolean
public:
virtual property bool IsGeneric {
    bool get () override;
    void set (bool value) override;
}


MetaProperties Property

MetaProperties Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousMetaType ► MetaProperties
A List<(Of <(T>)>) with the properties of the type.
Declaration Syntax
C# Visual Basic Visual C++
public List<AnonymousMetaProperty> MetaProperties { get; set; }
Public Property MetaProperties As List(Of AnonymousMetaProperty)
public:
property List<AnonymousMetaProperty^>^ MetaProperties {
    List<AnonymousMetaProperty^>^ get ();
    void set (List<AnonymousMetaProperty^>^ value);
}


AnonymousObject Class

AnonymousObject Class
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousObject
Represents an instance of an AnonymousMetaType.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class AnonymousObject
<SerializableAttribute> _
Public Class AnonymousObject
[SerializableAttribute]
public ref class AnonymousObject
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | AnonymousObject()()() | Instance a new instance of the class AnonymousObject.
 | AnonymousObject(IEnumerable<(Of <(AnonymousProperty>)>)) | Instance a new instance of the class AnonymousObject and initialze it with a list of properties.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Properties | The properties of the instance.
 | ToString()()() | Returns a string representing this AnonymousObject. (Overrides Object.ToString()()().)
Inheritance Hierarchy
Object
AnonymousObject


AnonymousObject Constructor

AnonymousObject Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousObject ► AnonymousObject()()()
Members
Icon | Member | Description
 | AnonymousObject()()() | Instance a new instance of the class AnonymousObject.
 | AnonymousObject(IEnumerable<(Of <(AnonymousProperty>)>)) | Instance a new instance of the class AnonymousObject and initialze it with a list of properties.


AnonymousObject Constructor

AnonymousObject Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousObject ► AnonymousObject()()()
Instance a new instance of the class AnonymousObject.
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousObject()
Public Sub New
public:
AnonymousObject()


AnonymousObject Constructor (properties)

AnonymousObject Constructor (properties)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousObject ► AnonymousObject(IEnumerable<(Of <(AnonymousProperty>)>))
Instance a new instance of the class AnonymousObject and initialze it with a list of properties.
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousObject(
    IEnumerable<AnonymousProperty> properties
)
Public Sub New ( _
    properties As IEnumerable(Of AnonymousProperty) _
)
public:
AnonymousObject(
    IEnumerable<AnonymousProperty^>^ properties
)
Parameters
properties (IEnumerable <(Of <( AnonymousProperty >)>))
Anonymous properties to add.


Properties Property

Properties Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousObject ► Properties
The properties of the instance.
Declaration Syntax
C# Visual Basic Visual C++
public List<AnonymousProperty> Properties { get; set; }
Public Property Properties As List(Of AnonymousProperty)
public:
property List<AnonymousProperty^>^ Properties {
    List<AnonymousProperty^>^ get ();
    void set (List<AnonymousProperty^>^ value);
}


ToString Method

ToString Method
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousObject ► ToString()()()
Returns a string representing this AnonymousObject.
Declaration Syntax
C# Visual Basic Visual C++
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
Return Value
Returns a string representing this AnonymousObject.


AnonymousProperty Class

AnonymousProperty Class
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousProperty
Represents an instance of an AnonymousMetaProperty.
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class AnonymousProperty
<SerializableAttribute> _
Public Class AnonymousProperty
[SerializableAttribute]
public ref class AnonymousProperty
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | AnonymousProperty()()() | Default constructor for serialization.
 | AnonymousProperty(String, Object) | Instance a new instance of the class AnonymousProperty and initialize it.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | Name | The name of the property.
 | ToString()()() | Returns a string representing this object. (Overrides Object.ToString()()().)
 | Value | The value of the property.
Inheritance Hierarchy
Object
AnonymousProperty


AnonymousProperty Constructor

AnonymousProperty Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousProperty ► AnonymousProperty()()()
Members
Icon | Member | Description
 | AnonymousProperty()()() | Default constructor for serialization.
 | AnonymousProperty(String, Object) | Instance a new instance of the class AnonymousProperty and initialize it.


AnonymousProperty Constructor

AnonymousProperty Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousProperty ► AnonymousProperty()()()
Default constructor for serialization.
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousProperty()
Public Sub New
public:
AnonymousProperty()


AnonymousProperty Constructor (name, value)

AnonymousProperty Constructor (name, value)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousProperty ► AnonymousProperty(String, Object)
Instance a new instance of the class AnonymousProperty and initialize it.
Declaration Syntax
C# Visual Basic Visual C++
public AnonymousProperty(
    string name,
    Object value
)
Public Sub New ( _
    name As String, _
    value As Object _
)
public:
AnonymousProperty(
    String^ name,
    Object^ value
)
Parameters
name (String)
Name of the property.
value (Object)
Value of the property.


Name Property

Name Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousProperty ► Name
The name of the property.
Declaration Syntax
C# Visual Basic Visual C++
public string Name { get; set; }
Public Property Name As String
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}


ToString Method

ToString Method
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousProperty ► ToString()()()
Returns a string representing this object.
Declaration Syntax
C# Visual Basic Visual C++
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
Return Value
Returns a string representing this object.


Value Property

Value Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► AnonymousProperty ► Value
The value of the property.
Declaration Syntax
C# Visual Basic Visual C++
public Object Value { get; set; }
Public Property Value As Object
public:
property Object^ Value {
    Object^ get ();
    void set (Object^ value);
}


DynamicAssemblyHolder Class

DynamicAssemblyHolder Class
InterLINQ code documentation ► InterLinq.Types.Anonymous ► DynamicAssemblyHolder
A class that holds a dynamic assembly.
Declaration Syntax
C# Visual Basic Visual C++
public class DynamicAssemblyHolder
Public Class DynamicAssemblyHolder
public ref class DynamicAssemblyHolder
Members
All Members | Methods | Properties
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | Instance | Singleton instance of the DynamicAssemblyHolder.
 | MemberwiseClone()()() | (Inherited from Object.)
 | ModuleBuilder | Gets a ModuleBuilder to create types in it.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
DynamicAssemblyHolder


Instance Property

Instance Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► DynamicAssemblyHolder ► Instance
Singleton instance of the DynamicAssemblyHolder.
Declaration Syntax
C# Visual Basic Visual C++
public static DynamicAssemblyHolder Instance { get; }
Public Shared ReadOnly Property Instance As DynamicAssemblyHolder
public:
static property DynamicAssemblyHolder^ Instance {
    DynamicAssemblyHolder^ get ();
}


ModuleBuilder Property

ModuleBuilder Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► DynamicAssemblyHolder ► ModuleBuilder
Gets a ModuleBuilder to create types in it.
Declaration Syntax
C# Visual Basic Visual C++
public ModuleBuilder ModuleBuilder { get; }
Public ReadOnly Property ModuleBuilder As ModuleBuilder
public:
property ModuleBuilder^ ModuleBuilder {
    ModuleBuilder^ get ();
}


InterLinqGrouping(TKey, TElement) Class

InterLinqGrouping<(Of <(TKey, TElement>)>) Class
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGrouping<(Of <(TKey, TElement>)>)
Serializable abstraction of LINQ's IGrouping<(Of <(TKey, TElement>)>).
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public class InterLinqGrouping<TKey, TElement> : InterLinqGroupingBase, IGrouping<TKey, TElement>,
    IEnumerable<TElement>, IEnumerable
<SerializableAttribute> _
Public Class InterLinqGrouping(Of TKey, TElement) _
    Inherits InterLinqGroupingBase _
    Implements IGrouping(Of TKey, TElement), IEnumerable(Of TElement),  _
    IEnumerable
[SerializableAttribute]
generic<typename TKey, typename TElement>
public ref class InterLinqGrouping : public InterLinqGroupingBase,
    IGrouping<TKey, TElement>, IEnumerable<TElement>, IEnumerable
Generic Template Parameters
TKey
TElement
Members
All Members | Constructors | Methods | Properties
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | InterLinqGrouping<(Of <(TKey, TElement>)>)()()() |
 | Elements | Gets or sets the elements.
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetEnumerator()()() | Returns an IEnumerator<(Of <(T>)>) that iterates through the collection.
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | Key | Gets or sets the key.
 | MemberwiseClone()()() | (Inherited from Object.)
 | SetElements(Object) | Sets the grouping elements. (Overrides InterLinqGroupingBase.SetElements(Object).)
 | SetKey(Object) | Sets the grouping key. (Overrides InterLinqGroupingBase.SetKey(Object).)
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqGroupingBase
 |  | InterLinqGrouping<(Of <(TKey, TElement>)>)
See Also


InterLinqGrouping(TKey, TElement) Constructor

InterLinqGrouping<(Of <(TKey, TElement>)>) Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGrouping<(Of <(TKey, TElement>)>) ► InterLinqGrouping<(Of <(TKey, TElement>)>)()()()
Initializes a new instance of the InterLinqGrouping<TKey,TElement> class.
Declaration Syntax
C# Visual Basic Visual C++
public InterLinqGrouping()
Public Sub New
public:
InterLinqGrouping()


Elements Property

Elements Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGrouping<(Of <(TKey, TElement>)>) ► Elements
Gets or sets the elements.
Declaration Syntax
C# Visual Basic Visual C++
public IEnumerable<TElement> Elements { get; set; }
Public Property Elements As IEnumerable(Of TElement)
public:
property IEnumerable<TElement>^ Elements {
    IEnumerable<TElement>^ get ();
    void set (IEnumerable<TElement>^ value);
}


GetEnumerator Method

GetEnumerator Method
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGrouping<(Of <(TKey, TElement>)>) ► GetEnumerator()()()
Returns an IEnumerator<(Of <(T>)>) that iterates through the collection.
Declaration Syntax
C# Visual Basic Visual C++
public IEnumerator<TElement> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of TElement)
public:
virtual IEnumerator<TElement>^ GetEnumerator() sealed
Return Value
Returns an IEnumerator<(Of <(T>)>) that iterates through the collection.


Key Property

Key Property
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGrouping<(Of <(TKey, TElement>)>) ► Key
Gets or sets the key.
Declaration Syntax
C# Visual Basic Visual C++
public TKey Key { get; set; }
Public Property Key As TKey
public:
virtual property TKey Key {
    TKey get () sealed;
    void set (TKey value) sealed;
}


SetElements Method (elements)

SetElements Method (elements)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGrouping<(Of <(TKey, TElement>)>) ► SetElements(Object)
Sets the grouping elements.
Declaration Syntax
C# Visual Basic Visual C++
public override void SetElements(
    Object elements
)
Public Overrides Sub SetElements ( _
    elements As Object _
)
public:
virtual void SetElements(
    Object^ elements
) override
Parameters
elements (Object)
Elements to set.


SetKey Method (key)

SetKey Method (key)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGrouping<(Of <(TKey, TElement>)>) ► SetKey(Object)
Sets the grouping key.
Declaration Syntax
C# Visual Basic Visual C++
public override void SetKey(
    Object key
)
Public Overrides Sub SetKey ( _
    key As Object _
)
public:
virtual void SetKey(
    Object^ key
) override
Parameters
key (Object)
Key to set.


InterLinqGroupingBase Class

InterLinqGroupingBase Class
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGroupingBase
Serializable abstraction of LINQ's IGrouping<(Of <(TKey, TElement>)>).
Declaration Syntax
C# Visual Basic Visual C++
[SerializableAttribute]
public abstract class InterLinqGroupingBase
<SerializableAttribute> _
Public MustInherit Class InterLinqGroupingBase
[SerializableAttribute]
public ref class InterLinqGroupingBase abstract
Members
All Members | Constructors | Methods
Public Protected |  | Instance Static | Declared Inherited
Icon | Member | Description
 | InterLinqGroupingBase()()() |
 | Equals(Object) | (Inherited from Object.)
 | Finalize()()() | (Inherited from Object.)
 | GetHashCode()()() | (Inherited from Object.)
 | GetType()()() | (Inherited from Object.)
 | MemberwiseClone()()() | (Inherited from Object.)
 | SetElements(Object) | Sets the grouping elements.
 | SetKey(Object) | Sets the grouping key.
 | ToString()()() | (Inherited from Object.)
Inheritance Hierarchy
Object
 | InterLinqGroupingBase
 |  | InterLinqGrouping<(Of <(TKey, TElement>)>)
See Also
IGrouping<(Of <(TKey, TElement>)>)


InterLinqGroupingBase Constructor

InterLinqGroupingBase Constructor
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGroupingBase ► InterLinqGroupingBase()()()
Initializes a new instance of the InterLinqGroupingBase class.
Declaration Syntax
C# Visual Basic Visual C++
protected InterLinqGroupingBase()
Protected Sub New
protected:
InterLinqGroupingBase()


SetElements Method (elements)

SetElements Method (elements)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGroupingBase ► SetElements(Object)
Sets the grouping elements.
Declaration Syntax
C# Visual Basic Visual C++
public abstract void SetElements(
    Object elements
)
Public MustOverride Sub SetElements ( _
    elements As Object _
)
public:
virtual void SetElements(
    Object^ elements
) abstract
Parameters
elements (Object)
Elements to set.


SetKey Method (key)

SetKey Method (key)
InterLINQ code documentation ► InterLinq.Types.Anonymous ► InterLinqGroupingBase ► SetKey(Object)
Sets the grouping key.
Declaration Syntax
C# Visual Basic Visual C++
public abstract void SetKey(
    Object key
)
Public MustOverride Sub SetKey ( _
    key As Object _
)
public:
virtual void SetKey(
    Object^ key
) abstract
Parameters
key (Object)
Key to set.


Namespaces

Namespaces
InterLINQ

Extending InterLINQ

InterLINQ is just a transport technology, so there must be specific connection implementations for each LINQ technology (e.g. LINQ to SQL, LINQ for NHibernate, etc.). „Specific connection implementation“ means, a new IQueryHandler has to be created.

Optionally, IQueryProvider and RewriteExpressionVisitor could be implemented for expression tree modifications. Any modification on are possible by implementing this visitor.

At the moment, two implementations are available:
InterLinq.NHibernate | LINQ for NHibernate
InterLinq.Sql | LINQ to SQL

See Also


Namespaces

Namespaces
InterLINQ

Example InterLinq.NHibernate

Figure 1 shows the class diagram for NHibernateQueryHandler.

Figure 1 - NHibernateQueryHandler

The only thing a Query Handler has to do is holding an instance of a class which provides an IQueryable / IQueryable<T> instance.

The NHibernateQueryHandler holds an instance of ISession and an instance of ISessionFactory. LINQ for NHibernate provides an extension method for ISession returning an IQueryable<T>.

Code
C#
public static IOrderedQueryable<T> Linq<T>( this ISession session );

The return value of this extension method is used to replace each IOrderedQueryable<T> in the received expression tree.


Namespaces

Namespaces
InterLINQ

Example InterLinq.Sql

Like InterLinq.NHibernate, the LINQ to SQL implementation is very simple. The SqlQueryHandler holds an instance of a DataContext to get the required IQueryable<T>.

Figure 1 - SqlQueryHandler

The problem in LINQ to SQL is, that entities with 1:n mapping are connected by EntitySet<T> / EntityRef<T> classes. These classes generated by SqlMetal.exe are not serializable. This means, selecting an entity containing a reference to another entity will cause a serialization failure and throw an exception.

At the moment there is no information whether EntitySet<T> / EntityRef<T> will ever be serializable, so this problem will be temporary ignored.


GetTable Method

GetTable Method
InterLINQ code documentation ► InterLinq.Communication ► ClientQueryHandler ► GetTable()()()
Members
Icon | Member | Description
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable.


GetTable Method

GetTable Method
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ClientQueryRemotingHandler ► GetTable()()()
Members
Icon | Member | Description
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable.


MemberwiseClone Method

MemberwiseClone Method
InterLINQ code documentation ► InterLinq.Communication.Remoting ► ServerQueryRemotingHandler ► MemberwiseClone()()()
Members
Icon | Member | Description
 | MemberwiseClone(Boolean) |
 | MemberwiseClone()()() |


GetTable Method

GetTable Method
InterLINQ code documentation ► InterLinq.Communication.Wcf ► ClientQueryWcfHandler ► GetTable()()()
Members
Icon | Member | Description
 | GetTable<(Of <(T>)>)()()() | Returns an IQueryable<(Of <(T>)>).
 | GetTable(Type) | Returns an IQueryable.


Visit Method

Visit Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► Visit()()()
Members
Icon | Member | Description
 | Visit()()() | Visit the Expression in this visitor.
 | Visit<(Of <(T>)>)(Expression) | Visits an Expression and returns a result of the type T.


VisitTypedExpression Method

VisitTypedExpression Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► ExpressionConverter ► VisitTypedExpression()()()
Members
Icon | Member | Description
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Converts a Expression<(Of <(TDelegate>)>) to a SerializableExpressionTyped. (Overrides ExpressionVisitor.VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)).)
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Visit a Expression<(Of <(TDelegate>)>).


Visit Method

Visit Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► Visit()()()
Members
Icon | Member | Description
 | Visit()()() | Visit the Expression in this visitor.
 | Visit<(Of <(T>)>)(Expression) | Visits an Expression and returns a result of the type T.


VisitTypedExpression Method

VisitTypedExpression Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► RewriteExpressionVisitor ► VisitTypedExpression()()()
Members
Icon | Member | Description
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Creates a Expression<(Of <(TDelegate>)>). (Overrides ExpressionVisitor.VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)).)
 | VisitTypedExpression<(Of <(T>)>)(Expression<(Of <(T>)>)) | Visit a Expression<(Of <(TDelegate>)>).


Visit Method

Visit Method
InterLINQ code documentation ► InterLinq.Expressions.Helpers ► SerializableExpressionConverter ► Visit()()()
Members
Icon | Member | Description
 | Visit()()() | Visits the SerializableExpression tree to convert and returns the converted Expression.
 | Visit(SerializableExpression) | Returns an Expression by visiting and converting expression.